Gnumeric 1.12.57

Morten:
	* Fix touchpad scrolling on Wayland.  [#678]
	* Fix ods auto-filter import problem.
	* Fix xml import and export of auto-filters.
	* Fix problem with percent-of-range auto-filters with blanks.
	* New UNIQUE function.
	* New FLT.RADIX, FLT.MIN, FLT.MAX, FLT.NEXTAFTER functions (for
	  testing).
	* New experimental --with-decimal64 for base-10 math.
	* Fix sheet resize problem.
	* Fix UI problem with redo of expression entry.  [#755]
	* Accept ad-hoc clipboard format "text/plain;charset=utf-8".  [#754]

--------------------------------------------------------------------------
Gnumeric 1.12.56

Hubert Figuière:
	* Fix tooltip problem on Wayland.

Morten:
	* FLOOR, CEILING: Improve xl compatibility.  [#703]
	* Fix dependency problems with arrays.  [#725] [#647]
	* Improve clipboard pasting from firefox.  [#733]
	* Fix number-stringification for E-numbers.  [#719]
	* Improve generation of random integers.
	* Work around cairo performance problem re anting.  [#736]
	* Fix HTML export problem with underline.

--------------------------------------------------------------------------
Gnumeric 1.12.55

Morten:
	* Fix problem making new objects invisble.  [#694]

--------------------------------------------------------------------------
Gnumeric 1.12.54

John Denker:
	* Improve whitespace handling in html import.  [#671]

Morten:
	* Improve various desktop environments' icon discovery.  [#677]
	* New function ENCODEURL.  [#658]
	* New libpython configuration.  [#680]
	* Fix problem relating to sheet remove and conditional format.
	* Fix inconsistent rounding of half-way cases.  [#638]
	* Fix xlsx leaks.
	* Cell comment speed-ups.  [#692]

--------------------------------------------------------------------------
Gnumeric 1.12.53

Morten:
	* Fix xlsx import of T.INV.
	* Fix inter-process array paste problem.  [#634]
	* Fix problem with xlsx number format 14.
	* Fix problems with complex number rendering.  [#638]
	* Fix near-denormal parsing case.  [#656]
	* Fix mildly crazy ROUND edge cases.  [#661]
	* Fix dialog reuse problem.  [#657]
	* Fix sc import problem.  [#663]
	* Work a little hard at avoiding -0.  [#652]
	* Fix html import problem.  [#669]
	* Fix reading localc extension for engineering format.  [#659]
	* Fix strict-conformance ods problem with E-notation.  [#672]
	* Improve test suite
	* Fix crash involving moving conditional formats.

--------------------------------------------------------------------------
Gnumeric 1.12.52

Morten:
	* Attach the vertical alignment selector to the toolbar.
	* Improve the toolbar styling a bit.
	* Fix toolbar overflow menu's labeling.
	* Many improvements to vertical toolbars.
	* Install appdata file in new location [#612]
	* Allow styling of cell extension indicators.
	* Restore bolding of active sheet tab.
	* Fix import of mildly broken print settings in xlsx files from
	  OnlyOffice.
	* Various --with-long-double fixes.
	* Fix BITAND.
	* Test improvements.
	* Fix xlsx write for sheet objects with text contents.  [#617]
	* Fix leak.
	* Fix old problem saving column widths.  [#619]
	* Set default number of sheets to 1.
	* Fix edge error case for SMALL and LARGE.  [#620]
	* Increase the default column width a bit.
	* Fix xlsx import/export of default column width.
	* Be less aggressive with automatic column widening.  [#621]

--------------------------------------------------------------------------
Gnumeric 1.12.51

Jean:
	* Fix error bars when data are in a multi-column array. [#594]
	* Always set the GO_DATA_HAS_VALUE flag when needed. [#595]

Morten:
	* Fix --with-long-double configuration.
	* Fix applix import/locale problem.
	* Make sure CEIL doesn't return -0.  [#603]
	* Add ILOG function.  [#591]
	* Fix MROUND.  [#604]
	* Take evasive action re g_memdup.
	* Fix inter-gnumeric array formula paste crash.  [#606]
	* Avoid re-querying file existance for recent files.  [Part of #602]
	* Fix rich-text rendering (based on work of Jean).  [#607]
	* Fix crash with conditional styling.  [#597]
	* Extend BITOR, BITAND, BITXOR to any numbers of arguments.
	* Fix ods export leak.  [#611]

--------------------------------------------------------------------------
Gnumeric 1.12.50

Morten:
	* Fix undo problem with sorting and cell comments.
	* Python loader cleanups.
	* Use Python's bool type instead of rolling our own.
	* Export file:// links to html.  [#569]
	* Export file:// links to xlsx.  [#569]
	* Improve handling of invalid formulae from xlsx.  [#574]
	* Introspection fixes.
	* Improve CELL("format",...)  [#576]
	* wk4 import improvements.  (For no good reason.)
	* Fix some -fsanitize=undefined problems.
	* Improve excel-specific xlsx import of validation.

--------------------------------------------------------------------------
Gnumeric 1.12.49

Andreas:
	* Do not try to turn all of LibreOffice's SplitModes into frozen
	panes [file of #557]

Jean:
	* Fix graph size issue when the graph is in its own sheet. [#516]
	* Fix one more graph size issue when the graph is in its own sheet. [#565]

JohnDenker:
	* Fix ssgrep problem when used as a filter.  [#552]

Morten:
	* Rework conditional styling's upper level.
	* Fix autofill array critical.  [#511]
	* Handle missing values in xlsx.  [#517]
	* Fix critical when using fd://1.
	* Don't trim spaces for csv files as per rfc 4180.  [#528]
	* Fix cvs separator guessing problem with quotes.  [#537]
	* Improve handling of expressions in csv files.
	* Plug ssconvert leak.  [#546]
	* Fix bogus time match for "3.a".  [#545]
	* Use 1us resolution for NOW.  [#549]
	* Fix ssconvert sheet selection for csv.  [#555]
	* Test suite improvements.
	* Fix ods import problem with irregular sheet sizes.
	* Fix ods import problem with crazy named expressions.  [#557]
	* Allow plain space as 1000s separator in FR locale.
	* Fix graph size problem affecting image output.  [#507]
	* Check for yelp in autogen.  [#558]
	* Fix ssconvert problem with conditional styles.
	* Move from style regions to style classes in css.
	* Implement #ifdef for built-in css.
	* Dead kitten in css.
	* Improve the drawing of filter combos.
	* Allow theming of grid color.
	* Fix dirty-tracking.  [#554]
	* Plug ods write leak.
	* Disable cs documentation translation due to itstool/libxml2 bug.

--------------------------------------------------------------------------
Gnumeric 1.12.48

Andreas:
	* Add axis title to chart in histogram tool. [#408]
	* Fix line end marker roundtrip through strict ODF
	* Improve export of line markers to ODF for interoperability
	* Improve line marker handling on import
	* Fix LaTeX export. [#489]
	* When reading an ODF file make all sheets of equal size. [#505]

Jean:
	* Fix xlsx object non-import crash.
	* Fix in-place graph data problem.  [#492]
	* Port to Python3. [#419]

Morten:
	* Fix performance issue with sample_datasource.  [#491]
	* Fix partial-line issue with sample_datasource.
	* Fix load of in-place graph data with extra ()s.  [#492]
	* Fix Ctrl-; cursor position.  [#494]
	* Fix ssconvert --merge-to problem.  [#496]
	* Fix sheet size paste problem.  [#497]
	* Speed up really large auto-filters.  [#465]
	* Fix 2038 problem on quit.
	* Improve tests.
	* Improve dependency tracking for implicit intersection. [#501]
	* Fix format dialog issue.  [#503]
	* Re-tune style quad tree.  [#234]
	* Re-tune dependency bucket system.  [#502]
	* Fix global name parsing problem with non-uniform sheet sizing.
	* Avoid style dependency redraw during file load.
	* Tend to dead kittens.
	* Fix metadata dialog.  [#510]
	* Fix potential 64-bit problem with signals.
	* Fix GnmRange introspection.

--------------------------------------------------------------------------
Gnumeric 1.12.47

Andreas:
	* Fix chart and image name roundtrip through ODF. [#477]
	* Fix print flag roundtrip for sheet objects through ODF. [#486]

Jean:
	* Fix crash when the embedded spreadsheet is invalid. [#481]

Morten:
	* Fix dialog size problem.
	* Add "--set CELL=CONTENTS" option to ssconvert.
	* Improve tests.
	* Improve speed on exit with lots of conditional formatting.
	* Improve error message [#472]
	* Impose ordering of ssconvert --export-graphs
	* Doc fixes.
	* Fix CELL crash.  [#479]
	* Handle export options for ssconvert --export-graphs.
	* Fix deps crash.  [#480]
	* Fix chart name roundtrip through XLSX.  [#478]
	* Fix sheet object print flag roundtrip through XLSX.  [#486]

--------------------------------------------------------------------------
Gnumeric 1.12.46

Andreas:
	* Fix format import from ODF. [#403]

Jean:
	* Fix charts size in XLS format. [#414]
	* Fix loading string from arrays in charts. [#416]
	* Implement wrapping of rotated text. [#394]

Morten:
	* Fix over-eager guessing of dates in csv.  [#401]
	* Fix Mac build problem.  [#402]
	* Fix inter-process paste crash [#406]
	* Fix problem saving cell protection to xlsx.  [#409]
	* Look for python3 before python.  [#419]
	* Fix SUMIF (etc) problem with blank criteria.  [#423]
	* Improve editing of percentages.  [#413]

Thomas Kuehne:
	* Improve html import.  [#392]

Shlomi Fish:
	* Command line export of graphs.  [#410]

--------------------------------------------------------------------------
Gnumeric 1.12.45

Eugen Dedu:
	* Doc fixes.  [#380] [#381] [#382]

Morten:
	* Add DIGAMMA function.
	* Support ISO-8601 UTC date/time input.  Mostly.  [#371]
	* Improve cvs separator guessing.  [#397]
	* Add export option "active-sheet".  [#396]

Thomas Klausner:
	* Fix compilation issue.  [#378]

Thomas Kuehne:
	* Handle odf files with no styles whatsoever.  [#389]
	* Improve Excel standalone-xml import.  [#391]

--------------------------------------------------------------------------
Gnumeric 1.12.44

Jean:
	* Fix document properties types. [#367]
	* Call pygobject_init() if needed. [#368]

Morten:
	* Fix SWITCH's default argument.  [#354]
	* Fix problem with setting auto-func.  [#357]
	* Fix problem reading really old xls format.
	* Fix sheet filter problem.  [#359]
	* New NT_RADICAL function.
	* Fix conditional style crash.
	* Fix applix locale problem.  [#362]
	* Fix applix encoding and escape problems.  [#363]
	* New LAMBERTW function.
	* Plug sheet object leak with paste.
	* Fix documentation problem for vararg functions.

--------------------------------------------------------------------------
Gnumeric 1.12.43

Morten:
	* Fix header installation.
	* Fix psiconv compilation.

--------------------------------------------------------------------------
Gnumeric 1.12.42

Morten:
	* Plug leaks.
	* Introspection fixes.
	* Work around gtk+ breakage re. link colors.
	* Fix problems with ssconvert --export-file-per-sheet.  [#694408]
	* Enable ssconvert --export-file-per-sheet for html, latex, and pdf.
	* Test suite improvements.
	* ssconvert improvements.
	* Makefile improvements.
	* Don't save any configuration when running ssconvert/ssdiff/...
	* Turn GnmFunc into a GObject.
	* Make clipboard output deterministic.
	* Fix conditional format crash [#343].

--------------------------------------------------------------------------
Gnumeric 1.12.41

Morten:
	* Fix problem with object pasting.
	* Fix undo problem for cell comments.  [#732653]
	* Exit with non-zero with we fail to load file on command line.
	* Fix undo crash.  [#795861]
	* Introspection fixes.
	* Don't offer more than 15 significant digits by default.  [#754391]

--------------------------------------------------------------------------
Gnumeric 1.12.40

Andreas:
	* Fix histogram tool for the case of no labels. [#795475]

Dean McCarron:
	* Introspection fixes.

Morten:
	* Add floating-point environment sanity check.  [#794515]
	* Before saving, verify that files hasn't changed on disk.  [#334024]
	* Add GUI for comparing sheets.
	* Introspection fixes.
	* Clean up workbook view construction.
	* Test suite improvements.
	* Fix problems with boxed types.
	* Avoid most punting for object properties.
	* Fix paste from LibreOffice.
	* Fix paste to LibreOffice -- use Biff8.  [#795280]
	* Allow inter-process paste-special.  [#346630]
	* Fix ssconvert --merge-to problem with names.  [#795408]
	* Fix problem with image pasting.
	* Allow pasting an image into Gnumeric.  [#366816]
	* Full-column paste includes column width.  [#121722]
	* Auto-fix shared array formulas in gnumeric files.
	* No-net-access doc build.  [#790226]
	* No-net test suite fixes.

--------------------------------------------------------------------------
Gnumeric 1.12.39

Morten:
	* Fix ssdiff problem.  [#792038]
	* Fix ISREF.
	* Some internal array formula code cleanups.
	* Fix problem with stopping a glpk solver.
	* Improve workaround for gtk+ scrollbar bug.  [#792417]
	* Fix minor issue for MUNIT.

Rafael Fontenelle:
        * Doc fixes.  [#792556] [#792592]

--------------------------------------------------------------------------
Gnumeric 1.12.38

Morten:
	* Avoid large stack use here and there.
	* Test suite improvements.
	* Improve sylk writer.  Don't ask.
	* Teach ssdiff about column/row sizes.
	* Teach ssdiff about defined names.
	* Fix a few ssdiff crashes.
	* Fix crash on text import.

--------------------------------------------------------------------------
Gnumeric 1.12.37

Morten:
	* Test suite improvements.
	* Improve format guessing for newly entered formulas.
	* Improve PERMUTATIONA for unusual arguments.  [#790742]
	* Extend range of NT_PI.
	* Improve xlsx export of cell comments.  [#790756]
	* Plug leaks.
	* Fix potential crash on exit.
	* Speed-up number theory functions.
	* Fix combo object icon.
	* Code cleanups for main binary.
	* Fix potential crash in gtk scroll bar bug workaround.
	* Avoid large stack use here and there.

--------------------------------------------------------------------------
Gnumeric 1.12.36

Andreas:
	* Improve contour plot export/import to/from ODF. [#788728]
	* Improve contour plot import of Excel generated ODF. [#788801]
	* Improve surface plot export to ODF. [#788447]
	* Fix export/import of CONCATENATE to and from ODF.
	* Fix export/import of minor axis divisors to and from ODF.
	* Fix import of affice trendline from ODF. [#789538]

Jean:
	* Fix background of multiple selection. [#789411]
	* Workaround for gtk scroll bar bug.  [#789412]

Morten:
	* Convert all xpm files to png.
	* Avoid to-pixdata options for resources.  It's going away.
	* Minor CORREL improvement.
	* Fix error on xlsx files with bogus Print_Area.
	* xlsx import improvements for contour graphs.
	* xlsx export improvements for contour graphs.
	* Fix xlsx export of trend line equation.
	* Fix xlsx import and export of trend line affine flag.
	* Avoid critical on exporting unnamed xlsx trend line.
	* Fix VDB for partial periods.  [#790299]

--------------------------------------------------------------------------
Gnumeric 1.12.35

Jean:
	* Fix cell border style selectors with recent gdk-pixbuf. [#781988]

Morten:
	* Test suite improvements.
	* Improve relative accuracy of BESSELJ and BESSELY.
	* New function REDUCEPI.
	* Fix further fallout from glpk format change.  [#783077]

--------------------------------------------------------------------------
Gnumeric 1.12.34

Andreas:
	* Fix hyperlinks import from ODF. [#779635]

Jean:
	* Fix xlsx export of chart series names. [#778618]
	* Always export a transparent fill style in charts. [#779160]

Morten:
	* Doc fixes.
	* Fix xlsx import with missing header/footer. [#778292]
	* Minor xlsx import improvements with alias colors.
	* Test suite improvements.
	* Improve Excel handling of hyperlinks.
	* Hyperlinks improvements.  [#706671]
	* Plug leaks.
	* Fix issues with sheet-local names.
	* ssdiff improvements with hyperlinks, input messages,
	  conditional formats, and validations.
	* Make exit code from ssdiff follow diff's.
	* Fix ssdiff with inter-sheet references.
	* Fix style border colour sharing.

--------------------------------------------------------------------------
Gnumeric 1.12.33

Andreas:
	* Fix export/import of scaling information to/from ODF.
	* Fix Wilcoxon Signed Rank Test handling of ties. [#772718]
	* Fix xlsx export of scale to page information. [#776196]

Jean:
	* Fix use of cell formats in graphs data labels. [#777338]

Morten:
	* Speed up sstest part of test suite.
	* Bring documentation build into the 21 century.
	* Non-linear solver improvements.
	* Avoid atomizing style regions with conditional formats.
	* Adapt to glpk file format changes.
	* Fix stf problems with text format.  [#777543]

--------------------------------------------------------------------------
Gnumeric 1.12.32

Andreas:
	* Improve html4.0 fragment export. [#769343]
	* Fix moving averages, exponential smothing and principal
	  component tools. [#769659]

Jean:
	* Fix  paradox plugin build with pxlib-0.6.7. [#769319]

Morten:
	* Avoid gnome-common dependency.
	* New text functions CONCAT, TEXTJOIN.
	* New selection functions IFS, SWITCH.
	* New aggregation functions SUMIFS, AVERAGEIFS, MINIFS, MAXIFS, COUNTIFS.
	* Fix criteria function issue with errors in the selector area.
	* Fix corner case for MINA and MAXA.
	* Fix criteria matching of numbers against strings.
	* Test suite improvements.

--------------------------------------------------------------------------
Gnumeric 1.12.31

Morten:
	* Fix case issues for database functions.
	* Anchor COUNTIF criteria at end too.
	* Add tests for COUNTIF.
	* Fix inter-process paste crash.  [#768164]

--------------------------------------------------------------------------
Gnumeric 1.12.30

Morten:
	* Improve format guessing for csv and txt files.
	* Fix DCOUNT and DCOUNTA with missing field.  [#767290]
	* Fix strictness in database functions.
	* Fix a bunch of corner cases for database functions.
	* Add tests for database functions.

--------------------------------------------------------------------------
Gnumeric 1.12.29

Jean:
	* Fix array reading in plots using matrix data. [#765483]

Morten:
	* Documentation fixes for complex numbers.
	* Fix rare RANDBETWEEN problem.
	* Test suite improvements.
	* Fix value-area problem.  [#765438]
	* Make xlsx shared strings parsing more robust.  [#765544]
	* Dead kittens.

--------------------------------------------------------------------------
Gnumeric 1.12.28

Morten:
	* Fuzzed file fixes.  [#761663] [#761727] [#762278]
	* Plug leaks.
	* Fix problems with ssconvert to lp/cplex formats.
	* Add sensitivity report to solver.
	* Fix bounds problem with cplex exporter.
	* Fix IMARCCOSH(1).
	* Add more tests for complex number evaluation.
	* Improve accuracy of IMLOG10.

--------------------------------------------------------------------------
Gnumeric 1.12.27

Andreas:
	* Read/write rich-text font-size from ODF files. [#759983]
	* Read/write zoom values to/from ODF files in LO compatible way. [#700013]
	* Read new attribute to am/pm element in ODF import. [#760043]
	* Fix NETWORKDAYS. [#760576]

Jean:
	* Fuzzed file fix.  [#760546]
	* Fix data labels when the source is a range with several rows and
	 columns. [#761048]

Morten:
	* Teach ssconvert to split sheets into separate .txt files [#694408]
	* Improve test suite.
	* Fuzzed file fixes.  [#760046] [#760085] [#760087] [#760089]
	  [#760043] [#760103] [#760102] [#760101] [#760105] [#760106]
	  [#760104] [#760229] [#760231] [#760232] [#760544] [#760545]
	  [#761295]
	* Fix R.DBINOM extreme-value case.  [#760230]
	* New function AGM.
	* Fix canvas problem leaving grab in place.  [#760639]
	* Work around gtk+ bug causing growing windows.  [#761142]
	* Improve BESSELJ and BESSELY.
	* Improve BETA accuracy.
	* Fix problem with database functions.  [#761305]
	* Fix font problem for ssconvert to pdf.  [#761296]
	* Fix bison check.  [#761398]
	* Improve IMIGAMMA coverage.

--------------------------------------------------------------------------
Gnumeric 1.12.26

Morten:
	* Fix potential crasher on showing initial window.

--------------------------------------------------------------------------
Gnumeric 1.12.25

Jean:
	* Add support in recent files dialog for multiple selesction and double
	click. [#759160]

Morten:
	* Fix TABLE problems.  [#752181]  [#752178]  [#752182]
	* Fuzzed file fixes.  [#752179]  [#752180]
	* Add R.DGUMBEL, R.PGUMBEL, R.QGUMBEL.
	* Fix conditional format problem.  [#750271]
	* Test also RANDWEIBULL and RANDLOGNORM.
	* Fix problem with R.QHYPER
	* Add R.DRAYLEIGH, R.PRAYLEIGH, R.QRAYLEIGH.
	* Fix GUI translation problems.
	* Fix bugs with merged cells.  [#504004]
	* Make builds more reproducible.
	* Improve ssdiff for validation.
	* Fix problem with xls export of list validation.  [#557555]

--------------------------------------------------------------------------
Gnumeric 1.12.24

Jean:
	* Fix printing of sheet objects with one cell or absolute anchors. [#753961]
	* Fix snap to grid for one cell or absolute anchored objects. [#754792]
	* On export, just change the extension, not more. [ubuntu #1497344]

--------------------------------------------------------------------------
Gnumeric 1.12.23

Andreas:
	* Fix memory handling error on fuzzed sxc file. [#748535]
	* Improve import/export of page layout from/to ODF.
	* Improve function import to ODF. [#750627]
	* Add CONFIDENCE.T, MODE.MULT, PERCENTILE.EXC, PERCENTRANK.EXC
	  and QUARTILE.EXC.
	* Fuzzed file fixes.  [#751060] [#751501] [#751851] [#751922]
	* Fix ODF import of named expressions. [#750627]
	* Import reference unions from ODF. [#750627]
	* Improve CONVERT function.

Jean:
	* Fix xlsx import of plot area manual layout. [#748016]
	* Fix out of bounds read. [#749121]
	* Fuzzed file fixes.  [#750042] [#751217] [#751270] [#751271]
	  [#751383] [#751384] [#751758] [#751744] [#751908] [#751920]
	  [#751249] [#751945] [#751909] [#751946] [#751968] [#751969]
	  [#751971] [#751989]

Morten:
	* Fix import/export of graph backplane.
	* Fix export of unlabelled axes.
	* Fix export of rotated axis labels.
	* Fix xlsx save crash related to shared strings.  [#748477]
	* Solver code refactoring.
	* Plug leaks.
	* Fuzzed file fixes.  [#748595] [#748597] [#749031] [#749030]
	  [#749069] [#748533] [#749118] [#749166] [#749181] [#749184]
	  [#749236] [#749240] [#749234] [#749235] [#749271] [#749270]
	  [#749424] [#749917] [#749919] [#750043] [#750044] [#750046]
	  [#750811] [#750810] [#750857] [#750864] [#750862] [#750858]
	  [#751126] [#751254] [#751253] [#750851] [#751258] [#751259]
	  [#751502] [#751390] [#751579] [#751659] [#751660] [#751662]
	  [#751970] [#752022] [#751988] [#752021] [#752080] [#752081]
	  [#752124]
	* Make solver check linearity of model.
	* Fix xls saving of marker style.  [#749185]
	* Make compilation with clang work again.  [#749138]
	* Fix xlsx problem with import of header/footer.  [#750853]
	* Fix xls save problem with characters outside codepage.  [#750856]
	* Fix named expression problem.  [#751056]
	* Fix xlsx namespace problem.  [#751120]
	* Protect database functions against malformed database.  [#751392]
	* Fix csv problem with invalid UTF-8 data.  [#751577]
	* Fix GROWTH.  [#751658]
	* Restrict TABLE to array context.  [#751871]

--------------------------------------------------------------------------
Gnumeric 1.12.22

Andreas:
	* Improve ODF import/export of additional axes. [#746321]
	* Fix ODF export of styles for additional axes. [#746621]
	* Simplify export of SEC and SECH to ODF. [#747211]
	* Harden ODF import against fuzzed files. [#747447][#747448]
	* Fix ODF import/export of unlinked checkboxes and radio buttons.
	* Plug leak in ODF import and export. [#747590]
	* Improve pattern fill round trip through ODF.
	* Fix export of Ring plots to ODF. [#747763]
	* Fix import/export of Pie charts from/to ODF. [#747807]
	* Add more determinism to ODF export. [#747916]

Jean:
	* Fix signal handling while running Python. [#744638]
	* Implement absolute anchoring for sheet objects.
	* Make graphs (and images) not resize with cells by default. [#684450]

Morten:
	* xlsx import/export of log axis.
	* xlsx export of multiple plots in chart.
	* Fix xlsx import of multiple axes.
	* Fix xlsx title export problem.
	* Fix xlsx export problem with series' style.
	* Fix xlsx import/export of sheet tab text colour.
	* Improve test suite.
	* Actually implement DECIMAL.
	* Fix BETA problem with special case.
	* Fix MIDB and REPLACEB length check.
	* Fix PERMUATIONA corner case.
	* Fix RANDLOG.
	* Fix RANDGEOM to use same distribution as R.DGEOM.
	* Improve xlsx roundtrip of GOStyle.
	* Improve reading of xlsx theme colours.
	* Plug leaks.
	* Fix REPLACEB problem.  [#747210]
	* Fix sheet filter problem.
	* Minor R.DNORM improvement.
	* Improve RAYLEIGH accuracy.
	* Improve R.QCAUCHY accuracy.
	* Add TANPI and COTPI functions.

--------------------------------------------------------------------------
Gnumeric 1.12.21

Andreas:
	* ODF import/export general plot data specifications. [#743818]
	* ODF import/export the z-index for line objects.
	* Fix ODF import of stroke colours of sheet objects.
	* Fix ODF import/export of fill colour and type. [#744051]
	* Fix ODF import/export of marker fill and outline colours.
	* Improve ODF export of manually positioned charts in multi-chart
	  graphs. [#743789]
	* Fix ODF export of serieslines styles.
	* Fix ODF import/export of axes label visibility. [#743788]
	* ODF import/export additional axislines.
	* Fix ODF import/export of fonts in charts. [#744632]
	* ODF import/export additional axes. [#743787]
	* Fix ODF style import of secondary plots. [#744930]
	* Fix ODF style export for data points in plots. [#745091]

Morten:
	* Implement xlsx import of sheet widgets.
	* Implement xlsx export of sheet widgets.
	* Fix xlsx import/export of patterns.
	* Plug leaks.
	* Arrow properties editor.  [#158327]
	* Fix xlsx export of line style None.
	* Fix search-and-replace problem with text format.
	* Fix xlsx import/export of gradients.
	* Fix undo problems with scrollbars.
	* Fix spinner properties dialog.
	* SheetObjectImage fixes.
	* Fix problem reading images from xls.
	* Namespace fixes
	* Test suite improvements.
	* Fix various dtd version problems.

--------------------------------------------------------------------------
Gnumeric 1.12.20

Andreas:
	* ODF import/export trendline names. [#743448]
	* ODF import/export trendline affinity & dimensions.
	* ODF import/export major & minor chart axis tick marks.
	* ODF import/export chart axis min and max formulae.
	* Fix ODF export of single cell ranges in graphs. [#743619]
	* ODF import/export series fill types. [#743613]
	* ODF import/export marker outline colour.
	* ODF export all charts in a graph.
	* ODF import/export axis positions.
	* ODF import/export series lines. [#743785]
	* ODF import/export all plots in a chart. [#743786]

Morten:
	* xlsx chart import: fix font family name.
	* xlsx import/export trend line names.
	* Fix gda plugin compilation.  [#743506]
	* Fix xlsx export problem with auto markers.
	* Import/export xlsx chart axis min/max/steps.
	* Export xlsx chart axis tick marks.
	* Fix xlsx problem with inverted axis.
	* Export sliders as scrollbars for xls.
	* Fix xls loading of horizontal scrollbars.  [#743754]
	* Plug leaks.
	* Fix xlsx comment export.
	* Make XL see our exported xlsx axes.
	* Fix xlsx import/export of axis font info.  [#743822]

--------------------------------------------------------------------------
Gnumeric 1.12.19

Andreas:
	* Add latex fragment exporter of visible rows only. [#739512]

Jean:
	* Fix ants problems.

Morten:
	* Plug leaks.
	* Pay more attention to union access rules.
	* Attempt a fix for clipboard crash.  [Redhat #1160975]
	* Truncate long strings for display in stf import.
	* Fix crash on closing a graph sheet.
	* Fix undo crash with conditional formatting and insert row.  [#741197]
	* Fix xlsx export of HYPGEOMDIST.
	* Fix xlsx export of document properties.
	* Fix multihead issue with graph windows.
	* Improve test suite.
	* Reorganize icon handling.
	* Allow removing a specific item from the history.  [#735305]
	* Fix GNM_HALIGN_DISTRIBUTED rendering.  [#726155]
	* Restore translations of function help texts.
	* Fix import of extended float formula results from wk4 files.
	* Fix ADDRESS problem.
	* Fix sheet-filter problem with errors.  [#742601]
	* Improve error handling for .gnumeric a bit.
	* Improve xlsx graph import: line colour; marker size; marker color;
	  no lines; bounding box; trend lines; regression equations; axis label.
	* Improve xlsx graph export: line style; bar/col direction; marker shape;
	  marker size; marker color; axis label; chart title; trend lines.
	* Improve xlsx export: default col widths; schema validity.
	* Improve modifier handling.  [#743130]

Thomas Kluyver:
	* Fix import of extended floats from wk4 files.  [#739679]

--------------------------------------------------------------------------
Gnumeric 1.12.18

Andreas:
	* Improve documentation. [#733466]
	* Add warning dialog. [#733352]
	* Fix rich text roundtrip through ODF. [#737039]

Jean:
	* Fix dialogs behavior in full screen mode. [#736395]
	* Save axis format to xls. [#736656]
	* Fix recent files dialog crasher. [#737261]

Morten:
	* Fix xls export problem.  [#733771]
	* Update WEEKDAY function.
	* Fix xlsx export problem for strings.  [#736202]
	* Improve xlsx import of rich text.
	* Text suite improvements.
	* Fix minor ods rich text import problem.

--------------------------------------------------------------------------
Gnumeric 1.12.17

Morten:
	* Fix UMR.  [#730727]
	* Fix crashes on exit.  [#730857]  [#730884]
	* Handle value formats for xlsx export.  [#724517]
	* Improve xlsx import/export of rich text.  [#726189]
	* Fix solver critical.

--------------------------------------------------------------------------
Gnumeric 1.12.16

Andreas:
	* Fix database-range import from ODF. [#730197]
	* Improve chart roundtrip through ODF. [#728197]
	* Fix export of non-ODF interpolation types to ODF.
	* Fix export of titles and subtitles to ODF. [part of #730397]
	* Fix axis sub-element order in ODF export. [part of #730397]
	* Fix undo crash related to hyperlinks. [#730466]

Morten:
	* Start moving off GtkUIManager.
	* Clean out old #ifdef.
	* Fix ods series marker import/export.
	* Fix plan-perfect issue.  [Debian #748054]
	* Make installtion work without scrollkeeper.
	* Improve import/export testing.  [#730397]
	* Speed up certain large ranges of conditional formatting.
	* Work towards making ods export deterministic.

--------------------------------------------------------------------------
Gnumeric 1.12.15

Andreas:
	* Fix chart size in ODF import. [#728278]
	* Improve chart roundtrip through ODF. [#728197]
	* Export centre-across-selection in a way LO can understand. [#726010]
	* Improve format roundtrip through ODF.

Morten:
	* For xlsx, don't complain over "ext" elements.
	* xlsx graph import improvements.
	* Attempt a fix for tabs appearance with gtk+ 3.12.  [#728465]
	* Make it possible to have all callables as python functions. [#728611]
	* Improve format roundtrip through ODF.
	* Plug leaks.
	* Make search dialog non-modal again.  [#728817]

--------------------------------------------------------------------------
Gnumeric 1.12.14

Andreas:
	* Improve format import from ODF files.

Morten:
	* Plug leaks.
	* xlsx conditional format fixes.  [#726202]
	* Fix semantics of conditional format operators.  [#726806]
	* Fix xlsx quotes in formula strings.  [#726824]
	* Fix xls export of rich text.
	* Fix problems with large, circular farms of VLOOKUP etc. [#723894]
	* Let goffice handle conditional number formats.
	* Attempt a workaround for Ubuntu scroll bars.
	* Fix odf parse problems.
	* Fix array editing.
	* Fix column/row header colouring problem.  [#728007]

--------------------------------------------------------------------------
Gnumeric 1.12.13

Andreas:
	* Fix export of comboboxes to ODF.
	* Fix export of help messages to ODF.
	* Import invisible alignment characters in number formats from ODF.
	[part of #725852]
	* Fix fill-alignment export/import to and from ODF. [part of #726035]
	* Fix distributed-alignment export to ODF. [part of #726035]
	* Fix ODF roundtrip of "center accross selection". [#726010]
	* Improve ODF roundtrip of conditional formats. [#726201]
	* Fix import & export of cell indent from/to ODF.
	* Fix ODF roundtrip of underlines.

Jean:
	* Fix tooltip position for scale or RTL sheets. [#725941]
	* Really fix the hyperlink tips persistence. [see #706659]

Morten:
	* Support volatile functions. [#305798]
	* Improve testing.
	* Import/Export super/subscript fonts to xlsx. [Part of #726035]
	* Import xlsx auto-filters. [#725460]
	* Update Gnumeric schema.
	* Fix rich text problem. [#726086]
	* Improve xls import/export of conditional formats.  [#726202]
	* Fix case sensitivity for conditional formats. [#726246]
	* Fix minor conditional format GUI issues.
	* Plug leak.
	* Fix font dialog problem with underline.
	* Fix crash reading strange xls file.  [Redhat #1076912]
	* Fix problem clearing existing values in some xlsx cells.  [#726297]
	* Fix criticals for dynamic deps in conditional formats.  [#726163]
	* Fix LOG2 problem.  [#726464]

--------------------------------------------------------------------------
Gnumeric 1.12.12

Andreas:
	* Fix ODF roundtrip of some header/footer markers. [part of #724487]
	* Fix ODF roundtrip of preferred window size. [part of #724487]
	* Fix ODF number roundtrip issue. [part of #724568]
	* Fix ODF error constant roundtrip issue. [part of #724568]
	* Fix import of underlines from LO-generated ODF files. [part of #724763]
	* Fix ODF viewport roundtrip issue. [#724761]
	* Fix ODF pagesetup roundtrip issue. [#724516]
	* Fix ODF pattern roundtrip issue. [#724898]
	* Export row and column visibility to ODF. [#725115]
	* Export frozen panes info to and import from ODF. [#725228]
	* Export and import more sheet properties to/from ODF. [#725258]
	* Fix validation import from ODF. [#725321]
	* Fix autofilter condition export to ODF. [#725458]
	* Provide Undo for sheet reordering via tab dragging. [#725540]

Jean:
	* Fix persistence of hyperlinks tips. [see #724108]
	* Fix background filling for rtl sheets. [#725276]

Morten:
	* Fix BIFF7 import of long strings.  [#724399]
	* Improve testing.
	* Fix XLSX number roundtrip issues.
	* Improve ssdiff's report of differences.
	* Improve LOG2's accuracy.
	* Fix BIFF7 export of page headers and footers.
	* Fix BIFF7 export of font rotation.
	* Fix xlsx export of underlines.
	* Fix BIFF8 export of diagonal borders.
	* Export headers and footers to xlsx.  [Part of #724516]
	* Import headers and footers from xlsx.  [Part of #724516]
	* Fix xls export of long strings in formulas.
	* Fix xls import of cells with long string results.
	* Fix xls export of long strings in various places.
	* Fix BIFF7 export of comments.
	* Improve style handling when expanding sheets.
	* Fix xls export of headers and footers.  [Part of #724516]
	* Fix xls import of headers and footers.  [Part of #724516]
	* Fix xlsx export of row heights.
	* Fix xlsx export of rotated styles.
	* Make window geometry round-trip through xlsx.
	* Fix xlsx import of comments.
	* Work around gtk+ criticals.  [#725142]
	* Fix xls/biff8 export of long comments.  [#725168]
	* Fix xls/biff8 import of comment's text attributes.  [#725168]
	* Improve the xls macro-roundtrip situation.  [#725220]
	* Improve ssdiff for sheet attributes.
	* Fix split pane problem.  [#725375]
	* Don't generate value format during xls read.  [#725453]
	* Fix name criticals.
	* Fix sheet duplication issue.  [#725504]
	* Fix named expressions crasher.  [Part of #725459]
	* Fix GUI sheet re-ordering mess.  [Part of #725459]

--------------------------------------------------------------------------
Gnumeric 1.12.11

Jean:
	* Fix hang on xls/biff7 save.  [#724399]

Morten:
	* Release infrastructure improvements.
	* Improve testing for xls/biff7.

--------------------------------------------------------------------------
Gnumeric 1.12.10

Andreas:
	* Fix handling of dashes on ODF import. [#719509]
	* Suppress some warnings in xlsx import. [#719680]

Jean:
	* Accept 3D values for vector data. [#722294]
	* Improve performance of ant-int cursor.  [#381011]
	* Fix filled sheet objects properties box on cancelling. [#723745]

Mario Rugiero:
	* Fix leaks.  [#720306]

Morten:
	* Extend POCHHAMMER to negative values.
	* Improve accuracy of BETA and BETALN.
	* Improve accuracy of BESSELJ and BESSELY.
	* New functions: IMGAMMA, IMFACT, IMIGAMMA, IGAMMA.
	* Avoid some overflows in IMGAMMA.
	* Fix tabulation truncation issue.
	* Fix ABR.  [#720353]
	* Fix fuzzed file crashes.  [#720425] [#720426] [#720358] [#719349]
	[#715002]
	* Resurrect list of functions on the new Gnumeric wiki.
	* Resurrect support for non-ascii filenames on win32.  [#557815]
	* Fix timeout related critical in ItemGrid.
	* Fix win32 print crash.  [#719997]
	* Fix solver problem with constraints.
	* Improve accuracy of R.PNORM and R.PLNORM for large arguments.
	* Improve accuracy of R.QCAUCHY.
	* Improve accuracy of R.DHYPER, R.DBINOM, R.DNBINOM, R.DPOIS,
	  RAYLEIGH.
	* Minor theming improvement.  [#722074]
	* Save some vertical space between toolbars.
	* Fix array/merge interaction problem.  [#723600]
	* Fix problems with large, circular farms of VLOOKUP etc. [#723894]

--------------------------------------------------------------------------
Gnumeric 1.12.9

Jean:
	* Implement double click for graph sheets. [#712216]

Morten:
	* Minor improvement to history dialog.
	* Fix drop-down sizing (gtk+ regression).  [#710749]
	* Improve accuracy of R.QCAUCHY.
	* Acquire more special function test cases.
	* Improve accuracy of R.QGAMMA and thus R.QCHISQ.
	* Improve accuracy of R.QBETA, R.QF, R.QTUKEY, R.QSNORM, and R.QST.
	* Improve accuracy of COMBIN, PERMUT, POCHHAMMER, FACT, GAMMA.
	* Improve accuracy of bessel functions with large non-integer alpha.
	* Improve accuracy of ACOTH.
	* Fix fuzzed file problems.  [#708091] [#712662] [#712685] [#712700]
	  [#712708] [#712772] [#712788] [#712731] [#715003]
	* Restore sheet reordering by drag.
	* Fix BETA on win32.
	* Fix win32 registry initialization.
	* Fix win32 gdk-pixbuf install heisen-crash.
	* Incorporate new tests from crlibm.
	* New functions SINPI and COSPI.
	* Improve accuracy of SIN/COS/TAN on win32.
	* Work around GTK+ ABI break.  [Redhat #1033827]

Xabier Rodríguez Calvar:
	* Fix dialog button order. [#710378]

--------------------------------------------------------------------------
Gnumeric 1.12.8

Andreas:
	* Update/fix documentation [#708679][#707075][#708556]
	* Fix paste into locked cells [#702292]

Jean:
	* Fix radio buttons behavior in covariance dialog. [#707595]
	* Add a border around font selector in cell format dialog. [#708567]

Morten:
	* Fix fuzzed file crash.  [#707875]
	* Use lighter green for function markers.  [#708573]
	* Fix item cursor problem.  [#709320]
	* Fix win32 compilation.

--------------------------------------------------------------------------
Gnumeric 1.12.7

Morten:
	* Extend BESSELJ and BESSELY to handle fractional order.  [#706720]
	* Fix crash with split pane.  [#707047]

--------------------------------------------------------------------------
Gnumeric 1.12.6

Andreas:
	* Fix crash on corrupted files. [#706526]

Morten:
	* Fix crash on corrupted files.  [#706413]  [#706417]
	* Fix save style performance issue.  [#699045]

--------------------------------------------------------------------------
Gnumeric 1.12.5

Andreas:
	* Improve ODF import of cells with links. [#704022]
	* Fix import of multi-paragraph text from ODF. [#704391]
	* Fix ODF export of empt rows. [#704438]
	* Export custom shapes. [#704421]
	* Fix export to ODF of empty cells with default column styles. [#704563]
	* Improve import to ODF of empty cells with default column styles. [#704563]
	* Speed up loading of some ODF files. [#704422]
	* Fix ODF style import. [#704563]
	* Fix crash on corrupted files. [#704636] [#705385] [#705421] [#705420] [#706075]
	* Fix ODF import of charts with series consisting of multiple ranges. [#704742]
	* Fix ODF export of charts with series consisting of multiple ranges.
	* Implement input message editing. [Part of #705310]
	* Fix export of input-message only validations. [#705384]
	* Fix warnings. [Part of #705313]
	* Show input messages. [#705310]
	* Fix Excel XML import. [#705223]
	* Fix documentation. [#705541]
	* Avoid crashing when printing sheet object widgets from ssconvert. [#705638]
	* Fix printing of sheet object widgets. [#705650] [#705653]
	* Use current GTK style when printing sheet object widgets from Gnumeric. [#705684]
	* Scale tiny buttonssheet objects when printing. [#705689]

Dmitry Matveev:
	* Bring back gda support.  [#604690]

Jean:
	* Fix text wrap inside sheet objects. [#704417]
	* Fix export of scatter/bubble plots to xls. [#705311]
	* Fix crash when importing fuzzed chart from xls. [#705353]
	* Accept <graph:Type> nodes in guppi graphs. [Debian #718594]
	* Avoid crashing after destroying a SheetWidgetAdjustment associated widget.
	[see Gtk+ bug #705692]

Morten:
	* Fix crazy parsing problem.  [#704109] [#704140]
	* Fix crashes on corrupted files.  [#704102] [#704004] [#704325]
	[#704562] [#705866]
	* Fix conditional format problem.  [#704445]
	* Fix R1C1 parsing issue.  [#705637]
	* Improve handling of large-area conditional styles.
	* Fix (?) Applix pattern importer.  [#705946]
	* Fix FMR.  [Part of #705913]
	* Fix sheet removal dep problem.  [#706095]
	* Fix test failure.  [#705947]

--------------------------------------------------------------------------
Gnumeric 1.12.4

Andreas:
	* Improve xlsx export of Gnumeric functions.
	* Improve xlsx import of Excel 2010 functions.
	* Improve xls import of Excel 2010 functions.
	* Fix documentation of r.q* and r.*nbinom. [#703164]
	* Add Excel 2010's BETA.DIST.
	* Fix crash on corrupted files. [#703149] [#703215] [#703625] [#703895]
	* Fix import of sxc files. [#703249]
	* Fix TDIST Import/Export from/to ODF.
	* Write manual legend position to ODF. [#703362]
	* Fix position handling in strict ODF export.

Jean:
	* Don't attempt to add a path item when there is no path object. [#703052]

Morten:
	* Improve accuracy for 2-argument ERF.
	* Fix crashes on corrupted files.  [#703143] [#703307] [#703306]
	* Fix --with-long-double tests.  [#703397]
	* Fix problems saving auto filters to xls.  [#703308]
	* Improve handling of large graph ranges.  [#703546]
	* Fix analysis issue with translations.  [#703355]
	* Fix COUNTIF (etc) pattern matching.  [#703770]

--------------------------------------------------------------------------
Gnumeric 1.12.3

Andreas:
	* Fix border handling for merged cells in LaTeX export.
	* Fix 'Go to First'. [#699631]
	* Fix data merges. [#699897]
	* Fix editing of hyperlinks. [#700732]
	* Fix conditional formatting crash. [#700969]
	* Do not include hidden cells in automatic print range. [#700994]
	* Make buttons 1 and 2 behave similarly when selecting cells. [#700792]
	* Warn when encountering extLst in xlsx import. [#700018]
	* Use ctrl-a only to select the whole sheet, if the sheet
	  has focus. [#699746]
	* Add a keyboard shortcut to jump to the current cell indicator.
	  [#699710]
	* Fix placement of hyperlink tooltip. [#701436]
	* Adjust cell comment display. [#698519]
	* Make reference display in paste/define names dialog consistent with
	  sheet preferences. [Debian #699054]
	* Write/read pagesetup settings to/from xlsx. [#701834]
	* Fix in-cell-combos attached to merged cells. [#702146]
	* Use the pagesetup setting to determine the landscape option in LaTeX
	  export [#702169]
	* Fix ODF crash. [#702197]
	* In ODF import ignored mentioned but not included sheets. [#698388]
	* Fix crash on corrupted files.  [#702205] [#702219] [#702285]
	  [#702288] [#702364] [#702409] [#702486] [#702485] [#702498] [#702322]
	  [#702689]
	* Some documentation improvements. [Debian #621735] [Debian #530462]
	* Fix crash on xlsx import due to external references. [#702407]
	* Fix reading of conditional formats from xls files. [#702612]
	* Fix reading of solid fill conditional formats from xlsx files.
	  [#702615]
	* Improve xlsx import of new stat function names.
	* Fix export of FLOOR(x) to xlsx. [Debian #464732]
	* Fix clipboard related crash. [#702868]

Darrell Tangman:
	* Update documentation for Edit and Insert menus. [#700596]
	* Update documentation for comments and hyperlinks. [#700797]
	* Consolidate comment, hyperlinks, names documentation.
	* Update documentation for Manage Sheets, R1C1 notation,
	  sheet ranges. 1.12 updates, typo corrections, misc. cleanup.

Dmitry Smirnov:
	* Fixes to the gnumeric and ssconvert manual pages.

Jean:
	* Adjust labels vertical alignment in document properties
	  dialog. [#700156]
	* Don't crash when exchanging missing axes. [#702126]
	* Don't accept GNM_SHEET_PATTERNS as a valid pattern. [#702833]

Morten:
	* Improve xlsx import of style-only cells.
	* Don't write empty cells to .gnumeric.
	* Add MPSEUDOINVERSE function.
	* Add ctrl-shift-z as extra accelerator for redo.  [#699579]
	* Fix conditional format problem.  [#699647]
	* Remove gobject property strings from translation corpus.
	* Improve LINEST.  [#551457]
	* Improve statfuns tests.  [#700294]
	* Improve mathfuns tests.  [#700295]
	* Add new R.PTUKEY function.  [#700132]
	* Add new Q.PTUKEY function.  [#700132]
	* Fix missing translation of certain function examples.
	* Add new SNORM.DIST.RANGE function.
	* Fix critical when last row deleted.
	* Fix criticals in about dialog.
	* Introspection fixes.
	* Fix xls/biff5 link export.  [#701604]
	* Workaround problems with automake 1.13.
	* Fix crashes on corrupted files.  [#702101] [#702182] [#702218]
	  [#702267] [#702277] [#702379] [#702658] [#703006]
	* Improve xls import of new stat function names.
	* Plug leaks.

--------------------------------------------------------------------------
Gnumeric 1.12.2

Andreas:
	* Update documentation.
	* Fix angle import of ODF graphs. [#698389]
	* Don't insert ODF local tables as sheets. [#698388]
	* Improve import of header/footer info from ODF.
	* Fix legend placement in ODF import. [#698535]
	* Fix plot placement in ODF import.
	* Plug leaks.
	* Fix border handling in html4 export. [#635217]
	* Support ODF's title tag in headers and footers.
	* Rename some items in the Statistics menu.
	* Fix borders of merged cells in LaTeX export. [#347013]

Dominique Leuenberger:
	* Fix locale directory.

Jean:
	* Fix problems with sheet widgets.  [#696533]
	* Fixed graph data loading from vectors that are array values. [#697107]
	[697281]

Morten:
	* Improve ssconvert error handling.  [#695529]
	* New font selector for toolbar.  [#695031]
	* Embed more artwork.
	* Plug leaks.
	* Introspection improvements.
	* Fix drawing of the select-all button.
	* Fix getting the detachable-toolbars setting.
	* Style most of Gnumeric using css.
	* Fix focus problem in cell comment dialog.  [#696826]
	* Move sheet renaming into a dialog.
	* Make it easier to see what sheet is selected.  [#659317]
	* Implement R.PST, R.QST, and R.QSNORM.
	* Fix dependency tabulation.
	* Fix problems with R.PSNORM.  [#697293]
	* New function OWENT.
	* New function POCHHAMMER.
	* Fix import of XL2007 functions like IFERROR from xls.
	* Add test sheet for complex number parsing.
	* Improve complex number parsing.
	* Fix error codes for complex number functions.
	* Fix import of non-Excel functions from LO's xls files.
	* Fix problem with xls saving of externnames.
	* Fix saving of certain XL2007 functions like IFERROR.
	* Ensure full precision for complex numbers.  [#697634]
	* Fix parsing of 'Sheet1!#REF!' as used by XL.  [#683494]
	* New function NT_OMEGA.
	* Fix minor R.PBINOM problems.
	* Improve FACT and GAMMA accuracy.
	* Fix dirty/undo tracking issue.  [#697927]
	* Add version number to translation files.
	* Improve precision of R.PBETA slightly.  [#697850]
	* Add new test for a collection of special functions.
	* Fix xls writing of non-ascii names.  [#608780]
	* Improve entry of non-locale currency amounts.  [#577768]
	* Fix XL import of names with array constants.  [#654211]
	* Fix XL import of booleans/error/empties in array constants.
	* Fix database criteria anchoring.  [#661800]
	* Fix database criterias "=" and "<>" for emptiness test.  [#686156]
	* Enable context menu for graph sheet tabs.  [#685446]
	* Fix bad interaction between save-as and GtkFileChooser.  [#695839]
	* Fix vertical toolbar's font button.
	* Fix criticals in insert-comment dialog.
	* Improve vertical toolbars.  [#590889]
	* Merge long format toolbar into regular one.
	* Work around gtk+ behaviour change.  [#689283]
	* Improve handling of broken xls.  [#698424]
	* Fix failed-read focus problem.  [#625687]
	* Fix critical.  [#698680]
	* Fix type problems with glib timers.
	* Fix swapped arguments in DAYS.  [#698772]
	* Fix showing multiple toolbars on the left.

--------------------------------------------------------------------------
Gnumeric 1.12.1

Alexandre Rostovtsev:
	* Introspection fixes.  [#684159]

Andreas:
	* Some documentation fixes.
	* Show argument names for python functions. [#690681]
	* Fix loading of ODF files with named expressions. [#690925]
	* Avoid unncessary sheet specification in analysis tools. [#691892]
	* Fix sensitivity tests for 2-factor anova dialog. [#693980]

Jean:
	* Fixed aspect ratio for graph sheets. [#691472]
	* Replaced all GtkTable instances by GtkGrid.
	* Make the row and column header clickable even when indented.
	* Fix horizontal and vertical pane positions after indentation.

Morten:
	* Fix a few compiler warnings.
	* Always compile ssconvert, ssindex, and ssgrep.
	* New utility: ssdiff.
	* Remove disabled corba plugin.
	* Fix off-by-ones in sheet resize.  [#690929]
	* Start working on warnings from newer gcc.
	* Avoid using some deprecated symbols.
	* Fix multihead issue with clipboard.
	* Improve EIGEN.   [#687926]
	* Improve handling of unknown functions.  [#109442]
	* Add LINSOLVE function.
	* Restrict size of MUNIT to avoid thrashing the system.  [#625544]
	* Fix text import crash.
	* Add LEVERAGE function for regression tool.  [#691913]
	* Clean up matrix code.
	* Speed up regressions.  [#691984]
	* Clean up sheet style code somewhat.
	* Track dependents of conditional formats.  [#654495] [#674954]
	* FreeBSD portability fix.  [#693761]
	* Introspection fixes.
	* Fix ssconvert crash.  [#694741]
	* Unconditionally enable solver.
	* Rewrite the file history dialog.  [#694777]
	* Fix R.QF and R.QBINOM documentation.
	* Fix sheet-removed crashes for a few dialogs.  [#364291]

--------------------------------------------------------------------------
Gnumeric 1.12.0

Andreas:
	 * Fix xlsx save problem.  [#690203]

--------------------------------------------------------------------------
Gnumeric 1.11.91

Andreas:
	* Update the Gnumeric manual.

Morten:
	* Fix format problem.

--------------------------------------------------------------------------
Gnumeric 1.11.90

Andreas:
	* Fix ODF export of conditional styles including data styles. [#683739]
	* Fix encounter with macro sheets on xls import. [#684646]
	* Make ODF import handling of strike-through match LO. [#686789]
	* Fix style handling in ODF export for empty cells with objects. [#687693]
	* Fix cell overflow in case of marked up scientific format. [#686540]
	* Save all settings in stf export. [#685077]

Jean:
	* Fixed indentation in cell format dialog. [#683576]
	* Do not use filtered out values in graphs. [#687209]
	* Fixed crash on interprocess image copying. [#687414]
	* Fix sheet focus after resizing. [#687188]
	* Unselect sheet objects on closing to avoid leaks. [#688094]
	* Fixed introspection annotations. [#682514]

Morten:
	* Fix xlsx save performance problems.  [#662058]  [#685530]
	* Fix ods save performance problems.  [#662057, #687243]
	* Make .gnumeric use fewer style rectangles for the same style.
	* Short-circuit column resize for large stf imports.  [#686858]
	* Enhance POWER to do root of negative numbers.  [#687269]

Weng Xuetian:
        * Fix interaction with ibus & fcitx. [#684511]

--------------------------------------------------------------------------
Gnumeric 1.11.6

Andreas:
	* Some documentation updates.
	* Fix implicit ')' for array functions. [#680548]
	* Add FLIP function. [#680511]
	* Allow unordered abscissae in INTERPOLATION. [#680510]
	* Fix INTERPOLATION crash. [#680711]
	* Suppress range markers that should be in an external workbook.
	[Part of #680718]
	* Fix layering of sheet objects in ODF export and import.
	[Part of #681009]
	* Export/import opacity of fill-colours to/from ODF. [Part of #681009]
	* Some basic custom-shape support in ODF import.
	* Map captions onto text rectangles on ODF import.
	* Add new autofilter op. [#647401]
	* Provide new saver for uncompressed Gnumeric xml. [#672622]
	* Do not change workbook save info when exporting. [#672323]
	* Fix format selection on export. [#681316]
	* Add Repeat Export menu item. [#594154]

Jean:
	* Fix component references issues. [#680190]
	* Fix linear averaging interpolation. [#680723][#680918]
	* Support semi-transparent fonts in cells. [#678176]
	* Fix sheet object frame label change. [#681307]

Morten:
	* Fix xls read crash.  [#679992]
	* Dependents code cleanups.
	* Make cells regular dependents.
	* Fix non-linear solver crash.  [#680719]
	* Improve inter-workbook recalculations.

--------------------------------------------------------------------------
Gnumeric 1.11.5

Jean:
	* Add support for introspection. [#670271]

Morten:
	* Solver translation fixes.
	* Teach non-linear solver about constraints.  [Part of #620368]
	* Avoid too many hash collissions for dense sheets.
	* Speed up operations that iterate over cells in large areas.
	* Fix problems with linear solvers and cross-sheet target.
	* Fix python-loader vs. goffice interface problem.
	* Add solver report.

--------------------------------------------------------------------------
Gnumeric 1.11.4

Andreas:
	* Handle coloured text formatting during ODF import.
	* Import text box text formatting during ODF import. [#672815]
	* Improve import of page headers from ODF.
	* Export/Import validation error message to/from ODF.
	* Export in-cell font colours. [#675210]
	* Fix warning on column insertion. [#675224]
	* Correctly read & write rich-text chart titles to/from ODF. [#675821]
	* Read and write the graph titles to/from ODF. [#675820]
	* Fix loading of ellipse objects defined in ODF's shape section. [#676064]
	* Fix loading of line objects defined in ODF's shape section. [#676063]
	* Add underline button to formatted text dialog for sheet objects, commemts, etc.
	* Write the formatted text of sheet objects to ODF.
	* Fix consolidate tool. [#670155]
	* Fix crash on ODF import of messagefree validations.
	* Improve ODF import/export of style conditions. [#676289, #676441]
	* Fix object placement in ODF import. [#676339]
	* Fix space handling on ODF import. [Part of #676535]
	* Fix TIME and add ODF.TIME. [#676596]
	* Fix Wilcoxon Mann Whitney Test in the presence of empty cells.
	* Add single sample t-test.
	* Fix random generator/new view combination crash. [#677956]
	* Improve Mann-Whitney test to allow for two separate data ranges.
	* Fix custom colour combos for conditional format selection. [#677967]
	* Fix cell-clearing/autofilter interaction. [#674814]
	* Fix autofilter handling of column deletion undo. [#625702]
	* Fix top-10 and custom autofilter dialogs. [#678258][#678259]
	* Fix description of MDURATION. [#678520]

Jean:
	* Fix graph series headers when a multiple selection is used. [#675913]
	* Make selction background visible. [#648676]
	* Make mouse wheel scrolling work again with gtk+-3.4. [#675089]

Morten:
	* Minor doc improvement for non-C locales.  [Part of #675000]
	* Fix fullscreen criticals.
	* Improve handling of expressions in validations.  [#674914]
	* Improve handling of expressions in conditional formats.  [#674954]
	* Fix problems with style hash and equality.  [#675955]
	* Fix clipboard criticals on exit.  [#678580]

--------------------------------------------------------------------------
Gnumeric 1.11.3

Andreas:
	* On ODF import of stacked column charts, set LibreOffice's default
	overlap. [#670692]
	* On ODF import set series to default to ignoring invalids for
	interpolation. [#671508]
	* Handle unusual styles created in xls import. [#671745]
	* Do not show an icon for the range entry in the search dialog. [#671494]
	* Import/Export style information attached to grids from/to ODF.
	Part of [#671461]
	* Improve annotation import from ODF.
	* Fix conditional number format import from ODF. [#672489]
	* Import/Export marker size from/to ODF. Part of [#671461]
	* Export/Import axes data formats to ODF. Part of [#671461]
	* Fix object anchors on ODF import. [#667489]
	* Fix properties page of Document Properties dialog. [#673129, #673256]

Jean:
	* Fixed crash with sheet object. [#671617]
	* Fixed labels vectors made of multiple ranges. [#672330]
	* Never skip a required plot dimension. [#674341]

Morten:
	* Hook up unknown_image icon for ssconvert too.
	* Fix xls save crash.  [#671267]
	* Fix xls page break export.  [Part of #671513]
	* Fix xls export of conditional formats' font.  [Part of #671513]
	* Fix xls export of conditional formats' pattern.  [Part of #671513]
	* Improve xls import of rich text.  [Part of #671513]
	* Fix rich text export problem with non-ASCII.  [Part of #671513]
	* Fix crash with images on sheet.
	* Improve xls image export.   [Part of #671513]
	* Fix sheet object order on xls export.
	* Fix xls export for formulas in conditions.  [Part of #671513]
	* Export non-visible style stuff to xls.  [Part of #671513]
	* Improve xls import re. hard column widths.
	* Export only needed col/row styles to .gnumeric.
	* Fix export of colours to .gnumeric.
	* Fix row height xls export rounding issue.  [Part of #671513]
	* Export paper size to xls.
	* Improve xls export of chart legends.  [Part of #671845]
	* Export sets to xls.
	* Lower memory usage for ods load.  [#671863]
	* Improve test suite.
	* Lower per-cell memory usage.
	* Fix INTERPOLATION crash.  [#672154]
	* Inhibit typing underline style in format dialog.
	* Allow pattern matching for VLOOKUP/HLOOKUP.  [#672319]
	* Fix pattern matching for VLOOKUP/HLOOKUP/MATCH.
	* Improve test suite for ods.
	* Fix scrollbar/spinbutton load-from-.gnumeric.  [Part of #672716]
	* New function COVARIANCE.S.
	* Enable MATCH/VLOOKUP/HLOOKUP caches during redraw.
	* Speed-up some operations on large areas.
	* Work around pango bug affecting search/replace.  [#673447]
	* Try to work around gtk bug causing crashes.  [Redhat #803904]

--------------------------------------------------------------------------
Gnumeric 1.11.2

Andreas:
	* Colour the range expressions to match the range cursor. [#632156]
	* Implement ctrl-click cell deselection. [#610696]
	* Fix LaTeX export of cyrillic. [#666340]
	* Fix function tool tip. [#668685]
	* Delay function completion tooltip. [#668683]
	* Import inline text from xlsx files. [#668936]
	* Fix rich text import from xlsx. [#669083]
	* Fix data shuffle. [#669184]
	* Clarify the skew-t and skew-normal descriptions.
	* Fix EXACT. [#670232]
	* Fix editing of decimals. [#670558]
	* Fix edit line display. [#555519]
	* Avoid recalculation on pure comment deletion. [#670603]

Jean:
	* Fix formula interpretation in plot series (with Morten's help). [#662237]
	* Don't destroy a sheet object when inserting it. [#669648]

Morten:
	* Improve parsing on numbers with non-ascii digits.
	* Make solver check for exceeding the time limit.
	* Fix object life-cycle problems in solver.
	* Fix multihead problem with format dialog.
	* Fix auto-expression problem with sheet deletion.
	* Fix ellipsizing of auto-expression.
	* Fix auto-expression of single cell when moved.
	* Fix problems with underlines and rotated cells.  [#667152]
	* Fix multihead problem with auto-expressions.
	* Fix allocate-free mismatch in sheet management dialog.
	* Fix paste special undo problem.  [#667702]
	* Fix F4 (abs/rel-cycling) bug.  [#668625]
	* Fix minor function name completion bug.  [#668624]
	* Fix abs/rel stickiness in expression entry.  [#668691]
	* Minor quit-dialog improvements.
	* Put DataShuffle back on the menus.
	* Resurrect the splash screen from bit rot.  [#670449]
	* Make sheet removal respect manual recalculation.  [#671192]

--------------------------------------------------------------------------
Gnumeric 1.11.1

Andreas:
	* Show range selection cursors even while selecting new regions and
	on other sheets.

Jean:
	* Fixed expression range cursor behavior. [#664852]

Morten:
	* Build fixes relating to embedded ui files [#664828]

--------------------------------------------------------------------------
Gnumeric 1.11.0

Adrian Bunk:
       * Remove obsolete Hildon port.  [#662412]
       * Get rid of dolt.  [#662413]

Andreas:
	* Use formatting attributes whenever we format numbers.
	[#584380][#651561]
	* Clarify the distinction beween open/save and import/export.
	* Fix enabling of modify comment or hyperlink. [#655877]
	* Fully read scientific format from ODF.
	* Provide xls file opener permitting encoding specification. [#535473]
	* Fix writing of scatter style in xlsx export. [#656799]
	* Provide progress feedback for xlsx import. [#634803]
	* Provide progress feedback when generating random numbers.
	* Add HPFILTER function calculating the Hodrick Prescott Filter.
	* Fix saving of newlines to xls. [#356711]
	* Enable markup selection in scientific format selector.
	* Be compatible with the changed LibreOffice ODF documents with tab
	colours.
	* Persist selection and edit positions through ODF files. [#657506]
	* Some more number formatting improvements to ODF import/export.
	* Read and write tick spacing from/to ODF files.
	* Fix graph editor crash. [#658223]
	* Fix import of non-UTF8 csv files. [#658916]
	* Fix copy/paste of graphs to other programs. [#660242]
	* Allow for the omission of a string indicator (quote) in configurable
	text import. [#658981]
	* Add a print item to the sheet object context menu. [#660248]
	* Fix IRR and other functions acting on paired data set when called
	with fixed arrays.
	* Import ODS-like documents produced by Google-docs. [#660657]
	* Fix border import from 1C generated xls files. [#660605]
	* Fix cell extent caclulation for xlsx export. [#661958]
	* Speed up printing of few pages of large sheets. [#662056]
	* Provide an information dialog for print preview. [#662056]
	* Fix hyperlink placement when inserting or adding hyperlink. [#662310]
	* Fix spanning of long centered cell content. [#662331]
	* Fix centering of spanned cell content. [#662361]
	* Add optional markers to indicate that cell content has been
	truncated. [#662149]
	* Fix zoom of text superscripts and subscripts. [#425685]
	* Fix autofitting of row height in presence of superscripted
	scientific notation. [#662472]
	* Improve shape import from ODF. [#663078]
	* Improve text import/export from and to ODF. [#627509, #663135]
	* Import hyperlinks from ODF. [#603533]
	* Fix status of sub- and superscript buttons. [#662474]
	* Fix name-definition in presence of placeholder. [#663117]
	* Add 'object' and 'paper=fit' options to ssconvert pdf export. [#661405]
	* Add cell view to auto expression. [#455712]
	* Fix import/export of interpolation methods from/to ODF. [#664351]
	* Fix leak. [#664447]
	* Improve range markers when editing formulas. [#664754]

Jean:
	* Make things build against gtk+-3.0.
	* Make Ctrl-PgUp and Ctrl-PgDn work on chart-only sheets. [#645673]
	* Fix row height autofit when zoom level is not 1. [#656418]
	* Fix actions sensitivity for chart sheets. [#645842]
	* Fixed criticals when saving a chart to ODF. [#658194]
	* Fixed labels vertical alignment in preferences dialog. [#658639]
	* Fixed autofilter user interface issues. [#657036]
	* Make the windows shrink again. [#659246]
	* Make the graph window work again. [#660241]
	* Fixed layout issues in cell border dialog. [#661213]
	* Don't use anymore the "allow-shrink" and "allow-grow" properties.
	[#661720, #661855]
	* Add support for SVG images using librsvg.
	* Fixed SVG images size. [#628472]
	* Fix crash in graphs using markups. [#663216]
	* Add preference setting determining the minimum number of chars for
	autocompletion. [#663671]
	* Fixed rendering of outline levels. [#663663, #663802]
	* Fixed schemas paths. [#664243]
	* Preserve cairo state in item-edit. [#664692]

Marek Černocký:
        * Add some translation contexts to improve translations.

Mikko Rasa:
        * Fix ODF import of certain percentage formats. [Debian #642135]

Morten:
	* Fix crash.  [#658140]
	* Fix stf import crash.  [#658982]
	* Fix leaks.
	* Fix GUI crash for invalid dates.
	* Embed ui files into the Gnumeric binary.
	* Get rid of obsolete code.
	* Add ODF.SUMPRODUCT compatibility function.  [#662551]
	* Add HEXREP function for debugging.  [#663712]

Valek:
	* In xls import, set LABEL encoding based on FONT charset converted to
	codepage. [#304007, ubuntu #262777]

--------------------------------------------------------------------------
Gnumeric 1.10.17

Andreas:
	* Fix some style import from ODF. [#652492]
	* Import/Export print formatting from/to ODF. [#653186]
	* Write and read some document properties to and from XLSX.
	* Fix xlsx schema violations.
	* Fix keyword handling in properties dialog. [#653378]
	* Allow document properties to be edited and added.
	* Add an interface for conditional styles.
	* Fix ODF import of styles with inherited conditional styles. [#654214]
	* Provide undo for cut between 2 gnumeric processes. [#640922]
	* Fix bar and column chart import/export to ODF.
	* Speed up frequent calls to INTERPOLATION with the same
	abscissae/ordinates. [#654538]
	* Export defined names to xlsx. [#655010]
	* Implement printing of errors as blanks, dashes or NAs.
	* Fix printing of column headers and borders when formulae are shown.
	[#655389]
	* Fix import of Excel 2003 xml files in non-C locale. [#655554]

Jean:
	* Fix selection background. [#648676]

Morten:
	* Fix --with-gnome compilation:  [#652802]
	* Fix parsing crash.  [Redhat #726860]

--------------------------------------------------------------------------
Gnumeric 1.10.16

Andreas:
	* Store some print range information in gnumeric files. [#649714]
	* Hide Prefer CLIPBOARD preference under MS Windows. [#649675]
	* Extend the goto dialog.
	* Extend the address box to handle both A1 and R1C1 style addresses.
	  [#650941]
	* Change the default widget when rolling up or down the default widget.
	  [#651173][#646612]
	* Import external references from ODF. [#645580]
	* Some documentation improvements.
	* Read fraction formats correctly from ODF 1.2 files.
	* Fix regression line export to ODF.
	* Fix font and background colour import of LibreOffice generated xlsx
	  files.
	* In xlsx files, do not ignore gradient cell background fills
	  completely. [#644496]
	* Export some cell formatting to xlsx files. [#532635]
	* Fix reading of diagonal borders from xlsx files. [#652690]
	* Fix writing to xlsx of file with comments. [#652689]
	* Add exporter for ECMA-376 2nd edition.
	* Fix some font-name handling in ODF import.

Morten:
	* Fix leaks in SHEET.  [#650761]
	* Fix leaks in SHEETS.  [#650764]
	* Fix leak in name dialog.
	* Switch to using goffice's complex math.
	* Fix graph axis problem.  [Part of #599901]
	* Drop unneeded value formats.  [#651667]

--------------------------------------------------------------------------
Gnumeric 1.10.15

Andreas:
	* Fix shift-arrow movement for sheet objects. [#645805]
	* Expand the description of SSMEDIAN. [#647247]
	* Redesign autofilter Top10 dialog. [#646641]
	* Handle NUL characters in cvs import. [#648354]
	* Fix some Statistics tool formatting. [#649092]
	* Fix undo crash for column widths. [#649139]
	* Indicate vararg functions in function browser and docs. [#649484]
	* Fix handling of argument names in docs. [#649592]
	* Fix pdf docs. [#649591]
	* Handle MS Works formula import. [#649406]
	* Restore Gnumeric print range. [#649714]
	* Set default, save and restore print file name. [#649711][#649713]
	* Some ODF 1.2 export fixes including [#649906] and [#649914].
	* Export external references to ODF.
	* Fix ODF style handling on import. [#649851]
	* Import more validations from ODF.
	* Export all validations to ODF.
	* Fix printing of background colours. [#650261]
	* From ODF also import named expressions with illegal name. [#650125]
	* Handle [#REF!] and friends on ODF import. [#650639][#650640]
	* Handle some invalid expressions in ODF import. [#650625]

Jean:
	* Fixed critical. [#649901]

Morten:
	* Fix problems with localized function docs.
	* Plug leaks.
	* Fix minor problem reading old xls objects.
	* Reduce memory usage when new glib is used.  [#644197]
	* Eliminate col/row infos that are identical to the default.  [#155003]
	* Fix problems reading some Lotus 1-2-3 files.
	* Fix paste-special repeat.
	* Fix ADDRESS problem.
	* Fix xlsx write problem.  [#650639]

Urmas:
	* Initial support for Works files.  [#647492]

--------------------------------------------------------------------------
Gnumeric 1.10.14

Andreas:
	* Fix width of translated lists in various dialogs [#641626]
	* Allow function tooltips to be closed temporarily [#641355]
	* Import & export list validation from and to ODF files. [#640701]
	* Minor histogram improvements.
	* Fix import of LibreOffice created xlsx files using shared formulas.
	  [#642850]
	* Fix crash on resaving LibreOffice created xlsx files with unauthored
	  comments. [#642850]
	* Trigger configurable text importer on paste of tabs. [#395631]
	* Fix ctrl-end in presence of hidden rows. [#643971]
	* Fix import of dbf files with more than 65536 rows. [#644189]
	* Export workbook-scoped named expressions and ranges to ODF.
	* Improve reading of named expressions from ODF files.
	* Fix weighted and Spencer moving averages crashes. [#645722]
	* Avoid creation of unused names. [#650281]

Jean:
	* Fix cursor position inside a cell edited in a zoomed sheet. [#641709]
	* Add GSettings schemas.
	* Import multiple runs chart titles from xlsx. [#643814]
	* Import axis crossing position from xlsx. [#642941]

Morten:
	* Import wide sc files.  [#641581]
	* Fix problem with single-cell names and 'r'-type arguments.  [#613273]
	* Plug leaks.
	* Fix potential crash on quick exit.
	* Fix stf import problem diagnosed by Andreas.  [#642477]
	* Restore toolbar positioning code.
	* Fix solver crash.  [Redhat #680572]
	* Fix xml reading of constraints.  [Redhat #680572]
	* Fix lpsolve/glpk writing of affine part.
	* Fix xlsx import crash.  [#643808]
	* Import sheet visibility from xlsx.  [#643815]
	* Import names from xlsx.  [#643874]
	* Improve dbf codepage support.  [#644189]
	* Improve date format consistency in document properies.  [#644217]
	* Hopefully make print preview work on win32.  [#533795]
	* Improve quit dialog's non-ascii handling.  [#644982]
	* Make print-preview work on win32 by avoiding gtk+.  [#533795]
	* Fix crash related to dynamic deps.  [#645209]
	* Fix stf import crash.  [#645555]
	* Allow templates for multi-sheet ssconvert.  [#645287]

Stanley Pinchak:
	* Improve "dif" output.

--------------------------------------------------------------------------
Gnumeric 1.10.13

Andreas:
	* Calculate residuals when using the regression tool. [#635064]
	* Permit data entry by-passing autocorrection.
	* Work around OpenOffice date formatting bugs. [#636131]
	* Export text formats to and import from ODF. [#636158]
	* Fix ODF import of sheets with far forward references. [#636968]
	* Add EEK support to EURO and EUROCONVERT.
	* Fix leaks in potentially failing analysis tools.
	* Make the row and column headers and selection match the theme better.
	  [#639019]
	* Fix locale specific sorting. [#638874]
	* Ensure we have sub- and sperscript icons. [#639086]
	* Fix advanced filter. [#639444]
	* Suppress function tooltips on text-formatted cells. [#638832]
	* Fix documentation of ATAN2. [#640344]

Jean:
	* Only disable the formula bar when a chart sheet is selected. [#636031]
	* Make sheet objects invisible outline from .xls files persistent. [#637393]
	* Fixed arrows and line object position when zoomed. [#637453]
	* Fixed series lines color export to .xls. [#637658]
	* Fixed sheet objects position on zoomed sheets. [#637739]
	* Override edition-canceled property for GnmExprEntry. [#639287]

Morten:
	* Fix array intersection problem with IF.  [#633433]
	* Make sure columns are wide enough for dates in csv import.
	* Plug a few leaks.
	* Fix number-match issue regarding fraction.
	* Fix problems with pivot reading from xls.  [#638776]
	* Allow version-agnostic template files.  [#630247]

--------------------------------------------------------------------------
Gnumeric 1.10.12

Andreas:
	* Add argument to FOURIER to separate parts.
	* Extend TREND function to handle multiple regression. [#630085]
	* Fix selection for sheet object lists and combos. [#631322]
	* Preserve selection for sheet object lists when we change
	  content. [#631327]
	* Add option to sheet object lists and combos to enter values
	  rather than index. [#629333]
	* Fix manual pagebreak handling when printing. [#631570]
	* Add menu items to remove and add manual page breaks.
	* Improve the sc import.
	* Fix button sensitivity in sort dialog. [#632999]
	* Fix ODF export of files with large formatted sheets. [#634135]
	* Fix extensions of supported ODF files. [#635111]

Hans de Goede:
	* Fix import of dib format images in XLS. [#553098]

Jean:
	* Fixed maximum for col/row number in sheet resize dialog. [#631702]
	* Eliminate glade usage.  [#631717]
	* Fixed crash in print setup. [#634149]
	* Fixed image bounds in zoomed sheets.

Morten:
	* Fix crash related to broken xls.  [#632050]
	* Fix print area problem from broken xls.
	* Fix printing crash.  [#632439]
	* Partially fix problem with undefined names.  [#633140]
	* Fix analysis tools problems when "as values" is chosen.
	* Fix gtk+/X crash with large tooltips.
	* Take care of dead kittens.
	* Fix text object clipping issue.  [#634597]
	* Fix problem with disappearing window for empty file.  [#634792]
	* Fix ranges-in-expression criticals.

Sameer Morar:
	* Add key combinations to move sheets. [#634139]
	* Modify quit dialog to be able to discard multiple files without
	saving.  [#527133]

--------------------------------------------------------------------------
Gnumeric 1.10.11

Andreas:
	* Fix image-fill, pattern and gradient export. [#628762]
	* Read tab colors from OOo config in ODF files.
	* Improve some ODF chart import/export.
	* Import/export all sheet objects from and to ODF files.
	* Fix reformatting of cells on expression entry. [#629303]
	* Allow multiple selection in manage sheet dialog.
	* Permit ctrl-click specification of sort columns.
	* Set ODF files to save by default as ODF files. [#629962]
	* Fix ssconvert crash on form controls. [#630335]
	* Improve printing of the form controls.
	* Permit choice whether to print sheet objects.

Jean:
	* Export/import tick label rotation angle. [#629675]
	* Read and write cell comments from/to OpenXML. [#630627]
	* New contextual menu item: copy a graph to a new graph sheet.

J.H.M. Dassen (Ray):
	* Revised ssconvert man page.
	* Fix several potential and actual problems highlighted by
	  LLVM/clang static analysis.

Morten:
	* Fix date entry problem.  [#630177]
	* Fix problem with inter-process empty-value paste.  [#629302]
	* Fix problem with inter-process object paste.  [#629302]
	* Allow user-defined templates.  [#630247]
	* Improve test suite.

--------------------------------------------------------------------------
Gnumeric 1.10.10

Andreas:
	* Significantly improve chart export and import to/from ODF.
	* Improve handling of corrupted ODF files.
	* Fix percentage style import from ODF. [#627517]
	* Fix INTERPOLATION documentation. [#627461]
	* Provide progress info in ODF export.
	* Improve warnings dialog in ODF import.
	* Fix button sensitivity in sort dialog.

Jean:
	* Fix some interpolation and periodogram issues.
	* Fixed graph scalar data editor behavior. [#628721]

Morten:
	* Plug sylk importer leak.
	* Plug xml importer leak.
	* Plug odf importer leak.  [#627759]
	* Extend domain of IMPOWER.  [#627775]
	* Allow use of glib's memory profiler.
	* Fix some confusion of char vs. xmlChar.
	* Fix elapsed-time entry.  [#628082]
	* Fix problems with limits for date axes.
	* Improve function docs self test.
	* Fix errors in function docs.

--------------------------------------------------------------------------
Gnumeric 1.10.9

Andreas:
	* Clarify autofilter dialog. [#625688]
	* Make the tooltips theme-independent. [#625966]
	* Adjust and fix WORKDAY and NETWORKDAY.
	* Fix crash on certain handcrafted ODF files. [#626632]
	* Fix import of some ODF 1.0 charts. [#626632]
	* Fix crash on paste into an empty expression entry. [#626648]
	* Import and export boxplots to and from ODF files. [#626653]
	* Improve handling of corrupted ODF files. [#626654][#626655]
	* Fix autocorrection when entering in ranges. [#626781]
	* Fix column wdth and row height adjustments when entering in ranges.
	  [#626789]
	* Fix autofitting on data entry. [#626861]
	* Avoid some of the multiple undos when entering existing text in
	  ranges. [#626797]
	* Adjust formats when autofitting new entries. [#626903]
	* Autofit rows and columns when entering an array expression. [#626904]
	* Fix column and row fitting on paste. [#359404][#611181]
	* Export images to ODF.
	* Fix import of graphs from rich ODF files. [#626961]
	* Some ring and pie plot ODF export improvements.
	* Export legends to ODF.

Jean:
	* Import Guppi graphs from gnumeric-1.0.x files. [#567953]
	* Survive malformed guppi graphs. [#625726]
	* Use theme foreground color for row and column headers. [#625727]
	* Force column span recalculation when switching between number and
	  error. [#625994]
	* Fix scroll when selecting a merged cell. [#626065]
	* Fix objects dragging when zoomed. [#626484]
	* Fix control points behavior when zooming.
	* Fix in-cell editing when zoom < 100%. [#626279]

Morten:
	* Survive malformed xml files.
	* Fix win32 random problem.  [#533779]
	* Fix IMPOWER problem.  [#627014]
	* Avoid criticals in ODS import.
	* Fix problem with collect cache.  [#627079]

--------------------------------------------------------------------------
Gnumeric 1.10.8

Andreas:
	* Add new Excel and Openformula units ("pica" and "picapt") to CONVERT.
	* Save default search settings. [#105615][#625185]
	* Improve configurable text export of numbers. [#126444]
	* Improve horizontal fill. [#594193]
	* Improve function syntax tooltips. [#623317]
	* Add weekend specifier to WORKDAY and NETWORKDAYS. [#172458]
	* Fix ngettext usage.
	* Fix undo text for sheet object duplication. [#623557]
	* Fix additional undo entry for sheet object duplication. [#623559]
	* Fix undo of object creation followed by duplication. [#623566]
	* Avoid creating interacting auto filters. [#607086]
	* Improve items of the cell context menu. [#74359]
	* Fix various function docs issues.  [#623669][#624559][#625102]
	* Improve the presentation of the examples in the function
	  documentation. [#623455]
	* Fix HDATE and friends. [#623764][#625177]
	* New functions DATE2HDATE, DATE2HDATE_HEB and DATE2JULIAN.
	* Add hyperlink and comment removal menu items.
	* Add merge and unmerge menu items.
	* Add menu item to autofit column width or row height based on the
	  selection only. [#125595]
	* Add autofit actions to cell context menu.
	* Add new function ARRAY. [#570689]
	* Add new function SORT. [#59144]
	* Add menu item to wrap SORT around an existing range.
	* Show the number of rows filtered by the auto filter. [#346002]
	* Improve function tooltips. [#623322]
	* Improve expression entry range selection.
	  [#80725][#624288][#624289][#624581]
	* Add preference setting to disable the extension check for the
	  configurable text exporter. [#594151]
	* Add optional marker to indicate that a cell contains an expression.
	  [#55124]
	* Add merge and unmerge items to the cell context menu.
	* Permit double-clicking of functions in the function selector.
	* Allow single merge to single merge copying. [#87296]
	* Make the font style buttons override the character attributes.
	  [#163410]
	* Provide name completion (F4) when entering functions. [#587084]
	* Implement access to the function selector to paste function
	  names while editing cells (Shift-F4).
	* Add preference settings whether to show function name and/or
	  argument tooltips.
	* Fix undo of Clear->All and Clear->Comments. [#625151][#623803]
	* Add menu items to allow clearing of filtered rows only.
	* Fix editing of hyperlinks.
	* Work around OOo's failure to correctly define its named ranges.
	  [#625332]
	* Remove range hightlighting while not editing expressions. [#625361]
	* Reduce the size of the text import dialog. [#625281]
	* Fix import of underlined/double underlined comments from xls.
	  Part of [#405951]
	* Improve xl import of underlines.
	* Correctly size the autoexpressions. [#625521]
	* Fix row height dialog. [#625543]
	* Add menu to specify whether to enter as array, into multiple cells,
	  etc. Part of [#53733]
	* Make autofilter condition changes undoable. [#625143]

Jean:
	* Fix strong/weak cursor display. [#623241]
	* Fix regression in ms_excel_chart_read. [#623960]
	* Fix a regression in chart series evaluation. [#624263]
	* Fix crash in cell_calc_span. [#624274]
	* Install a self-consistent headers list.
	* Fixed borders display in cell format dialog.

Morten:
	* Ask user to locate solver binaries when plain search fails.
	[#619519]
	* Fix problem with solver target cell entry.
	* Fix date function docs issues.  [#623669]
	* Fix gtk_show_uri problem affecting win32.  [#623605]
	* Fix mistakes pointed out by sparse.
	* Fix win32 versioning problem.  [#624171]
	* Improve function doc checks.
	* Eliminate almost all remnaining GdkGC usage.

--------------------------------------------------------------------------
Gnumeric 1.10.7

Andreas:
	* Improve function syntax and formula guru tooltips.
	* Avoid superfluous redo items under validation failure. [#622509]
	* Fix validation for array and range entry. [#622511]
	* Autofit column widths in stf import. [#427382]
	* Ensure the table range is unlocked before allowing the data
	  table to be configured.
	* Also store any markup if entering text in several cells at once.
	  [#622530]
	* Read HTML files with nested tables. [#594789]

Jean:
	* Fixed autofilter (and other) combo positions. [#621817]

Morten:
	* Improve function syntax tooltips.
	* Fix excessive memory use problem with xlsx.  [#622365]
	* Make BackSpace work as Delete on pane.  [#622599]
	* Improve handling of MS-style HTML in clipboard.  [#617801]

--------------------------------------------------------------------------
Gnumeric 1.10.6

Andreas:
	* Add Wilcoxon Signed Rank Test tools for one and two populations.
	* Fix spin button handling in various tool dialogs. [#619971]
	* Redesign define-named-expressions dialog. [#465840]
	* Add paste-names dialog. [#613325]
	* Make changing the scope of a named expression undoable.
	* Add search tool to paste- and define-names dialogs. [#465840]
	* Check whether defined names are in use before deleting them.
	* Add option to the regression tool to allow for multiple Y.
          [#620505]
	* Ensure that names cannot be mistaken as cell references.
	  [#409997]
	* Add search function to function selector. [#495776]
	* Add function help menu item. [#156777]
	* Improve ACCRINT and its description. [#611436]
	* Fix tests for homogeneity and independence for non-square
	  tables. [#621227]
	* Show all ranges while editing. [#166653]
	* Provide a tool tip showing function syntax. [#56172]
	* Provide more navigation options. [#15010]
	* Check with user before hiding all rows or columns. [#316976]
	* Check with user before pasting too many copies. [#530956]

Jean:
	* Do not ungrab a not grabbed item. [#620369]
	* Always update the right series entry. [#620719]
	* Fixed multi-line item edit selection. [#621235]

Morten:
	* Make sure windows for help commands show up on right screen.
	* Fix dependency tabulation undo issue.
	* Fix critical when inserting graph using keys.
	* Automate win32 help generation.
	* Mark a sheet dirty when its tab colour is changed.  [#621191]
	* Fix SERIESSUM issue.
	* Modernize code for LINEST, LOGEST, and  LOGREG.  [#317426]
	* GEOMDIST: avoid overflow in extreme cases.
	* SFTEST: improve extreme-case precision.
	* Fix RANDLEVY.
	* Fix hidden-sheet problem.  [#621463]
	* Improve help text sanity checks.
	* Fix minor parsing problem.
	* Handle missing data in FORECAST properly.  [#621417]
	* Handle missing data in GROWTH properly.  [#621418]
	* Improve BINOM.DIST.RANGE.
	* Modernize STEYX.
	* Plug evaluation leak.
	* Fix memory handling issue for dependents.

--------------------------------------------------------------------------
Gnumeric 1.10.5

Andreas:
	* Add Wilcoxon-Mann-Whitney test tool.

Morten:
	* Fix stf crash.  [#619283]
	* Persist solver model type.
	* Add non-linear solver.  [#614865]
	* Feed the gtk+ deprecation monster.  [#572240]
	* Fix win32/paradox problem.  [#619942]

Sameer Morar:
	* Improve page setup dialog. [#619421]

--------------------------------------------------------------------------
Gnumeric 1.10.4

Andreas:
	* Include version number in HTML export.

Jean:
	* Fixed autofill issues. [#618687]

Morten:
	* Linear regression test suite.
	* Fix TABLE problem.  [#618829]
	* Handle "Jan 2010" and "January 2010" better.
	* Fix date parsing problems for invalid years.

Sameer Morar:
 	* Fix sheet order dialog layout. [#619056]

--------------------------------------------------------------------------
Gnumeric 1.10.3

Andreas:
	* Fix CHITEST for rectangular ranges. [#615920]
	* Fix printing and preview of graph only sheets. [#616475]
	* Make even active sheets invisible. [#616474]
	* Improve date and time import from and export to ODF. [#617208]
	* Protect against accidentally pushing data off the sheet. [#98562]
	* Make Advanced Filter (except filter-in-place) undoable.
	* Fix Data->Filter->ShowAll for Advanced Filter. [#611079]
	* Remove undesired interaction between Advanced Filters and
	  Autofilters.
	* Make the par argument to ACCRINT optional. [#323545]
	* Improve keyboard navigation of the configurable text
	  importer. [#614939,#614941]

Jean:
	* Implement graph only sheets. [#158170]
	* Fix chart title import when excel automagically uses the unique
	  series label. [#616262]
	* Allow multiple and block selection for graph vector data.
	  [#494685,#616068]
	 * Use the "combo-activate" signal where appropriate? [#583175]

Morten:
	* Make sure an empty string is shown with a quote.
	* Fix problem loading cells with empty strings.  [#616139]
	* Fix WEEKNUM problems.  [#616330]
	* Fix hidden-sheet problem.  [#616549]
	* Fix auto-expr problem.  [#575104]
	* Fix xls-save problems with custom autofilters.
	* Fix auto-filter problem.  [#383400]
	* Fix advanced-filter problem with multiple criteria.  [#164169]
	* Fix problem parsing complex numbers.
	* Improve error handle for complex functions.
	* Improve IMPOWER.
	* Fix sheet duplicate bugs.  [Part of #617469]
	* Clean-up handling of pango contexts.
	* Fix old graph problem.  [#142412]

--------------------------------------------------------------------------
Gnumeric 1.10.2

Alexander Kahl & Sven Mantei:
	* Some documentation updates

Andreas:
	* Fix build with --disable-solver. [#612820]
	* Fix column and row header display under Quartz. [#600085]
	* Fix preferences in gconf-less situations. [#613523]
	* Implement first letter capitalization. [#613768]
	* Extend regression tool to perform multiple simple regressions.
	  [#614031]
	* Fix ZTEST description. [#614746]
	* Don't write unnecessary manifest entries in ODF export.
	* Various ODF export fixes.
	* Adjust regression tool to reflect the changes to TDIST.
	* Basic import and export of text boxes from ODF files.
	* Watch for the null date in OOXML import. [#615777]
	* Write the null date in OOXML export.

Jean:
	* Print pattern backgrounds. [#615365]

Morten:
	* Improve object sizing tooltip positioning a bit.
	* Fix filter critical.  [#611073]
	* Make more menu entries available when an object is selected.
	* Improve partitioning of status area.
	* Fix goal seek problem affecting XIRR.  [#614147]
	* Fix export xls of XIRR, FVSCHEDULE, and XNPV.  [#614257]
	* Set win32 stack size to 64M.  [#571346]
	* Patch gtk+ so GtkEntry widgets on win32 draw right.  [#603667]
	* Fix xls export of cell comments.  [#615845]
	* Fix error propagation problem.  [#615772]
	* Partially clean up INDEX implementation.
	* Make regression functions return a result when goffice reports
	  that the problem is near singular, but still good.

--------------------------------------------------------------------------
Gnumeric 1.10.1

Andreas:
	* Fix storing of error-literals in ODF. [#610175]
	* Don't export filter combos to ODF. [#610399]
	* Apply filter on ODF import. [#610399]
	* Fix display of autocomplete suggestions. [#610537]
	* Fix formatting of multirow cells in LaTeX export. [#611633]
	* Protect exported LaTeX files from babel shorthands.

Jean:
	* Fix a crash in excelplugin. [#610012]
	* Fix cursor appearance. [#611076]

Morten:
	* Turn off -Wstrict-prototypes for the stable series.
	* Fix ODF read problem.  [#610178]
	* Fix rendering problem with iterated evaluation.
	* Fix solver undo problem.  [#611406]
	* Fix graph label problem.  [#611362]
	* Fix GLPK solver issue.  [#611407]
	* Fix ssindex crash.  [#611842]
	* Fix ODF export of intersection.  [#611824]
	* Fix cell comment critical.

--------------------------------------------------------------------------
Gnumeric 1.10.0

Andreas:
	* Fix ODF contour/surface plot confusion. [#607631]
	* Include compatibility info in the gnumeric manual.
	* Fix confidence interval in simulation output. [#607970]

Morten:
	* Fix TRIMMEAN border case.  [#607562]
	* Fix TDIST border case.  [#607008]
	* Fix problem with hpaned for tabs/scrollbar.  [#607794]

Peter Jaeckel:
	* Support for XLL files.  [#597849]

--------------------------------------------------------------------------
Gnumeric 1.9.18

Andreas:
	* Add paste special flip horizontally and vertically. [#393367]
	* Add EIGEN function to calculate eigenvalues and eigenvectors
	  of real symmetric matrices.
	* Add principal components analysis.
	* Load graph series labels and categories from ODF files. [#379220]
	* Write series labels to ODF files.
	* Fix tab behaviour. [#388344]
	* Print sheet widget objects. [#144787]
	* Allow sheet object size and position to be specified via a dialog.
	* Allow the sheet object name to be specified. [#596545]
	* Add menu item to select sheet objects. [#338615]
	* Enable sheet tab menu when objects are selected. [#604496]
	* Fix empty cell handling of the advanced filter. [#599064]
	* Fix scroll bar problem with large frozen panes. [#68603]
	* Singleton selections now cause the sort buttons to sort the
	  whole sheet below the selection. [#141313]
	* Have the formula guru auto-quote unparsable expressions. [#442941]
	* Create default tip for hyperlinks. [#316974]
	* Add GET.LINK. [#128534]
	* Add "Don't change formulae" to paste special. [#123326]
	* Select pasted objects. [#604227]
	* Add auto expression menu items to add formula. [#8872]
	* Some updates to the Gnumeric manual.
	* Fix tool tip position for recent gtk (2.18 or newer). [#605723]
	* Fix NPV documentation. [#22381]
	* Fix type errors. [#606066]
	* Add surface plot description. [#604285]
	* Include the short functions descriptions in the documentation.
	  [#606354]
	* Fix sheet handling in validation setup. [#606458]
	* Allow some of the text export properties to be saved as default.
	  [#559749]
	* Fix printing of repeated rows and columns. [#607451]

Jean:
	* Fix import export of line type in scatter plots. [#605043]
	* Force sharing of first series in line plots when requested. [#605330]
	* Fixed mouse cursor for object resizing in RTL mode. [#605514]

Jody:
	* Fix use of ExprEntry from glade on win32.
	* More win32 build fixes (xslt for libgda & poppler).
	* Fix pango test harness.
	* Fix use of Tab in ExprEntry for gurus.
	* Adapt to latest gtk-2.19.3 GSEAL.

Morten:
	* Fix GCD border case.  [#606870]

--------------------------------------------------------------------------
Gnumeric 1.9.17

Andreas:
	* Update EURO and EUROCONVERT with currencies added in 2007 to 2009.
	* Export hyperlinks to ODF. [#603533]
	* Make EUROCONVERT Excel compatible [#603755]
	* Update modification times. [#603099]
	* Add RANK.AVG (rank function returning average rank for ties)
	* Added Sign Test to statistical analysis tools

Gabriel Kerneis:
	* Implement --one-file-per-sheet in ssconvert [#604549]

Jean:
	* Fixed problem with row headers. [#603862]
	* Fixed pane origin when zoomed. [#604373]
	* Make the cell comment red triangle visible in RTL mode. [#604580]

Morten:
	* Elminate use of "float".
	* Fix selection problem.  [#601107]
	* Automate solver testing.
	* Fix SUMIF problems.  [#603671] [#604214]
	* Fix DATEDIF problem across bogus 1900-02-29.  [#599461]
	* Fix graph editor crash.  [#604223]
	* Fix goal seek problems.
	* Fix ODS import crash.  [#604615]

--------------------------------------------------------------------------
Gnumeric 1.9.16

Andreas:
	* Clarify distinction between Document and View Properties.
	* Sort the translated labels in the preference dialog.
	* Turn view properties dialog into instant-apply dialog.
	* Temporarily remember the sort setups. [#100541]
	* Work around GTK bug #601922.
	* Add ADTEST (Anderson-Darling Test for Normality).
	* Add normality test tool.
	* Add LKSTEST (Lilliefors (Kolmogorov-Smirnov) Test of Normality).
	* Add SFTEST (Shapiro-Francia Test of Normality).
	* Add CVMTEST (Cramér-von Mises Test of Normality).

Jean:
	* Fix cursor and cell edition on dark backgrounds. [#600656]
	* Fix multiple error message boxes in graph guru. [#152517]
	* Invert selected text in a cell when editing. [#122176]
	* Allow selection when the click occur after the last character. [#388342]
	* Fixed selecting text in a cell. [#337521]

Jody:
	* turnkey win32 build on 32bit host.
	* update desktop file to follow new guidelines.

Morten:
	* Resurrect long-double support.
	* More solver fixes.
	* Plug another mps leak.
	* Fix problem with remote uris.  [#601274]
	* Use external solver program.
	* Allow constants on solver constraints' rhs.  [#369728]
	* Fix extreme case for R.PGAMMA.
	* Fix solver undo/redo.
	* Make solver parameter changes always persist.  [#440664]
	* Re-implement MPS importer.
	* Fix matching of "Sep 23 2008".  [#603116]
	* Major scenario code cleanup.
	* Implement load and save of scenarios.

--------------------------------------------------------------------------
Gnumeric 1.9.15

Andreas:
	* Add RANDSNORM and RANDSTDIST. [#144717]
	* Add R.PSNORM, R.DSNORM and R.DST.
	* Fix small sort dialog problem. [#599091]
	* A few functions from the christian liturgical calendar.
	* Add ODF compatibility functions DAYS, ISFORMULA, IFNA, SHEETS,
	  SHEET and NUMBERVALUE.
	* Work around OpenOffice.org saving function names in lowercase.
	* Add BINOM.DIST.RANGE (equivalent to the ODF function B).
	* Make Autofilter addition & removal undoable. [#478152]
	* Fix autocorrection exception lists. [#600055]
	* Move autocorrection setup into preferences.
	* Fix HTML export of strikethrough and subscript/superscript. [#600163]

Jean:
	* Fixed graph size issues. [#599887]

Jody:
	* First steps towards a turnkey win32 build.

Morten:
	* Fix sheet-resize vs. merges issue.  [#582030]
	* Fix xls export of check boxes and radio buttons.  [Part of #597035]
	* Add xls export of spin buttons.  [Part of #597035]
	* Add xls export of scroll bars.  [Part of #597035]
	* Add xls export of list widgets.  [Part of #597035]
	* Add xls export of combo widgets.  [Part of #597035]
	* Add xls export of button widgets.  [Part of #597035]
	* Make it possible for arrows to have arrow heads in both ends.
	* Implement round arrow heads.
	* Fix xls import and export of line styles.
	* Save and read new arrow attributes in xml format.
	* Fix Excel-to-Gnumeric paste problem.  [#381732, #388531].
	* Fix Alt-Enter problems.  [#597295]
	* Make DATE work for pre-1900 dates.  [#599365]
	* Add lpsolve output format.
	* Plug solver leaks.
	* Some solver cleanups.
	* Fix reading of solver constraints.

Yaacov Zamir:
       * Hebrew Calendar functions.  [#153738]

--------------------------------------------------------------------------
Gnumeric 1.9.14

Albert Gräf:
        * Add button sheet object.
        * Add radiobutton sheet object.  [#595670]

Andreas:
	* Add more ODF elements on ODF read. [#595750]
	* Fix 2-factor ANOVA with replication.
	* Fix diagonal borders in ODF export/import.
	* For freezing of panes consider edit cell A1 special. [#594875]
	* Don't convert blank cells to 0 in LINEST. [#551234]
	* Fix histogram tool.

Jean:
	* Make plugins GUI labels translatable. [#159806]
	* Fix more canvas issues.
	* Enable image filling in shapes.

Morten:
	* Fix inter-process pasting of merged regions.
	* Make inter-process pasting use the sax parser.
	* Make auto-format templates use the sax parser.
	* Fix loading of diagonal border styles.
	* Improve consistency when moving toolbars around.
	* Fix translation problem with toolbar menu.  [#587250]
	* Fix printing of coloured sheet objects.
	* Fix printing of lines and arrows.
	* Fix sheet object/clipboard related critical on exit.  [#596509]
	* Fix Excel-crashing export problem with objects.  [#596886]
	* Add name property to sheet objects.
	* Start cleaning up xls sheet object writing.
	* Plug xls export leaks.
	* Implement export of lines and arrows to xls.  [Part of #597035]
	* Fix xls reading of sheet object colours.
	* Export line and textbox colouring and widths.  [Part of #597035]

--------------------------------------------------------------------------
Gnumeric 1.9.13

Jean:
	* Fix grab issue after dragging an object. [Debian bug #546559]
	* Reimplement double-click in item-cursor. [Debian bug #546690]
	* Fix access to GocWidget in sheet widgets. [#595627 and #595648]

Morten:
	* Fixes text export GUI issue.  [#594155]
	* Fix minor status line issue.  [#594469]
	* Fix print crash for sheet object.  [#594862]
	* Limit memory usage for rendered values.
	* Fix auto-format.
	* Fix API installation problem.  [#595317]
	* Put zoom action on vertical toolbars too.  [#590889]

--------------------------------------------------------------------------
Gnumeric 1.9.12

Andreas:
	* Add CHOLESKY.
	* Fix ODF background colour export. [#593816]
	* Handle super/subscript in html export. [#593851]
	* Fix crash on unknown chart type. [#594041]
	* Handle ODF import/export of surface plots originally created in
	  XL [#594041]
	* Remember text import configuration for export. [#142395]

Jean:
	* Don't use simple GOData when importing xls files. [#594068]

Morten:
	* Fix menu sensitivity problem.  [#593624]
	* Simplify GnmColor.
	* Fix grab problem.  [Debian #544975]
	* Simplify GnmFont.

--------------------------------------------------------------------------
Gnumeric 1.9.11

Andreas:
	* Add AVERAGEIF, MUNIT, RRI, SEARCHB, REPLACEB, COMBINA, ARABIC.
	* Improve import of ODF functions

Jean:
	* Use GocCanvas instead of FooCanvas.

Morten:
	* Add GAMMA.
	* Fix Insert-Date+Time.  [#592545]
	* Fix problem with VLOOKUP and HLOOKUP when both are used on the
	  same data range.  [#593238]

--------------------------------------------------------------------------
Gnumeric 1.9.10

Andreas:
	* Improve ODF export.
	* Add OpenFormula comp. descriptors to some function documentations.
	* Implement new functions CSC, CSCH, SEC, and SECH.
	* Implement new functions LEFTB, MIDB, RIGHTB.
	* Implement ASC and add new function JIS.
	* Fix printing crash. [#586672]
	* Fix import of currency symbols from ODF.
	* Improve import of elapsed time from ODF.
	* Import some conditional cell formats from ODF.
	* Fix "not-between" conditional styles. [#586818]
	* Show existence of conditional styles in format dialog.
	* Add an initialy hidden long format toolbar.
	* Fix std error for intercept in non-affine case of LINEST. [#550933]
	* Fix loading of charts from MS generated ODF files. [#588107]
	* Add some sheet object support to ODF export.
	* Export basic charts to ODF.
	* Fix format labels in configurable text importer. [#590257]
	* Add warning for missing plugins needed by tools. [#590175]
	* Fix percentage histogram . [#590375]
	* Fix non-label 2-factor ANOVA with replication.
	* Fix various minor bugs.
	* Convert old help texts to new format.

Jody:
	* Fix col/row resize. [#588297]

Morten:
	* Make SUMIF/COUNTIF and the D* functions understand pattern. [#586215]
	* Make dialogs remember their sizes and positions.
	* Fix crash with new-from-template.
	* Rework loading of configuration.  [#585701]
	* Support evaluated examples in function docs.
	* Simplify Win32 build.
	* Convert old help texts to new format.
	* Fix problem with print area.
	* Fix problems with in-sheet combos.  [#587992]
	* Fix translation textdomain confusion.  [#588110]
	* Avoid using gtk_tree_view_column_get_cell_renderers.  [#589105]
	* Fix DEC2HEX and friends for large values.  [#588997]
	* Make undo/redo visible for vertical toolbar.
	* Add some checking of help texts' sanity.

--------------------------------------------------------------------------
Gnumeric 1.9.9

Almer S. Tigelaar:
        * Fix scrolling via mouse wheels [#533051]

Andreas:
	* Export some data formats to ODF.
	* Fix comment export to ODF.
	* Remove distinction between label and filled rectangle.
	* Add superscipt and subscript buttons. [#583327]
	* Improve ODF import.
	* Improve 2 factor ANOVA tool.
	* Improve Rank & Percentiles tool.
	* Improve Fourier transform tool.
	* New FOURIER function.
	* Added Tests for Independence and Homogeneity.
	* Make imported manual page breaks work.
	* Improve print area handling and export to ODF.
	* Some minor menu rearrangement.
	* Let the sort dialog guess whether there is a header.
	* Fix xls import of sheet labels.  [#586066]
	* Fix html export.  [#586028]
	* Avoid analysis tool crashes if required plugins are not loaded.

Jody:
	* GOString start of richtext and phonetic support.
	* Extend cell combo to allow support for toggles
	* XLS/XLSX import/export for data slicer caches.
	* Hooks for data slicer UI.
	* Break GnmCommand out to allow commands in multiple files.

Morten:
	* Add search-for-number.
	* Fix format-as-currency action.
	* Honour --geometry even when not loading a file.
	* Fix increase/decrease precision for accounting formats.
	* Fix array editing criticals.  [#584746]
	* Fix style problems with operator.xls.  [#585178]
	* Fix NPER problems.
	* Implement new functions COT and ACOT.  [#585270]
	* Fix GCD.  [#585271]
	* Change x^y^z into x^(y^z) to indicate parsing.
	* Parse x^y^z as (x^y)^z from ODF files.  [#585277]
	* Fix text import problem.  [#135523]
	* Fix problem loading very old .gnumeric files.
	* Implement new-from-template.  [#303657]
	* Add Gudermannian function GD.
	* Fixed FIXED.  No, really.
	* Start introducing external references for function docs.
	* Implement new functions COTH and ACOTH.  [#586170]
	* Fix tsa crashes.  [#586191, #586427]
	* Fix IF problems with empties and arrays.  [#586218, #586312]
	* Fix problem with tooltip positions.  [#586590]

--------------------------------------------------------------------------
Gnumeric 1.9.8

Andreas:
	* Save and load text formatting of comments and of sheet object
	  labels [#580979][#580838]
	* Lots of improvements to the ODF exporter [#581937][#553508][# 582903]
	* Some improvements to the ODF importer [#581953]
	* Some improvements to the xlsx exporter [#569862][#581896]
	* Write some character based formats to HTML files. [#582118]

Jody:
	* Closer to a turnkey win32 build.

Morten:
	* Optimize styles on load.
	* Prune fn-lookup caches in case someone is being silly.
	* Plug leak in HTML paste.
	* Respect the sheet size prefs for new blank workbooks.
	* Cache large ranges, possibly sorted.
	* Add progress display for OO import.
	* Improve ssindex' coverage.
	* Make it possible to have horizontal widgets too.  [#166487]
	* Fix sheet-object paste crash.  [#490479]
	* Fix critical in format dialog.  [#582890]
	* Turn WorkbookView into a more proper GObject.
	* Hide scrollbars as requested.  [#583005]
	* Fix date conventions in graphs.
	* Improve GUI for date/time axes.  [#574681]
	* Fix R1C1 issues.

Paul Fitzpatrick:
	* Extend ssconvert to also merge multiple sheets.  [#581616]

--------------------------------------------------------------------------
Gnumeric 1.9.7

Andreas:
	* Fix some divergence between character weight in the label properties
	  dialog and the label itself.
	* Add interface to format cell comments
	* Fix printing of sheet objects whose text intersects with markup.
	  [#581125]
	* Load meta data from gnumeric files [#578607]

Jean:
	* Do not crash in render_value for NULL values. [#581120]

Jody:
	* XLSX start reading external refs.
	* XL2003-XML enable the use of builtin formats, and drop '.sml' kludge.
	* Add pref entry to set default value of autosave.

Morten:
	* Fix xls save problem with sheets that are too big for the format.
	* Fix global-name .gnumeric warning.  [#580227]
	* Fix tooltip positioning.  [#580358]
	* Fix xlst export problem.  [#580360]
	* Fix size of sheets loaded from Applix files.
	* Fix problem with global names shadowed by sheet names.  [#306686]
	* Fix relocation problem with expressions using names.  [#552749]
	* Fix fullscreen toolbar issues.  [#574603]
	* Fix various R1C1 bugs.
	* Fix precision for xml saving inside graphs.
	* Fix long-sheet-name GUI issue.  [#580837]
	* Fix dependency problem with names.  [#581117]
	* Fix style-allocation screwup.
	* Fix xls export performance problem.  [#581378]
	* Fix xls export issue that made files readable by Gnumeric only.
	* Fix autofill crash.  [#581589]
	* Fix gnumeric crash exporting polygons.  [#581394]

--------------------------------------------------------------------------
Gnumeric 1.9.6

Andreas:
	* Show sheet sizes in manage sheet dialog
	* Write metadata from the property dialog to the files
	* Complete the list sheet object configuration dialog [#578557]
	* Make all sheet object configurations undoable [#114098]
	* Quieten GTK warning [#579152]
	* Print text in sheet object label [#144787]
	* Implement editing of a sheet object label
	* Include "italic", "strikethrough" and "bold" buttons in the
	  properties dialog for sheet object labels

Jean:
	* Variable sheet sizes.
	* Fixed libspredsheet.pc. [#575390]

Jody:
	* Improve xml probing for 2003-spreadsheetml.
	* More 2003-spreadsheetml formats.

John Rea:
        * new calendar template

Joseph Pingenot:
       * Update the file format documentation.

Morten:
	* Handle elapsed time formats better on text export.
	* Plug leak.
	* Fix mps loading crash.  [#577138]
	* Improve XIRR a bit.
	* Fix Applix loading crash.  [#577145]
	* Fix Lotus loading crash.  [#577156]
	* Fix XLS loading crashes.  [#577205] [#577208] [#577259] [#577260]
	  [#577348] [#577351] [#577399] [#577400] [#577503] [#577504]
	* Add sorted sheet list to tab menu.
	* Fix criticals during Lotus load.
	* Clean up Sheet object.
	* Clean up str.h usage.
	* Load csv and txt files into sheets as big as needed.  [Part of
	  #168875]
	* Implement sheet resize.
	* Fix validation problem.  [#580157]

Vivien Malerba:
	* Move to libgda4.

--------------------------------------------------------------------------
Gnumeric 1.9.5

Andreas:
	* Fix style critical on latex export [#574125]
	* Always print the whole printarea even if it has no
	  content or style. [#554116] [#572818]
	* Fix translation of argument names for empty names.
	* Don't switch sheets when widgets are adjusted. [#574734]
	* Fix printing of rotated text (negative angles or non-default
	  alignment). [#574813]
	* Remove crash potential for various dialogs with multiple views.
	  [#364291]
	* Fix some strings. [#575360]

Jean:
	* Make gconf use independent from the with-gnome option. [#574813]
	* Fixed  null pointer crash in oo_plot_area(). [#575403]

Jody:
	* Work around semantic changes in gtk-2.16.
	* rename sr@Latn -> sr@latin

Morten:
	* Fix multihead issues with cell comments.
	* Fix multihead issue with sheet reordering.
	* Fix multihead issues with tooltips.
	* Fix PFACTOR to handle huge factors.
	* Fix problem with dialogs not showing up in fullscreen mode.
	[#574602]
	* Fix desktop file to always specify that we take URIs.
	* Fix sheet-ordering by dragging.  [#574763]
	* Fix potential crash for cell comment dialog with multiple views.
	[Part of #364291]
	* Fix lotus importer crash.  [#575190]
	* Improve entry of date for locales not using slashes.  [Part of #33229]
	* Make date edit use the date separator of the locale.  [Part of #33229]
	* Fix xls writing crash.  [Part of #575318]
	* Fix criticals in xls export for comments without author.
	* Fix crash while loading broken xls.  [#575393]
	* Fix string problem with broken xls.  [#575452]
	* Improve date entry for locales that end abbreviated month names
	with punctuation.
	* Fix ODS crashes.  [#575600] [#575843] [#575981]
	* Use goffice magic formats for certain date and time formats so we
	can persist them in .gnumeric.
	* Fix setting of radio button objects' text.

Sum1:
	* Implement OOO probing.  [#574381]

--------------------------------------------------------------------------
Gnumeric 1.9.4

Andreas:
	* Change sheet manage dialog into an instant-apply dialog
	* Implemented sheet duplication in manage sheets dialog.  [#128160]
	* Allow for undos in the manage sheet dialog
	* Permit lexicographic sorting by sheet names in the manage sheets
	  dialog.  [#527076]
	* Add functional seealso links in the function browser
	* Allow ranges of censor marks in Kaplan-Meier tool and
	  multiple groups. Output median survival times.  [#558582]
	* Add Log-Rank Test to Kaplan-Meier tool.  [#558582]
	* Add the name of the response variable to the regression tool
	  output.  [#400019]
	* Fix critical when printing. [#568991]
	* Update ucs usage when exporting to LaTeX. [#569476]

Henry Law:
	* Fix dependency problem with constructed ranges.  [#562363]

Hib Eris:
	* Fix problems with toolbars when no handle bar present.  [#559249]
	* Fix problems with formats.  [#559291]

Jean:
	* Fix crash when exporting an empty contour plot to .xls.  [#557027]
	* Add widgets in the graph guru first page to allow finer selection
	of data.
	* Fix labels length for charts generated by the histogram tool.
	[#552721]
	* Fix loss od new graphs when clicking on an existing sheet
	object. [#151789]
	* Do not export invalid AXESUSED data to .xls. [#567783]
	* Fix export of simple data to xls graphs. [#567930]

Jody:
	* Display top-left when selecting a rel ref to a merged region.
	* Win32 fixed.
	* Make .gnumeric xml probe smarter.
	* Add probe routine for MS Excel (tm) 2003 SpreadsheetML.

Jon Kåre:
        * Work around vulnerability in Python.  [#569648]
	* Improve encoding detection on html paste.  [Part of #564166]

Lutz Mueller:
	* Enable drag of whole sheets to other applications.  [#523033]

Morten:
	* Fix XLS import crash.  [#557077]
	* Fix problem with auto filter after column insert.   [#557237]
	* Fix undo problem with auto filters.  [#557591]
	* Remove the effect on an auto filter when its column is removed.
	* Plug leaks.
	* Remove the effect on an auto filter column when removed.
	* Fix RANDDISCRETE crash.  [#557682]
	* Fix SUMIF issues.  [#557782]
	* Fix LOOKUP critical.  [#559005]
	* Fix GROWTH/TREND crash.  [#559363]
	* Make non-gnome the default.  [#558840]
	* Disallow deleting last visible sheet.  [#557153]
	* Merge the sheet tabs into the status bar.  [#561733]
	* Fix crash in multi-view mode.  [#562053]
	* Introduce explicit () on parsing -2^2.  [#115941]
	* Fix inter-process paste crash.  [#556561]
	* Plug leak in TRIMMEAN.
	* Plug leak in RANK.
	* Plug leaks in ssindex, ssgrep, and ssconvert.
	* Fix export of Gnumeric-specific patterns to xls.  [#564078]
	* Improve guess of csv parsing parameters.  [#498912]
	* Fix problem with saving huge values.  [#552464]
	* Dump information about number system into xml.
	* Improve sc import.  Not sure why.  [#564495]
	* Fix date overflow problem.  [#564502]
	* Fix XLS import critical.  [#564499]
	* Sanitize error cases for DAY, MONTH, YEAR.
	* Fix column-split problem with fixed-width stf import.
	* Fix problem with deprecated gtk+ stuff in glade files.
	* Fix xls export problem generating extra ()s.  [#567380]
	* Constify usage of GOFormats.
	* Fix inconsistentcy in searching with respect to formats.
	* Fix issue with BASE.   [#567252]
	* Fix XLS import criticals.  [#567823]
	* Don't evaluate both branches of IF.  [#326595]
	* Fix undo crash for inter-workbook operations.  [#568634]
	* Fix crash and criticals in dbf import.  [#568454]
	* Fix colour problem in LaTeX export.  [#568860]
	* Fix loop while loading lotus file.  [#568917]
	* Fix performance problem in dependency tracking given large
	number of large ranges.  [#567389]
	* Fix VLOOKUP and HLOOKUP for bools.
	* Fix problem reading slightly-corrupted dbf file.  [#568454]
	* If we overflow the sheet tab area, put list in context menu.
	* Fix ods load crash.  [#568994]
	* Use caches for bisection cases of VLOOKUP/HLOOKUP/LOOKUP/MATCH
	too.  Fix issues with bools versus floats.
	* Fix parsing problem for constructed ranges.  [#569730]
	* Fix plugin menu merging.  [#569724]
	* Improve handling of 3D ranges.  [#569372]
	* For VLOOKUP and friends, do not turn empties into zeroes.  [#567389]
	* Implement MATCH for wildcards.  [#570139]
	* Fix problem with functions docs in locales without encoding
	information.
	* Work around a ODF spec. problem in OOo import.  [#570890]
	* Advertise fewer aliases for text/csv.  [#571073]
	* Fix Windows extra-Gnumeric paste problem.  [#564166]
	* Fix csv import problem with "-OINK".  [#571129]
	* Make sure ()s do not take up stack space during eval.
	* Make dependency debug output a little easier to read.
	* Warn when we drop csv rows.  [#571603]
	* Fix SERIESSUM.
	* Fix xls export of SERIESSUM.  [#572127]
	* Disable non-functional corba plugin.  [#572356]
	* Handle GTK+ deprecation issues.  [#572240]
	* When ssconvert-ing a single-sheet workbook, don't complain the
	exporter can handle only a single sheet.  [#572448]
	* Fix xls crash for bogus file.  [#572515]
	* Fix OO import issue.  [#568010]

--------------------------------------------------------------------------
Gnumeric 1.9.3

Andreas:
	* Do not print hidden sheets.  [#525368]
	* Print wysiwyg.  [#153578]
	* Fix column ordering in analysis tools.  [#516052]
	* Make the paired t-test analysis tool use only
	  complete pairs.  [# 531852]
	* Improve regression tool
	* Fix row height and column width dialogs [#360873]
	* Don't force text export of empty sheets [#521726]
	* By default cells with hyperlinks should not be empty [#152617]
	* Fix command names for hyperlink additions.
	* Improve histogram tool [#385458][#552161]
	* Make external hyperlinks work.  [#535015]
	* Make more dialog buttons obey no-icon request.  [#302883]
	* Fix and improve the sampling tool.  [#552975]
	* Improve moving averages tool.  [#527489]
	* Add weighted and cumulative moving averages.
	* Add Spencer's 15-point moving average.
	* Fix and improve exponential smoothing tool.  [#553267]
	* Added Holt's trend corrected exponential smoothing.  [#385467]
	* Added additive Holt-Winters exponential smoothing.
	* Fix scenario report shift.  [#554591]
	* Added multiplicative Holt-Winters exponential smoothing.
	* Fix minor bugs.  [#554818] [#553342]
	* Update some of the analysis tools documentation.
	* Add non-numeric frequency tables tool.  [#134166]
	* Add basic Kaplan-Meier Estimates Tool.  [#453765]
	* Fix scrolling issue in function selector.  [#556718]
	* Delete cell overwrite dialog.  [#556773]

Jean:
	* Fix printing of rotated text.  [#539734]
	* Fix leakage in histogram tool.  [#552596]
	* Fix horizontal position of sheet objects in print.  [#554993]
	* Reimplemented the goffice component.

Jody:
	* Extend ssgrep to search VBA too.
	* Add column width doubling in 'display formula' mode.
	* Fix OO.o style import.  [#553506]
	* Support XLSX themed colours.  [#555687]
	* Restore the undocumented magic for solid fills in XLSX conditions.
	* Work around gtk behavior change in IMContext initialization.
	* XLS : support anachronistic objs in newer versions.  [#546887]
	* WIN32 : build fixes
	* WIN32 : Fix Decimal keypad character.  [#555522]

J.H.M. Dassen (Ray):
	* Understand and ignore byte-order markers for CSV/stf probing and
	  importing.  [#549743]

Morten:
	* Fix display of array formulas.  [#550902]
	* Fix off-by-one for random_landau.
	* Fix error check for printing to file.
	* Fix SUMIF crash.  [#552006]
	* Fix NETWORKDAYS problem.  [#553047]
	* Bring SUMX2MY2, SUMX2PY2, and SUMXMY2 into 21st century.  [#554040]
	* Fix XIRR problem with missing data.  [#554732]
	* Switch to LINGUAS file.  [#554348]
	* Fix problems with saving undefined names.  [#554325]
	* Fix parser crash.  [Part of #552750]
	* Fix clipboard leak.
	* Fix reading magic version of ancient file format.  [#555933]

Nakai:
	* Enable Perl plugin again.  [#553939]

--------------------------------------------------------------------------
Gnumeric 1.9.2

Andreas:
	* Fix printing of footer line.  [#549247]

Jean:
	* Import/export axis ticks labels orientation.  [#544935]
	* Fix an attribute order issue while loading.  [#547183]

J.H.M. Dassen (Ray):
	* Bumped goffice build dependency.
	* Corrected error message for first_round > last_round.  [#537669]
	* Updated desktop file to validate without warnings.  [#512011]

Jody:
	* Fix distcheck.  [#540284]
	* Fix ODS import failure on win32.  [#536552]
	* Get closer to a turnkey win32 build.  [#534291]
	* Name guru defaults to absolute references.
	* Add mnemonics to the quit dialog.  [#132131]
	* Odd renaming of some long file names on windows.  [#542872]
	* Fix cusor in tab labels.  [#546981]

Morten:
	* Fix EOMONTH issue.  [#540069]
	* Fix phyper hang.  [#540211]
	* Fix openoffice -pedantic problem.  [#540180]
	* Fix bogus-xls problem.  [#540697]
	* Fix problems with invalid dates in fn-financial.  [#540690]
	* Fix MATCH problem with singletons.  [#540996]
	* Fix DDB problems.  [#541158]
	* Make ssgrep a lot more grep-like.
	* Unify functions that work on sorted ranges.
	* Fix date entry problem.  [#540198]
	* Fix entry of error constants.  [#546759]
	* Fix import of broken 1.6 formats.  [#548414]

Nick Lamb:
	* Retain ()s.  [#69813]

--------------------------------------------------------------------------
Gnumeric 1.9.1

Jean:
	* Fix INDEX related crash.  [#533247]
	* Fix LINEST and LOGREG crashes.  [#533263]
	* Handle empty array.  [#533516]
	* Fix SUMPRODUCT criticals.  [#533507]

Jody:
	* Fix R1C1 parsing of refs followed by subtraction.  [#533943]
	* Fix xls import of DDE/OLE links (unimplemented).
	* Fix xls import of empty pre-biff8 headers/footers.
	* Fix menu warnings with newer Gtk+.
	* Polish win32 installer.  [#534231]
	* Fix range highlighting while editing.
	* Fix highlighting of merged cells.  [#127415]
	* Fix PageSetup on windows.
	* Make object insertion more flexible.  [#97216]
	* Add alignment to row/col headers for small scales.  [#154687]
	* Support Some XLM functions commonly used in charting.
	* Fix xls import of charts in charts.
	* Fix display confusion when reordering away from RTL sheet.  [#499910]
	* Make xlsx chart export more robust.
	* Be more careful with corrupt xls records.  [#539666]
	* Support Data -> Table variables that contain expressions.

Morten:
	* Fix Excel export problem for strings that need quoting.  [#530704]
	* Internal cleanup for analysis tools.  [#532210]
	* Fix hang.  [#533288]
	* Fix AREAS crash.  [#533370]
	* Fix translation of function description.  [#533193]
	* Fix R.QPOIS (and related functions) hang.  [#533515]
	* Fix critical spew.  [#533511]
	* Fix OPT_BS_DELTA assert.  [#533656]
	* Fix parser crashes.  [#533951]  [#534131]
	* Fix RANDEXPPOW hang.  [#533965]
	* Fix array evaluation problem.  [#533953]
	* Fix COUNTBLANK crash.  [#534204]
	* Fix TREND crash.  [#534587]
	* Fix text export problem for times with fractional seconds.  [#534514]
	* Fix xls export problem.  [#537625]
	* Fix ZTEST issue.  [#405958]
	* Handle foo.XLS as well as foo.xls.  [#510036]
	* Fix OPT_RGW hang.  [#534132]
	* Fix BESSELI and BESSELK aborts.  [#534475]
	* Fix corrupted-xls-file problem.  [#539178]
	* Fix markup/text confusion.  [#386412]
	* Fix BESSELI issue.  [#323784]
	* Fix SLOPE/INTERCEPT critical.  [#539648]
	* Fix PERCENTRANK.  [#539672]
	* Fix UMR in WORKDAY.  [#539808]
	* Plug leaks in GROWTH.  [#539827]
	* Plug leak in NETWORKDAYS.
	* Add missing "return" in CODE.
	* Fix EDATE issue.  [#539868]
	* Fix RANK crash.  [#540015]
	* Fix DAYS360 and NETWORKDAYS for invalid dates.  [#540055]

Seán de Búrca:
	* Move to tango based icons.  [#450444]

--------------------------------------------------------------------------
Gnumeric 1.9.0

David Reiser:
	* Patch for OSX build of python plugin.  [#510059]

Hans de Goede:
	* Fix broken xls issues.  [#505330]

Jean:
	* Fix graph paste.  [#507342]
	* Fix corrupted-xls-file problems.  [#514513] [#515343] [#515873]
	  [#515876] [#518939]
	* Evaluate formulas loaded from a text file.  [#525107]

Jody:
	* Fix cell comment positioning problem.  [#506017]
	* Update win32 build.
	* Fix win32 help.
	* Fix File->Sendto on win32.
	* Fix ssconvert win32.
	* Merge some cygwin build patches.  [#506366]
	* Enable the use of dolt.
	* Add 'ssgrep'

Jon Kåre:
        * Receive clipboard from broken apps.  [#524756]

Morten:
	* Fix NPV doc problem.  [#506160]
	* Fix python compilation problem.  [#509023]  [508988]
	* Fix DSUM crash.  [#509427]
	* Fix insert-current-date locale problem.  [#508237]
	* Fix xls read crash.  [#505330]
	* Plug csv leak.
	* Fix inter-sheet cut problem.  [#511706]
	* Fix loading of solver constraints.
	* Fix solver issue.  [#512500]
	* Fix corrupted-xls-file problems.  [#512984] [#513005] [#513313]
	  [#513317] [#513361] [#513364] [#513551] [#513605] [#513608] [#513790]
	  [#513787] [#513835] [#513963] [#514229] [#514230] [#514295] [#514435]
	  [#514436] [#514437] [#514506] [#514510] [#514630] [#514637] [#515155]
	  [#515269] [#515275] [#515335] [#515336] [#515339] [#517106] [#518939]
	* Fix non-ascii export problem.  [#511135]
	* Band-aid evaluation problem with broken xls.  [#513559]
	* Fix circular array formula problem.
	* Work around Qt theme bug.  [#512752]
	* Fix paste-as-text bug.  [#514438]
	* Fix corrupted-mps-bug.  [#517141]
	* Fix corrupted-qpro-bugs.  [#517144] [#517376] [#517591]
	* Fix corrupted-sylk-bug.
	* Make <control>KP_Subtract work as <control>minus.  [#516358]
	* Make <control>KP_Add work as <control>plus.
	* Fix corrupted-applix-bugs.  [#517778] [#520873]
	* Fix autofill issue with merged cells.  [#504191]
	* Fix sylk importer's format handling.
	* Fix memory allocation failure for huge .gnumeric files.  [#519319]
	* Fix mstyle problem.  [#519451]
	* Fix auto-fill problem.  [#519680]
	* Fix corrupted-gnumeric-bug.  [#519761]
	* Fix insert-time problem.
	* Fix inc/dec buttons for General.  [#510252]
	* Don't allocate memory for boolean values.  [#518527]
	* Ignore invalid formats read from .gnumeric and .xls.  [#521849]
	* Don't allow entry of invalid formats for cells.  [#521849]
	* Fix SUMIF problems.  [#523250]
	* Allow opening multiple files in open dialog.  [#524479]
	* Fix check for bogus xls files.  [#524926]
	* Fix CONCATENATE's empty case.
	* Improve performance of analysis tools for large ranges.
	* Fix performance repeated VLOOKUP/HLOOKUP/MATCH with constant
	  data range.  [#525875]
	* Fix date pasting problems to/from 1904 workbooks.  [#490419]
	* Fix problems editing times.  [#527392]
	* Implement IFERROR.  [#445591]
	* Implement F9 for evaluating a selected subexpression.
	* Fix problem loading Quattro Pro files.  [#530183]
	* Fix right/center text for Quattro Pro files.
	* Fix problem with sheet changes during range selection.  [#529309]

Nick Lamb:
	* Honour detachable-toolbar preference.  [#321867]

Uwe Steinmann:
	* Paradox DB export.

--------------------------------------------------------------------------
Gnumeric 1.8.0

Andreas:
	* Fix print area bug [#502206]
	* Fix paired t-test [#504256]

Jean:
	* Fix import/export of line styles in xls files.  [#502968]

Jody:
	* Fix cell comments in presence on merged cells.  [#503392]
	* Support enter_moves_dir == NONE.  [#500718]
	* .gnumeric support for persisting grid colour.
	* Fix clipboard for regions with merges/styles but no content.  [503634]

Morten:
	* Fix a handful of rich-text editing bugs.  [#470089]
	* Fix xls chart import problem.  [#501656]
	* Fix crash relocating set expressions.  [#502781]

--------------------------------------------------------------------------
Gnumeric 1.7.91 (rc2)

Andreas:
	* Fix formula guru.  [#363871]
	* Remove apparently confusing textview in the preference
	  dialog [#380080]
	* Fix header configuration crash [#499717]
	* Fix sensitivity of buttons in header/footer configuration [#499719]
	* Fix sheet object printing bug [#499913]

Jean:
	* Import/export radar plots axes.  [#499349]

Jody:
	* OFFSET use size of input range.  [#497294]
	* Finish .gnumeric i/o support for explicit page breaks.  [#499339]
	* Update the .gnumeric schema to handle modern content.  [#499378]
	* Make xlsx import more defensive against unsupported bits.
	* Fix xlsx round trip of margins.  [#499377]
	* .gnumeric i/o for GridColour.
	* Support enter_moves_dir == NONE.

Morten:
	* Fix crash in dependency code for named expressions.  [#498347]
	* Fix yet another jumpbox problem.  [#499722]
	* Fix Find dialog problem with hidden sheets.  [#499723]
	* Fix pane-related critical.  [#499905]
	* Fix critical in series filling.  [#499984]
	* Fix critical related to shared views.  [#499680]

--------------------------------------------------------------------------
Gnumeric 1.7.90 (rc1)

Andreas:
	* Speed up pagination
	* Account for repeating rows/cols when scaling automatically
	* Load header & footer info from file
	* Print headers and footers
	* Reenable header/footer customization
	* Add do-not-print flag to sheets.  [#371754]
	* Allow multi-line headers and footers
	* Allow nicer entry of header/footer fields [#122175]
	* Fix gtk issues triggered by sorting dialog.
	* Fix printing of background of merged cells.  [#497478]
	* Allow inclusion of cell content in header/footer.  [#162480]
	* Add faster way to switch orientation.  [#497438]

Jean:
	* Print images.
	* Fix FMR in solver dialog.  [#496052]
	* Fix markers shapes and objects stack order when importing
	xls files.  [#344950]
	* Fix transparent background import from xls.

Jody:
	* Fix visibility filtering for clipboard export.  [#496985]
	* XLS export of hyperlinks.  [#81718]

Jon Kåre:
        * Fix clipboard export.  [#496187]

Morten:
	* Make pdf exporter able to print specified sheets only.
	* Make it possible to set page size for ssconvert's pdf exporter.
	* Fix date entry problem with yyyy-mm-dd formats.  [#494387]
	* Fix FMR during workbook destruction.
	* Fix UMR when moving cells.
	* Validate names before defining them.
	* Fix gtk issues triggered by sorting dialog.
	* Improve initial appearance of quit dialog.
	* Plug printing dialog leak.
	* Fix just-in-time evaluation problem.
	* Fix minor parse problem for faulty inter-workbook references.
	* Fix interaction between re-spanning and manual recalc.  [#495879]
	* Refuse to jump to invisible sheet.  [#496304]
	* Fix rtl display problem.  [#496304]
	* Plug leak in oleo import.  [#496867]
	* Fix g-critical problem with editable labels' cursors.
	* Plug excel exporter leaks.  [#497191]
	* Make sure =<right> produces a relative address.
	* Improve recent-files integration.
	* Fix CHITEST crash.  [#497477]
	* Fix a pile of CHITEST corner cases.
	* Fix a pile of FTEST corner cases.
	* Improve error message for xls export with excess function arguments.
	* Fix a pile of TTEST corner cases.

Oliver Burnett-Hall:
       * Fix R1C1 issued with defined names.  [#409997]  [#494318]

--------------------------------------------------------------------------
Gnumeric 1.7.14

Andreas:
	* Print repeated rows and columns.
	* Fix printing crash.  [#491775]
	* Reimplement down then across printing

Götz Waschk:
	* Fix paradox plugin compilation.  [#489030]

Hib Eris:
	* ssconvert export options.  (Code butchered by Morten.)  [#170767]

Jody:
	* Improve ODF (and .sxc) import.
	* Improve ODF chart data import (ick).
	* Add Snap-to-grid context menu command for objects.
	* Fix Data -> Table and enable the UI.

Morten:
	* Improve test suite.
	* Fix clipboard text-target export problem.
	* Add date convention to clipboard ranges.
	* Update man pages a bit.
	* Fix excel dual-format write crash.  [#490828]
	* Fix problem loading .gnumeric files.  [#490859]
	* Fix print crash.  [#478552]
	* Fix xls FMR.  [#491472]
	* Fix gnumeric sax loader UMR.  [#492391]
	* Make text exporter remember settings between invocations.
	* Make text import handle ranges of files with >64k rows.  [#370273]

--------------------------------------------------------------------------
Gnumeric 1.7.13

Jean:
	* Export font in charts to xls.
	* Export and import chart titles to/from xls.  [#301720]

Jody:
	* XLSX import chart axes, singletons, some styles.
	* Merge in most of the win32 cleanup.
	* Fix autofilters on win32.

Jon Kåre:
	* Fix python crash.  [#461845]

Morten:
	* Fix minor date entry problem.
	* Fix minor time entry problem.
	* Fix page setup crash.  [#476467]
	* Fix scenarios.  [#477410]
	* Fix sheet filter crash .  [#477417]
	* Fix print crash.  [#478475]
	* Switch to new tooltip api.

--------------------------------------------------------------------------
Gnumeric 1.7.12	'Rocks for Rob, Roses for Harlan'

J.H.M. Dassen (Ray):
	* Added infrastructure to render the DocBook documentation as PDF.

Jody:
	* Store objects in visible order in .gnumeric files.  [#438933]
	* Make SMALL/LARGE support implicit intersection.  [#343176]
	* XLS import for Form combos/lists source ranges.  [#451384]
	* Remove warning when combo objects updated.
	* Repeat action being activated by F4 while editing.  [#461284]
	* SUM(INDIRECT:INDIRECT) XL compat outside arrays.  [#395926]
	* Merge UI layer back into WBCGtk, no more arbitrary split.
	* Use pygobject instead of pygtk
	* Use utf-16 encoded cmd line args on windows.  [#361321]
	* Fix XLS import of workbook local hyperlinks.
	* XLSX import/export of hyperlinks.
	* XLSX import/export of validation and input messages.
	* Basic XLSX import/export of charts.
	* ROW/COLUMN return vectors not matricies.  [#Harlan Grove]

Morten:
	* Fix undo column/row insert/delete for arrays.  [#463834]
	* Fix undo column/row delete for objects.
	* Fix undo of sheet objects pushed off the sheet.
	* Fix auto-correct issue.  [#463996]
	* Fix handling of named expressions when inserting or deleting
	  columns or rows.  [#123649]
	* Validate defined names.  [#346223]
	* Fix 64-bit issue for non-GNOME build.  [#465545]
	* Allow relative formulas in name dialog.
	* Make test suite a bit more robust.
	* Fix date entry problem.  [#472760]

--------------------------------------------------------------------------
Gnumeric 1.7.11

Andreas:
	* Save and restore default paper, margins and various
	  other print settings
	* Handle differences in page setup between sheets when
	  printing multiple sheets
	* Fix handling of "print even if only style".  [#438743]
	* Implement printing of row and column headers
	* Fix saving of null header/footer items [#449836]
	* Fix TINV for large degree of freedom

Jean:
	* Fix check for long double support in goffice.
	* Import legend and axis labels fonts from excel
	  in charts.  [#437858]
	* Fix performance issues in float_range_function2 and
	  fn-tsa plugin.

Jody:
	* Fix drawing of large cursor while sheet scrolls.  [#444610]
	* Fix drawing of merged cells in RTL.  [#442463], [442467]
	* Fix editing in RTL, and for merged cells.
	* Properties to store fine tuned capabilities in protected sheets.
	* Read/Write of protected sheet capabilities for XLS/XLSX.
	* Move the OpenPkg support code into libgsf from our xlsx plugin.
	* Fix placement of validation combo in merged cells.
	* Eval validation functions as arrays.
	* Make Morten's pdf exporter available from gnumeric too.
	* Start to implement limits to selection in protected sheets.
	* Handle array expressions in SYLK importer.
	* ODF import/export for hidden and RTL sheets.
	* Fix redraw of spanning cells when toggling RTL.
	* Work around ODF's lack of a default col/row style.
	* Fix crash in t-test.  [#450676].
	* Sylk import support for arrays, and encoding.
	* Sylk export.
	* Configurability for which direction <Enter> moves.
	* Calc property import/export for xlsx.
	* Update validation combo moving between identical styles.  [#453525]
	* Patch the problems found by coverity.
	* Fix win32 docs.  [#443726]
	* Be more flexible about range relocation for ins/del cells.  [#439347]

Morten:
	* Make ssconvert able to export to pdf.  [#381965]
	* Fix loading of tab text colour.  [#437743]
	* Improve handling of foreign recently-used files.  [#438918]
	* Improve save-on-exit dialog.
	* Fix potentially confusing save-in-wrong-format-on-exit bug.
	* Tentatively fix issue with recent Pango.  [#440514]
	* Provide good mime type for recent documents.
	* Fix localized-format problem in cell format dialog.  [#442657]
	* Fix R1C1 problem.  [#443832]
	* Fix performance problem when selecting large areas.  [#445617]
	* Fix loading/saving of R1C1 attribute.  [#448714]
	* Fix overflow problem when int!=long.  [#458158]

Nils Kanning:
	* Fix the inline documentation for python addins.  [#412804]

--------------------------------------------------------------------------
Gnumeric 1.7.10

Andreas:
	* Reimplement scaling
	* Save orientation
	* Show paper preview
	* Show unit selector in print dialog
	* Add margin adjustments

Jean:
	* New Time Series Analysis plugin.

Jody:
	* Fix inadvertent relocation of reference on other sheets.  [#433907]

--------------------------------------------------------------------------
Gnumeric 1.7.9

Andreas:
	* Switch to gtk print from gnome print
	  (some feature regression)

Jody:
	* Import and Export for inline arrays in ODF. (now patched in OOo)
	* Export cell comments to xls.

Morten:
	* Require three digits after a thousands separator in order to
	  accept it as a number.  [#415007]
	* Fix autofill issue.  [#414815]
	* Fix criticals with frozen panes.  [#308562]
	* Fix rich text problem.  [#417632]
	* Use GtkRecentManager.  Fixes #115112.
	* Ignore local files that no longer exist.  [#67453]
	* Fix XL load crash.  [#418868]
	* Fix format guessed for $123,456.78  [#423603]
	* Perform UTF-8 normalization during search.  [#421678]
	* Allow selecting a locale for sorting.  [#427019]
	* Make sure ssindex doesn't update the recent-files list.
	* Update recent-files on load and save.  [#152584]

--------------------------------------------------------------------------
Gnumeric 1.7.8

Morten:
	* Fix FACT.  [#410005]
	* Fix gui problems after replacing pristine book.  [#410365] [#410371].
	* Fix R1C1 preventing the use of, e.g., COS and RADIANS.  [#410609]
	* Fix editing of out-of-range numbers with date format.
	* Improve CopyDown and CopyRight.  [#112847]
	* Make file chooser show more files for load.

Oliver Burnett-Hall:
	* Fix R1C1 problem in formula guru.

--------------------------------------------------------------------------
Gnumeric 1.7.7

Jody:
	* Patch a leak in DataTables.
	* Fix AutoFormat loading.
	* Add support for the standard builtin formats in xlsx.
	* Fix col/row grouping deletion.  [#388505]
	* Basic ODF AutoFilter partial import/export.
	* Some property dialogs for combos and lists.

Morten:
	* Unify layout and string value formatting.
	* Make sheet duplication handle sheet-local names.
	* Make sheet duplication change sheet references to point to
	  the new sheet.  [#158825, #158691]
	* Fix parsing of new workbook-level named expressions.  [#306686]
	* Fix xml loading of names that refer to other names.
	* Fix crash from old-style file.  [#392054]
	* Fix cell contents reading from old v7 files.  [#392054]
	* Make sure we call g_thread_init early.  [#392050]
	* Fix CRITICALs with DOLLAR.
	* Fix progress display for .gnumeric and thus splash.  [#392546]
	* Don't allow "1D2" [win32] or "0x1234p1" as numbers.  [#393347]
	* Fix redraw problem.  [#393359]
	* Don't complain over encoding-less documents unless there is a reason.
	* Don't pull in popt.  [#396329]
	* Fix OO import crash.  [#396200]
	* Fix part of problem loading style conditions.  [#397679]
	* Fix generated libspreadsheet-1.7.pc [#399550]
	* Fix tsv import problem.  [#404264]
	* Fix R1C1 crash.  [#407274]
	* Fix R1C1 issues.  [#407247]

--------------------------------------------------------------------------
Gnumeric 1.7.6

Jody:
	* Fix sax import of autofilters.  [#383400]
	* Fix autofilter lists with only 1 combo.  [#383400]
	* Implement sax import of sheet objects.
	* Implement List and Combo objects.
	* Avoid pixel dirt when drawing hidden cursor.  [#365960]
	* XLSX support for import and export of autofilters.
	* Right click on combos/list always brings up popup.  [#135966]

Morten:
	* Fix title problem.  [#382643]
	* Fix sax loading of comments.
	* Fix scaling and rtl orientation of comment marker.  [#381700]
	* Set a saver after loading with the sax loader.
	* Implement undo for sheet object widgets.  [#384136]
	* Work around a gcc bug.
	* Improve number formatting.

--------------------------------------------------------------------------
Gnumeric 1.7.5

Jon Kåre:
	* Fix zoom preference.  [#378043]

Jody:
	* Improve xls import/export of 'best fit' column widths.  [#378560]
	* Implement Validate from List cell combo.  [#375620]
	* Fix xls import of checkboxes with empty labels.  [#375620]
	* Put the style feedback onto an idle handle to improve cursor
	  responsiveness.
	* Improve autofill/validation combos.
	    - Alt-Down opens a combo in the current cell
	    - Enter, Alt-Up/Down selects within an open combo
	    - Drag autoscroll
	    - set initial selection for validate from list
	    - Home/End jumps to top bottom.
	    - Fix in RTL mode.
	    - List items unfiltered by other active conditions.  [#114307]
	* Fix .gnumeric import of col/row groupings.  [#380015]
	* SAX import for autofilters
	* Fix XSD schema
	    - Add autofilters
	    - Add inputmessages
	    - Add Workbook Attributes
	    - Make it validate
	* Start simplifying the object anchor types for xlsx.
	* Fix RTL text display.
	* Fix a collection of dialog leaks.

Morten:
	* Add automatic test framework.
	* Fix sc import of functions with no args.
	* Prevent ssconvert from updating the recent-files list.
	* Fix goal-seek crash.  [#377961]
	* Minor goal-seek improvements.  [#379234]
	* Fix critical in name definition dialog.
	* Improve precision of goal-seek.
	* Fix a case where goal seek went outside the interval.

--------------------------------------------------------------------------
Gnumeric 1.7.4

Jody:
	* Fix splash.
	* Fix crash.
	* Make auto filter combo a real widget.

Morten:
	* Fix ssconvert error handling.
	* Fix RATE.

--------------------------------------------------------------------------
Gnumeric 1.7.3

Eduardo Lima:
	* Make printing support optional.  [#331948]

Jon Kåre:
	* Fix another clipboard crash.  [#362993]
	* Fix encoding of mailtos.  [#148550]
	* Fix crash in sheet label context menu.  [#363261]
	* Fix crash when deleting same sheet from two views.  [#364082]
	* Fix crash reading inconsistent file.  [#312010]
	* Remove "deactivate all" button from plugin manager.
	* Fix crash due to invalid border line type.  [#364658]
	* Fix crash on loading Excel file with unusual text box.  [#340293]
	* Fix loading Excel files with unusual cell merges.  [#331190]
	* Update window list when closing view.  [#366335]
	* Fix crash when attempting to edit locked cell.  [#367870]
	* Fix initial sizing bug.  [#368825]

Jody:
	* Rewrite expression relocation logic.
	* Add accelerator (Alt-=) for auto-sum.
	* Make paytype handler more flexible.
	* Fix DIF import/export.
	* Add accelerator for group/ungroup and inc/dec indent.
	* Make clipboard faster.
	* Support exporting only visible content to clipboard.
	* Fix checkbox objects.

Joseph Pingenot:
	* Add more conditional format types.

Morten:
	* Basic life support for perl-loader.  [#362911]
	* Fix csv problems.  [#359269]
	* Fix crash deleting and adding sheets.  [#363549]
	* Fix jump-to-area crash.  [#363977]
	* Fix search crash.  [#364085]
	* Fix IPMT, PPMT issues.
	* Start fixing issues with sheets being deleted underneath a
	  dialog.  [#364291]
	* Fix undo/redo problems in cases where all sheets might become
	  temporarily hidden.  [#366477]
	* Fix crash relating to workbook disposal.  [#366570]
	* Fix edit-line weirdness.  [#367870]
	* Cleanup g_free and g_strdup calls.  [#369661]
	* Fix undo for sheet object copy.  [#308300]
	* Fix redo for sheet object copy.  [#308300]
	* Add a bugzilla component for bug-buddy.  [#348829]
	* Make WorkbookView a more proper gobject.
	* Fix autosave crash.
	* Handle parsing of "2005/12" and "12/2005".
	* Handle parsing of "1-10" in non-date cells.  [#376090]
	* Handle new documentation format in the function selector.
	* Improve formula editor a bit.
	* Fix sheet object selection problem.  [#376866]

--------------------------------------------------------------------------

Gnumeric 1.7.2

Emmanuel :
	* New look for col/row headers.

Jody :
	* Fix off by one pt, printing vertical borders in RTL mode.  [#317662]
	* Handle the last (we hope) MS XL array iteration.  [#361074]
	* Fix inversion check for cell relocation.  [#350222]

Jon Kåre:
        * Fix import of certain hyperlinks from Excel.
	* Fix bug which hid file type selector when saving images.
	* Fix crash when storing to clipboard manager.  [#321714]
	* Fix warnings when storing to clipboard manager.  [#342580]
	* Fix warnings when pasting objects over clipboard.  [#308569]
        * Fix import of images in Excel files written by PHP/Perl.  [#155696]

Morten:
	* Fix font preview crash.
	* Fix performance problem with big paste.  [#359392]
	* Fix paste crash.  [#360672]
	* Fix transposed pasting of arrays.  [#349288]
	* Fix sharing problem with regular pasting of arrays.
	* Fix toolbar hiding/unhiding.
	* Fix inter-workbook crash.  [#323811]
	* Re-implement sharing of top-level expressions.
	* Fix stale sheet pointer problems in clipboard.  [#323762]
	* Fix growing button in sheet manage dialog.  [#362558]
	* Expand default stack.  (With JKH.)  [#92131]
	* Force expression sharing on load.

--------------------------------------------------------------------------

Gnumeric 1.7.1

Andreas:
	* Fix ngettext calls [#345027]
	* Use ngettext to support correct plurals [#123860]
	* Fix zoom-dialog labels [#311206]
	* Initialize locale selector in stf export.
	* Added Sheet_Title predefined name [#342542]
	* Improve Define Names dialog [#345896]
	* Fix button sensitivity in Define Names dialog in presence
	  of identical workbook and sheet scope names
	* Remove some warnings on AMD64 [#346045]
	* Add "switch scope" button to define names dialog [#345896]
	* Add "print area" to sheets [#164058]
	* Fix writing of floating point preference values under
	  --without-gnome [#346433]
	* Added menu items to set/clear/show the print area of a sheet
	  [#164058]
	* Add a latex-exporter for an unformatted table fragments [#325980]
	* Implement content export in the OpenDocument exporter.
	* Fix undo text for definition/update of names [#346962]
	* Fix interaction of merged cells, cell comments and undo [#347536]
	* Fix undo problem for paste [#347826]
	* Fix crash when jumping to Print_Area [#349686]
	* Adjust width of tables in LaTeX export [#350625]
	* Check for empty styles.xml and meta.xml files in OpenDocument
	  import [#350644]  Patch by sum1_abi@yahoo.com.

Jean Brefort:
	* Smoothing generated by Excel graphs supported.  [#349457]
	* Don't use auto_shape or auto_dash when plot has no marker/line
	and series have while importing from excel.  [#319727]

Jody:
	* Fix ODF sheet name import ('aa''a' == aa'a).
	* Don't lose the orientation of line objects when copying.
	* Add context menu binding for selected objects.  [#338616]
	* Allow File->Save even when editing an object.  [#338619]
	* Only install util man pages if they are built.  [#341916]
	* Handle Tab/Return movement.  [#88167]
	* Re-enable R1C1 parsing.
	* Remove GnmCell::col_info to shrink cell by a ptr
	* Remove ColRowInfo::pos to shrink col/row by an int
	* Update schema a bit.
	* Update GLPK to version 4.9.
	* Make ODF merge cell import more flexible.  [#347263]
	* Restore ctrl-a as alternative for select-all.
	* Select All no longer moves the edit_pos.
	* Extend GDA type conversions, and make compatibile with 1.9.103.

Morten:
	* Moved font metrics to goffice.
	* Fixed font initialization.
	* Fix minor mouse cursor problem.  [#341877]
	* Improve handling of invalid xls files.  [#341917]
	* Try harder not producing CRITICALs on buggy files.
	* Fixup expression sharer interfaces.
	* Fix scientific-number editing problem.  [#342583]
	* Reduce memory consumption for dependency storage.
	* Fix CRITICAL for --debug-deps on startup.
	* Fix sheet duplication problem related to the solver.
	* Fix stf import crash.  [#345477]
	* Fix problems with decreasing month autofill.  [#346028]
	* Fix CRITICALs for =[].  [#347916]
	* Fix problems with sheet reordering.  [#349255]
	* Fix clipboard code's memory usage.  [#348922]
	* Fix ods import of time values.  [#355943]

Shixin Zeng:
	* Add \L{} escape to LaTeX exporter (The content of the
          braces is being inserted literally into the LaTeX file.)

--------------------------------------------------------------------------

Gnumeric 1.7.0

PACKAGERS :
    If you store supported mimetypes anywhere other than gnumeric.desktop you
    will need to resync.

Andreas:
	* Fix lost minus signs in latex output.  [#325656]
	* Add has-header preference to the sort preferences.  [#327278]
	* Fix sort dialog crash.  [329236]
	* Make sort dialog range entry sensitive to keyboard entry.
	  [#329250]

Harun Vos:
	* Fix Win32 crash-on-start for pre-WinXP.

Ivan, Y.C. Wong:
	* Fix Gdk-WARNING when cutting or copying cells.  [#314210]
	* No more debug command prompt.
	* Error/warning messages will go to an existing command
	  prompt (if any).

Jody:
	* Handle the special case of ADDRESS (r1c1) actually relative.
	* Make sheet name quoting modular.
	* AREAS handles error conditions better.
	* Make Array formulas use less memory
	* Fix xls import of optimized CHOOSE
	* Dup sheet props when duping a sheet.
	* Adding an autofilter dirties the sheet.
	* Move Workbook::uri and ::dirty into GODoc
	* Handle inconsistency with XL's model of vararg eval.  [#336212]
	* Export underlines to html.
	* handle ctrl/shift space during rangeselection.
	* Fix path to docs.  [#330339]
	* Handle canceling object drag motion.  [#314866]
	* Fix image drags with previously selected objects.
	* Handle oddness in xls files generated by 'miniCalc' [#336858]
	* Do not make backgrounds for xl95 charts transparent.
	* Basic import and export for MS Office 12 (beta1) files
	* xls import optimization for shared strings.
	* Install the headers for libspreadsheet.  [#332218]
	* Enable ODF metadata import.
	* Fix ODF import of underlines.
	* Fix ODF import of sheets with quoted names.
	* Enable ODF import of hidden rows/cols.
	* Fix ODF import of col/row cell default styles.

Klokan Pridal:
	* Implement xml saving/loading of "protected" attribute.  [#334257]
	* Implement xls saving/loading of "protected" attribute.  [#330129]

Luciano Miguel Wolf:
	* ODS import improvements.

Morten:
	* Fix COUNTBLANK.
	* Fix auto-filter formatting issue.  [#322392]
	* Fix ATAN2(0,0).
	* Make AND, OR, and XOR ignore strings as claimed.
	* Fix TRIM for non-ASCII case with spaces at end.
	* Fix TYPE crash.  [#323128]
	* Plug leak.
	* Fix sheet quoting problem.  [#323546]
	* Improve Excel compatibility of BIN2DEC, BIN2HEX, and
	  BIN2OCT.  [#323787]
	* Fix crash on xml load.  [#323888]
	* Fix file corruption on saving scenarios.  [#323927]
	* Fix a pile of leaks in solver and scenario saving and loading.
	* Fix leaks in solver dialog.
	* Fix parser leak.  [#301127]
	* Fix NetBSD compilation.  [#324358]
	* Fix solver dialog crash.  [#324585]
	* Fix FMR in SUBSTITUTE.
	* Fix REPLACE and SEARCH for non-ASCII strings.
	* Fix division-by-zero problems in FIXED, ROUND, ROUNDUP,
	  ROUNDDOWN, TRUNC.
	* Fix accuracy of ROUND, ROUNDUP, ROUNDDOWN, TRUNC.
	* Fix out-of-memory problem in REPT.
	* Fix lots of little XL compatibility problems in string
	  functions.
	* Fix error on Search-and-replace.
	* Improve handling of boolean args for "R" functions.
	* Fix near-infinite loop in FACTDOUBLE.
	* Fix text-to-columns crash probably affecting stf import too.
	* Fix font preference crash.  [#326830]
	* Fix memory allocation problem for writing charts.
	* Fix loading of boolean constants from ods files.
	* Fix MID for out-of-bounds values.
	* Fix constructed-range parsing for OO.
	* Improve .desktop file.  [#328015]
	* Make expressions use less memory by merging ref_count
	  and operator fields.
	* Split expression memory pool into one for large and one for
	  small nodes.
	* Fix SECOND, MINUTE, HOUR compatibility problems.
	* Fix DATE compatibility for bizarre input.
	* Cleanup parameter handling in financial functions.
	* Fix parsing problem with underscores in sheet names.  [#329236]
	* Fix LCM and GCD for large arguments.
	* Switch gnumeric option handling to GOption.
	* Switch ssconvert option handling to GOption.  [#154395]
	* Switch ssindex option handling to GOption.  [#154395]
	* Fix problem with solver error message translation.
	* Expand the range of certain random number functions.
	* Fix large-argument cases for BITOR, BITAND, BITXOR, BITLSHIFT,
	  and BITRSHIFT.
	* Redo string-to-value parsing.
	* Allow "12Dec2001" for date entry.  [#56168]
	* Allow "20041231:103355".
	* Fix bogus duplicate-accelerator warnings.  [#324692]
	* Fix criticals relating to toolbar combos for very narrow windows.
	  [#162498]
	* Allow vertical toolbars.
	* Save a bit of memory for function calls.
	* Fix type confusing in mps importer.
	* Greatly reduce the use of the type-unsafe GnmExprList.
	* Use argc/argv form for sheet function taking uneval'd args.
	* Fix expression creation and leaks in mps importer.
	* Use toolbuttons for edit-line buttons.  [#331916]
	* Go to end of text on F2.  [#319311]
	* Let GtkNotebook handle hidden sheets by using hidden tabs.
	* Fix updates of tab colours.
	* Make Workbook a little more like a proper GObject.
	* Rework "dirty" handling for sheets and workbooks.
	* Fix 64-bit problem for xls save.
	* Fix printing issue when sheet is zoomed.  [#332932]
	* Fix dbf import issue.  [#332878]
	* Fix menu feedback when replacing a pristine workbook
	  by a file.
	* Fix stf text import speed regression.  [#333407]
	* Fix XIRR issues.  [#333620]  [#333631]
	* Fix autofilter for text that looks like numbers.  [#333809]
	* Plug leak in SEARCH.
	* Fix printing issue with wrapped, right-aligned text.  [#334144]
	* Introduce top-level expressions.
	* Eliminate ref-counting at the sub-expression level.
	* Plug leaks in preferences dialog.
	* Make CORREL, COVAR, RSQ, SLOPE, and INTERCEPT really ignore
	  blanks.  [#334591]
	* Fix DOLLARDE and DOLLARFR.
	* Resurrect the ability to name external workbooks by filename,
	  including relative filename.  (But things still expand to URIs.)
	* Improve Excel compatibility for ROMAN and COMBIN in extreme cases.
	* Fix sheet object deletion crash.  [#335052]
	* Make ISPRIME and PFACTOR work for much larger numbers.
	* Fix border case for iterative evaluation.
	* Display and xml-save inter-workbook references using relative
	  URIs.  [#334724]
	* Fix theming problem.  [#309060]
	* Fix validation problems.  [#114086]
	* Fix validation handling of errors/strings/booleans.
	* Implement WORKDAY.
	* Improve Excel compatibility for EDATE and EOMONTH in extreme
	  cases.
	* Fix EVEN and ODD for very large numbers.
	* Fix sheet-manage dialog crash.  [#336165]
	* Reimplement autofill.
	* Fix xls export of data tables.
	* Fix xls export for intersections.
	* Fix parser crash for ={-TRUE}.
	* Get rid of integer/float split.
	* Allow ={+42}.
	* Fix copy-and-paste problem between gnumeric instances.  [#337215]
	* Improve handling of strings that look like numbers or expressions
	  during search-and-replace.  [#167304]
	* Fix rendering problems for values with attached formats.
	* Fix button ordering on Win32.  [#170479]
	* Fix rendering on fractions that round to 0.  [#314210]
	* Add undo handling to deletion of names.  Fix recalc are removing
	  or defining names.  [#312610]
	* Improve editing of cells containing currency amounts, fractions,
	  or percentages.
	* Improve 1-2-3 import for Chinese files.  [#337968]
	* Fix 1-2-3 format handling.
	* Fix parsing of "4/2005".  [#166413]
	* Fix initial sheet selection in the sheet-manage dialog.  [#331984]
	* Make autofill understand 3Q01, 4Q01, 1Q02, ...  [#61650]
	* Make autofill understand Apr, Jul, Oct, Jan, ... (and other skip-N
	  sequences, with or without year.)
	* Make autofill fit columns.
	* Fix sorting undo problem.  [#161890]
	* Add locale choice on text export.  [#123339]
	* Remove stray "Back" button for text export's one-sheet case.
	* Fix elusive sheet tab tracking bug after we replaced the initial
	  pristine workbook by a newly loaded one.
	* Fix GUI inconsistency for text import.  [#338694]
	* Fix crash on save+quit.  [#338847]
	* Auto-fit width when entering new values or formulas.
	* Auto-fit height when entering string constants.
	* Fix fits for wrapped text.  [#67351]
	* Fix minor undo problem for applying a height-changing format.
	* When undoing or redoing, move to where things happen.  [#114077,
	  #154705]
	* Add tooltips to a few combos.  [#339122]
	* Improve stf import format guessing.  [#332997]
	* Improve stf import for sloppy clumps of whitespace.  [#339297]
	* Improve stf import's keyboard navigation.
	* Fix applix import issue.  [#339190]
	* Fix critical.  [#339793]
	* Make "General" format pixel-perfect.
	* Fix zoomed rendering issue.  [#310492]
	* Warn for confusing text-formatted-non-string situation.  [#339834]
	* Fix filling of text formatted as non-general.
	* Fix printing problem for cells that haven't been displayed.
	* Fix critical on exit for --debug=1.
	* Display tooltips during autofill.  [#51272]
	* Fix editing of comments attached to merged regions.

Jon Kåre:
        * Hand clipboard off to clipboard manager when exiting.
	* Handle non breaking space in html input.
	* Handle .xls containing html fragment [#311879]

Nick Lamb:
	* Fix CONVERT crash.  [#323678]

Philo Vivero:
	* New loan template.  [#317201]

--------------------------------------------------------------------------
Gnumeric 1.6.1

Allin Cottrell:
	* Save configuration in non-gnome case.  [#310354]

Jean Brefort:
	* Use localized decimal separator.  [#80139]

Jody:
	* Unfreeze panes if the drag handles are pulled outwards.
	* Adjust ctrl-~ vs ctrl-!
	* Some R1C1 fixes
	* More SpreadsheetML from MS Office XP.
	* Some OpenDoc import extensions.
	* Minor fixes for auto-fill
	* Enable a chart importer in the experimental xml sax importer.

Lukasz Stelmach:
	* Fix python binding for RangeRef::end.

Eduardo Lima:
Renato Araujo:
	* Maemo/Hildon port to Nokia 770

Morten:
	* Fix content probing of csv and tsv files.  [#318419]
	* Import formats from Lotus 1-2-3 files.
	* Import column widths and row heights from Lotus 1-2-3 files.
	* Handle Lotus 1-2-3 functions whose names differ from the ones
	  we use better.
	* Read basic info from wk4 files.
	* Fix issues with new function docs method.
	* Fix OO import crash.  [#320818]
	* Fix Excel save crash.  [#321009]
	* Plug minor leak.

Philippe Lelong:
	* Fix issue with PRICE (and probably related functions).

--------------------------------------------------------------------------
Gnumeric 1.6.0

Andreas:
	* Preload selection in "Define Names" dialog.  [#316406]

Jean Brefort:
	* Fix crash when deleting plot with dynamic deps.
	* Fix localization issues.  [#318042][#318043].

Jody:
	* Snap objects right in RTL mode.  [#316026]
	* Finish Data -> Table evaluation
	* Avoid entering "" for every keystroke when using gtk-2.8
	* Fix xls import/export of markers for radar plots.
	* Fix rotated text with pango-1.10 [#316597]
	* Update auto-expr after a recalc [#314867]
	* Use Emmanuel's ideas to improve the frozen pane drag handles.
	* Enable super/subscripts.
	* SpreadsheetML importer.

Morten:
	* Fix C99ism.
	* Fix rare dependency crash.
	* Warn if running with buggy pango_attr_list_splice.
	* Improve stf import gui for multi-byte encoded text.  [#316816]
	* Fix xml-io's name parsing.  [#317427]
	* Fix .gnumeric saving of summary items.  [#318254]
	* Import some style info from Lotus 1-2-3 files.
	* Fix infinite loop in pdhyper.

--------------------------------------------------------------------------
Gnumeric 1.5.90

Jody:
	* quotes for pure strings in expressions for xml in/out [#313460]
	* Fix F4 cycling of abs/rel in mixed mode range refs
	* Check all format tuples for a match [#85950]
	* Escape cancels object drag.  [#314866]
	* F2 while editing jumps focus to entry.  [#314869]
	* XLS in/out for Data -> Table
	* 2d Data -> Table support

Morten:
	* Fix tooltip problem.  [#314865]
	* Throw a minimum of effort at a Lotus importer for modern
	  versions.  [#314875]

--------------------------------------------------------------------------
Gnumeric 1.5.5

(No code changes -- translations only)

--------------------------------------------------------------------------
Gnumeric 1.5.4

Clytie Siddall:
	* Audit strings.  [#312746]  [#312986]

Jean Brefort:
	* Fix crash on close related to graph plugins.  [#313463]

Jody:
	* Fix lost background colours.  [#314207 and others]
	* Add some drag handles for graphicly creating frozen panes.
	* Fix sheetview confusion.  [#314208]

Morten:
	* Fix harmless, but ugly, error message on xls save.
	* Fix solver crash.  [#314025]
	* Fix solver coefficients.
	* Package lp_solve into a single file and sanitize its API.
	  Update to lp_solve 5.5 in the process.
	* Fix dependency crash.  [Part of #314207]
	* Fix theming bug.  [#307783]
	* Fix crash related to changing colours of sheet tabs.
	* Fix rich text editing problem.  [#314209]
	* Be consistent about dialog separators.  [#314306]
	* Fix print problem with page numbers.  [#314520]

--------------------------------------------------------------------------
Gnumeric 1.5.3

Ivan, Y.C. Wong:
	* Fix recent files list on win32.  [#308302]
	* Fix non-latin characters rendering of fonts sans, serif and monospace
	  on win32.  [#161027]

Jean Brefort:
	* Copy charts (to abiword).

J.H.M. Dassen (Ray):
	* Bumped goffice build dependency.

Jody:
	* Handle ROW/COLUMN with no argument in an array.
	* Fix problems with row height resizing on win32.  [#163414]
	* XLS, SAX, & DOM in/out for conditional Formatting.
	* SAX in/out for input messages.
	* SAX in for hyperlinks.
	* Conditional Formatting for backgrounds.
	* Conditional Formatting for borders.
	* Store the current settings before previewing.  [#301494]
	* Fix F4-abs/rel state rotation after R1C1 breakage.
	* Fix leak in xls chart import.  [#157058]
	* Fix object movement and snap to grid in RTL.
	* XLS import of image fills.  [#127756]
	* XLS import of font for chart labels.
	* Don't put extra quotes around exported series names.  [#152317]
	* Keep images hidden until they are sized.  [#308301]
	* Warnings when consolidating single columns.  [#308431]
	* Improve sync of cell editing and editline for autocomplete.  [#308303]

Jon Kåre:
        * Improve sc/xspread import.
	* Export page orientation to Excel.
	* Fix top margin/header interaction bug in page setup.  [#310055]

Morten:
	* Make changes to toolbar visibility permanent.
	* Fix stf export quoting problem.  [#308109]
	* Fix stf export format problem.
	* Prevent sheets from being renamed to "".
	* Fix IRR.  [Debian #315625]
	* Eliminate old sheet reorganize support code.
	* Make ssconvert able to save to stdout ("fd://1").
	* Fix repeat-setting-border crash.  [#310924]
	* Fix typo that managed to get its own bugzilla entry.  [#312823]
	* Fix problem with save.  [#312930]
	* Improve screen-vs-print line breaking situation.  [#312912]
	* Fix crash changing font.  [#313257]
	* Fix crash on finalizing sheet with objects in it.
	* Fix sheet-remove crash related to dependencies.  [#312794]

--------------------------------------------------------------------------
Gnumeric 1.5.2

Andreas:
	* permit formula guru to add array functions

Ivan:
	* (Win32) Fix opening files with non-ascii names when users "open"
	  them in explorer.  [#304874]
	* Enable libspeadsheet build
	* (Win32) Fix the bug that d&d from explorer doesn't work in
	  gnumeric.  [#304074]

Jody:
	* Tweak the errors from LOGNORMDIST, CONFIDENCE, STANDARDIZE, and
	  NORMDIST to match MS Excel.
	* After a command refocus controls for the current view.  [#165700]
	* Fix 'Begins with' vs 'Ends With' for autofilters.
	* Autofilter string equality is stronger than containment [#172355]
	* Buttons in sheet manager dialog should not strech vertically.
	* Stub for MS Excel's ASC function, which is unncessary in gnumeric.
	* Make range clipping more efficient.  [#164950]
	* Fix advanced filter for inputs that do not start at col A.  [#165734]
	* Fix xls import of names calling fwd declared names.  [#166611]
	* Fix string generation for arrays.
	* Don't hide columns < 4pts wide on import.  [#304558]
	* Rich content from MS Excel clipboard [#305405]
	* Fix warning while importing pre XL-95.
	* Fix adjustment object handling [#167584].
	* Be more careful what we assume is a header [#165061].
	* Use sheet specific print settings when printing a workbook.  [#163589]
	* Fix small positioning glitch when creating widgets.  [#304559]
	* re-enable experimental sax importer after goffice split.
	* Improve handling of some odd XL operators.
	* Remove warning when nudging during object creation.  [#164779]
	* Delete while editing should not clear the cell.  [#165172]
	* R1C1 support.

Jon Kåre:
        * Don't output the xml declaration for xhtml.  [#303827]

Michal Kaukic:
	* Fix solver for affine objective functions.  [#171025]

Morten:
	* Fix SUMIF even more.  [Debian #308346]
	* Fix horizonal alignment of rotated numbers broken by fix to
          #303292.
	* Fix CRITICAL when undoing borders.
	* Improve multiline rotated text.  [#167544]
	* Fix Excel load crash.  [#303923]
	* Speed up exit on large sheets with lots of names, such as the
	  one from #303923.
	* Clean up dependencies somewhat.
	* Simplify expressions used for defined names for single cells.
	* Fix redo crash.  [#305007]
	* Fix auto-complete deactivation issues.  [#305011]
	* Fix recognition of accounting formats.  [#305314]
	* Fix unintentional format currency change.  [#305313]
	* Plug leaks.
	* Work hard at not leaving passwords in memory, just in case.
	* Add tooltips for ok_button, cancel_button, and func_button.
	  [#160344]
	* Fix paste problem.  [#305404]
	* Fix brown bag text import problem.  [Later reported as #305624]
	* Improve R.QPOIS accuracy, efficiency, and termination.
	* Improve R.QNORM's accuracy in the long double case.
	* Improve R.QCAUCHY's accuracy.
	* Add new R.QHYPER function.
	* Fix xml SAX import issue for array formulae.
	* Fix xml export of shared array formulae.
	* Fix number matching problem.  [#306254]
	* Fix R.PBETA screwup for log case.
	* Fix problem with hiding sheets.
	* Fix sheet removal undo to also undo changes to names and
	  cells in other sheets.
	* Save and load visibility sheet attribute.
	* Fix 3D deps crash.
	* Fix 3D dependencies spanning more than one sheet.  (I.e., all.)
	* Fix dynamic dependency crash on exit.
	* Plug leaks of sheet views.
	* Fix CRITICAL in the "manage sheets" dialog.

--------------------------------------------------------------------------
Gnumeric 1.5.1

Andreas:
	* Make ROUNDDOWN and ROUNDUP MSExcel compatible including the
	  strange handling for negative numbers.  [#162682]
	  This breaks backwards compatibility to earlier Gnumeric versions
	  for these functions.
	* Fix text colour in selected item in sheet manage dialog.  [#170462]
	* Fix NORMDIST description.  [#167467]

David J Craigon:
	* Allow ssconvert to specify importer.  [#160069]

Ivan Wong:
	* Fix image filtering for Win32.  [#164589]
	* Implement the Win32 registry connection.

Jody:
	* Major re-org for goffice split.
	* Fix xls import for fit to page.
	* Fix OFFSET for asymmetric ranges [#166764]
	* Fix SUMIF for asymmetric ranges [#166769]
	* Import sheet visibility from ms excel
	* Split function docs into a distinct catalog
	* Decrease memory usage in clipboard.
	* Simplify tiling when pasting a copy.  [#87477]
	* Be more flexible pasting full cols/rows in single cells.  [#87528]
	* Add vertical alignment DISTRIBUTED
	* Fix xls in/out of rotation

Jon Kåre:
        * Don't crash on csv file with invalid unicode [#167190]
	* Import html hyperlinks as hyperlinks.
	* Fix session management bug when gnumeric is minimized.  [#166769]
	* Paste images from clipboard.
	* Copy images and graphs to clipboard.
	* Receive and send images by drag and drop.
	* Don't clear clipboard when losing primary selection.  [#300468]

Kasal:
	* Modified the way generated files are handled by Automake.
	* Some configure hacks to support po-functions.

Morten:
	* Work around Pango bug causing XL save crash.  [#166532]
	* Fix Save-As GUI problem causing CRITICALs.
	* Fix typos that managed to get their own bugzilla entries.
	  [#167495] [#302306]
	* Improve auto-detection of separators for text files.  [#167449]
	* Fix some #decimals problems with print page setup.
	* Fix saving.
	* Fix crash when using --quit.  Fix leak too.
	* Fix rare crash on exit.
	* Use unicode minus (U2212) for numbers.  [#168467]
	* Improve format selection dialog for text import.
	* Constification.
	* Use FooCanvas for rotation part of cell format dialog.
	* Get rid of the last direct GnomeCanvas use.
	* Clean up long double configuration.
	* Fix save-as for non-local files.  [#170308]
	* Drop gtk+-bug workaround.  [#162952]
	* Make sheets even more object-like.
	* Fix parsing problem with names that start out with something
	  that can be parsed as a cell, e.g., "K3P".  [#170465]
	* Improve auto-fixup of 1.0.x era non-ASCII Gnumeric files.
	* Fix minor GUI problem with the format page of text import.
	* Create new plugin with R.[DPQ]dist functions using the
	  R Project's naming and calling conventions.
	  Note: this is deliberately not yet in po-whatever.  There are
	  tons of autogenerated strings and things need to settle down
	  a bit first.
	* Fix modality issue causing crashes.  [#170958]
	* Use a better format for auto expressions.
	* Improve undo description for rich text style changes.  [#171637]
	* Don't destroy target file when loading a saver plugin fails.
	  [#168581].
	* Make sure we update our window menu when we create a new view.
	* When we reopen insert->image, start in the directory we were
	  last time.  [#143188]
	* Fix conversion problems with stf export.  [#126513]
	* Improve text import for strange encodings.  [#167191]
	* Rework stf export code and fix crash-on-exit-causing leaks.
	* Do something sensible when exporting dates and times as text.
	  [#128936]
	* Fix uncompressed saving of .xml and .gnumeric (when requested).
	  [#173030]
	* Improve extreme-case evaluation of quantile functions that are
	  computed by root searching, such as =BETAINV(0.52,1e-3,1e6).
	* Improve accuracy of R.QF (and thus FINV).
	* Fix TRIMMEAN.
	* Fix MODE.
	* Allocate some clipboard data in pools.
	* Fix potential save-as crash.
	* Fix spurious criticals.  [#301581]
	* Change various sheet things to use an object properties.
	* Plug leaks with moving sheets.
	* Use object properties for much of the {sheet,workbook}-control-gui
	  to sheet linkage.
	* Fix multihead problems with popups.
	* Fix crash for sheet-remove on sheets with local dynamic
	  dependencies.
	* Implement CELL("sheetname", ...).
	* Fix CELL with explicit sheet in the reference.
	* Fix sheet reordering by dragging.
	* Fix various theme related bugs.  [#302902]  [#302880]  [#302882]
	* Fix undo crash in connection with cloning sheets.

--------------------------------------------------------------------------
Gnumeric 1.5.0

Emmanuel Pacaud:
	* Snap to grid mode when moving sheet objects with shift.

Jean Brefort:
	* add scatter plots with spline interpolation.
	* Box-plots.
	* Fix crash in contour plots (#166051).
	* Automatic bounds work with negative values in XY chart (#164593).
	* Scrollbar and slider max values are now constant (#165173).
	* Avoid recalculation of scrollbar and slider values when not
	necessary (#166085).

J.H.M. Dassen (Ray):
	* Generate an error when no proper UTF-8 filename is produced when
	  saving [Debian #291265]

Jody:
	* RTL support.
	* Another step towards the libgoffice split

Kasal:
	* Some configure.in cleanup.

Morten:
	* When using the new printing code, don't bother to generate
	  gnome print fonts for the old code.
	* Improve search strategy for auto-completion.
	* Fix crash for insert/delete column/row.  [#165873]
	* Fix text import crash.  [#165617]
	* Fix SUBSTITUTE.  [#165996]
	* Fix general format's use of "e".
	* Plug dependency leak.  [#159581]
	* Fix fake rounding functions for very large numbers.  [#166188]
	* Eliminate old printing code.
	* Clean out workarounds for old libraries.
	* Avoid GnomeFont in printing.
	* Fix .dbf import of floating point values.  [#166311]
	* Plug xls save leak.  [#166561]

--------------------------------------------------------------------------
Gnumeric 1.4.2

Caolan McNamara:
	* Improve python config test for ia64 [#161547]
	* Handle invalid DIMENSIONS records in xls [#161534]
	* Fix installation path for the docs [#161404]

Emmanuel Pacaud:
	* fix legend update on pie label change.
	* don't disable theming for xy plot with line or marker only.

Ivan wong:
	* Fix Win32 detection of default date format.  [#161793]

Jean Brefort:
	* Fix crash in contour plots.  [#163626]
	* When saving, always ask when file exist and come back to the dialog
	  when user does not want to overwrite.

J.H.M. Dassen (Ray):
	* XLS import for paper sizes for which gnome-print doesn't have a
	  name.

Jody:
	* Install the man pages
	* Backport some framework for RTL
	* image import from xl95 [#157997]
	* Double click on an object brings up prop page
	* Fix warnings when selecting a widget
	* Hide value for slider objects
	* Don't crash when attempting to copy an un-copiable object [#162888]
	* Fix crash deleting a shared view [#163452]
	* Fix sax export of outlines
	* Fix TYPE to allow non-scalar
	* Use element 0 of an array returned in a non-scalar context [#162923]
	* Fix MATCH.  If type is unspecified default to 1 not 0 [#163040]
	* Unnecessary row resize undoing format that did not resize [#163407]
	* Remove adjustment of copied areas on ins/del col/row [#163408]
	* XLS export for booleans and errors in arrays
	* Make SUMPRODUCT ignore booleans and strings to match XL, and SUM
	* Fix sizes of Bitstream Vera for xls export [#163406]
	* Mouse events while editing with other vertical alignments [#163198]
	* Fix zoom for rich text with explicit size [#163223]
	* Fix race condition when creating drawing objects [#162631]
	* XLS export for empty cols with non-default formats [#163409]
	* Redo var width content when resizing all cols at once [debian #288157]
	* Handle zero sized charts [#163939]
	* Fix comment indicator position when zoomed [debian #290388]
	* Some support for filled styles [#163438]
	* XLS import/export for print header/footer [#155719]
	* Some tuning for missing arg export to xls [#163236]

Matthias Drochner:
	* Use non bash specific substitution for autformat templates [#161782]

Morten:
	* Improve accuracy of pgamma and thus pchisq, ppois, qgamma,
	  qchisq, qpois, and more for extreme arguments.
	* Make it possible to change rotation of formats.
	* Draw rotated text.
	* Print rotated text.
	* Fix torn off undo/redo crash.
	* Fix cell format dialog initialization problems.
	* Doc fixes for ODD and EVEN.
	* Fix rich text crash.  [#161621]
	* Fix inserting new characters into a rich text string.
	* Fix deleting more than one character at once from a rich text
	  string.
	* Fix rich text problem when starting from empty.  [#161723].
	* Vastly improve sorting speed for large ranges with formulas.
	  [#161909]
	* Fix Help->Contents accelerator.  [#162865]
	* Make general format use "E", not "e", as appropriate.
	* Simplify SUM.  [#131588]
	* Fix INT(-1) problem.  [#163019]
	* Fix rich text re-edit problem.  [#163415].
	* Fix rich-text insertion problem.  [#163413].
	* Fixed font/size/zoom selection problem.  [#163412].
	* Implement OOo's BASE and DECIMAL.
	* Fix some error cases of LINEST/LOGEST not to crash.

Uwe Steinmann:
	* Extend paradox importer to support additional types.

--------------------------------------------------------------------------
Gnumeric 1.4.1

Jody:
	* Saved charts were 1 pixel larger than the stated size [#157732]
	* Fix path to chart icons for win32 [#160046]
	* Fix sax export for Validation [Debian #283999]
	* Fix unintended object resize when clicking on the lower right resize
	  handle of existing object
	* Break long words when wrapping text

Morten:
	* Add bugzilla version number to desktop file.  [#159371]
	* Fix arrows' direction used for printing and saving.  [#159922]

Spudun:
	* tidy up lp_solve code to build under OS/X

--------------------------------------------------------------------------
Gnumeric 1.4.0

Andreas:
	* Fix crash on empty file in lotus file probe.  [#158126]
	* Enable auto-correct initial caps exception list.  [#158209]
	* Fix removable of items from auto-correct initial caps
	  exception list.  [#158207]
	* Protect ABcD style strings from auto-correction [#124858]
	* Rename graph guru's okay button [#152514]
	* When undoing the deletion of sheet objects also recreate the
	  original ordering of objects.  [#151609]

Jody:
	* Pull the file open filters from the openers
	* Enable ssindex
	* Undo for objects deleted by pasting a cut region [#159365]

Harald Ashburner:
	* Update derivatives.gnumeric

J.H.M. Dassen (Ray):
	* XLS import for paper sizes known to gnome-print.

Morten:
	* Fix crash with weird history items.  [#157682]
	* Fix print preview leak.  [#158566]
	* Fix stf import crash.  [#159009]

--------------------------------------------------------------------------
Gnumeric 1.3.93

Andreas:
	* Keep the recently used function list uptodate.  [#156732]
	* Fix default font selection in preference dialog.  [#157238]
	* Fix preference dialog window fraction selection.  [#157239]
	* Make various preferences setting changes apply to the current
	  gnumeric instance
	* Add screen page to preference dialog and fine-tune its general
	  layout
	* Replace text entry boxes in preference dialog with
	  checkboxes and spinbuttons.
	* Ensure that the preference dialog inthe non-gnome build
	  looks reasonable.

Jody:
	* Fix perl and python tests in configure
	* Fix creation of slow sheet objects when there are frozen panes
	* Fix the solver and several related reports
	* Make the solver dialog's constraint page more usable

Kasal:
	* More cleanup in configure

Morten:
	* Fix Clear-All crash.  [#157376]

Jody:
	* Fix display of slow objects when there are frozen panes

--------------------------------------------------------------------------

Gnumeric 1.3.92

Andreas:
	* Fix text export dialog [#155437, #154231]
	* Skip sheet selection in text export if there is only one
	  non-empty sheet.  [#156604]
	* Make print dialog less modal.  [#132876]
	* Make non-imported columns in configurable text import more
	  visible [#154139]
	* Suppress warnings when filling with large series.  [#153527]
	* Improve format page in configurable text import [#154138,
	  #139385]
	* Improve schema description [#153631]
	* Warn if csv import is dropping columns [#139385]
	* Change menu text in fixed cvs import [#154137]
	* Add format descriptor to column headers in text import.  [#154140]
	* Fix various bugs [#156531, #156710]
	* Add tooltips to buttons in text export sheet selection.
	* Add top and bottom buttons to text export sheet selection.
	* Disable buttons in text export sheet selection when not applicable.
	* Fix LaTeX export of cells spanning to the left [#157047]

Arief Mulya Utama:
	* Erlang (telecommunications engineering) plugin.

Emmanuel Pacaud:
	* Add dash styles to chart objects.
	* Enables non integer line width for chart objects.
	* Fix clipping in svg export.
	* Update labels automatically [#152585].

Hal Ashburner:
	* Some function documentation cleanups.

Jody:
	* Enable selecting and moving multiple drawing objects
	* Swap X & Y axis content when importing xls bar plots.  [#154734]
	* Basic handling for XL 'Forms' Objects
	* Fix handling of empty arguments in nested expressions
	* Delay gnome-print init to decrease startup time
	* Improve OOo import for styles
	* Some support for newer Lotus-123 formats
	* Translate autoformat categories and descriptions
	* Re-enable the ui plugin service
	* Rename x-quattro-pro to match freedesktop [#152159]
	* Have text in item-edit does reflect zoom
	* Show the right rich text format when clicking on edit line
	* Finish rich text persistence for gnumeric xml and clipboard

Morten:
	* Implement Edit->Select->Input.  [#154735]
	* Fix sample datasource's recalc.  [#154857]
	* Make File->Open start in the directory where the current file
	  was loaded.  [#143188]
	* Make it possible to unhide sheets.  [#154710]
	* Add HYPOT function.  [#148322]
	* Add PFACTOR function.
	* Plug leaks.
	* Revive logic to add missing parenthesis in parser.
	* Fix evil timing issue in about dialog.  [#155268]
	* Fix window menu in case of "_" in names.  [#155235]
	* Add support for setting text and markup in buttons.
	* Fix XL save crash.  [#155371]
	* Limit the width of search window.  [#136421]
	* Protect against crash in inter-process paste.
	* Make URLs work from Nautilus.  [#156456]
	* Fix pgamma accuracy for extreme arguments.
	* Improve accuracy of a few complex number functions.
	* Make sure basenames of files can be seen during splash for
	  multiple files.
	* Fix undo column crash.  [#157045]

Yukihiro Nakai:
	* Improve perl plugin.
	* Fix various untranslated GUI elements.
	* Bullet-proof plugin loader.

--------------------------------------------------------------------------

Gnumeric 1.3.91

Adrian:
	* Write the chapter "Graphics: Plots, Images, Widgets and Drawings"
	* Write the chapter "Working with Files"
	* Update the chapter "Elements".

Andreas:
	* Improve `Z-Test for 2 Means'
	* Improve `T-Test (Paired Sample)'

Emmanuel Pacaud:
	* Grid lines implementation
	http://bugzilla.gnome.org/show_bug.cgi?id=152615
	* New set of icons for charting engine
	http://bugzilla.gnome.org/show_bug.cgi?id=152499
	* Fix crash when adding y-erros to an empty plot
	http://bugzilla.gnome.org/show_bug.cgi?id=152201
	* Fix the performance degradation with too many axis ticks
	http://bugzilla.gnome.org/show_bug.cgi?id=153146
	* Fix crash when adding series to a radar plot
	http://bugzilla.gnome.org/show_bug.cgi?id=153401
	* Fix ring plots for center radius = 0
	http://bugzilla.gnome.org/show_bug.cgi?id=153402
	* Remove unused radar plot editor

Jody:
	* XLS import formatted single points in charts (only pie for now)
	* Improve theme support for single points in charts
	* ctrl-7, ctrl-9, ctrl-(, ctrl-0, ctrl-)
	* Rework column size calculation on xls import/export
	http://bugzilla.gnome.org/show_bug.cgi?id=152248
	* font strangeness when exporting to xls
	http://bugzilla.gnome.org/show_bug.cgi?id=152512
	* Improve cursor for object resize
	http://bugzilla.gnome.org/show_bug.cgi?id=152244
	* Fix loss of precision when resizing objects
	http://bugzilla.gnome.org/show_bug.cgi?id=152636
	* Fix rendering problem when zoomed
	* Fix object positioning when zoomed
	* Make the status area shorter with GtkStatusbar and fewer frames
	* XLS import for arcs, polygons
	* Improve XLS object styling
	* More win32 build patches
	http://bugzilla.gnome.org/show_bug.cgi?id=114099
	* Clipboard support for objects
	* Support for symmetric object resize, and duplication via ctrl-click
	* Cleanout the SheetObject menu code to restore model gui split
	* Fix File -> Sendto
	* Add ctrl-period == insert current date&time
	http://bugzilla.gnome.org/show_bug.cgi?id=114153
	* Respect 0 as no-compression for xml export

Jon Kåre:
	* Fix the CORBA plugin.
	* Add pangoft2 dependency.
	http://bugzilla.gnome.org/show_bug.cgi?id=153701

Morten:
	http://bugzilla.gnome.org/show_bug.cgi?id=152511
	* Fix crash when adding a xy plot over a pie plot
	* Work on using pango layouts for printing.
	* Fix endless recursion.  [#153544.]
	* Plug leaks.
	* Improve save-as dialog.
	* Make sure *.csv and *.tsv are listed as spreadsheets in the
	  open dialog.  [#143135.]

Uwe Steinmann:
	* Validate the field names for paradox databases

Yaacov Zamir:
	* Fix header/footer printing to use pango layouts.
	* Fix graph printing to use pango layouts for text.
	* Fix cell printing to use pango layouts.

Yukihiro Nakai:
	* Enable editing email links

--------------------------------------------------------------------------

Gnumeric 1.3.90

Andreas:
	* Improve `T-Test (Unpaired; Unequal or Equal Variances)' tool
	* Fix TDIST for negative x and two tails

Emmanuel Pacaud:
	http://bugzilla.gnome.org/show_bug.cgi?id=151529
	* Fix markers in xy and line plots.
	http://bugzilla.gnome.org/show_bug.cgi?id=151530
	http://bugzilla.gnome.org/show_bug.cgi?id=151527
	* Fix axis size allocation
	http://bugzilla.gnome.org/show_bug.cgi?id=127203
	* Align axis title with plot area

Jody:
	* XLS import zooming for full page charts
	* XLS export for full page charts
	* XLS import of autoshapes with/without outlines and fills
	* Use the right default palette for XL95
	http://bugzilla.gnome.org/show_bug.cgi?id=151628
	* Fix resizing sample plot in graph assistant type selector
	http://bugzilla.gnome.org/show_bug.cgi?id=152059
	* Add full screen toggle
	* Auto recognize csv files < 80 characters long

Jon Kåre:
	* Export text objects to Excel

Kasal:
	* Some typos in various docs
	* Cleanup configure.in

Morten:
	* Make new windows inherit toolbar visibility from parent.
	* Map [Enter] to next-match in search centre.
	* Fix F4 ($-cycling) when used in bogus places.
	* Improve save-as when selected from a workbook that was not
	  loaded.  (Still, save-as isn't great.)

--------------------------------------------------------------------------

Gnumeric 1.3.2

Andreas:
	* Improve `F-Test' tool
	http://bugzilla.gnome.org/show_bug.cgi?id=148724
	http://bugzilla.gnome.org/show_bug.cgi?id=149247
	* Some minor About box changes
	http://bugzilla.gnome.org/show_bug.cgi?id=149945
	* Fix database functions

Emmanuel Pacaud:
	* Add logarithmic mapping and invert axis support.
	* Zoom support for markers and error bars.
	* Move sharp libart rendering tweaks to pixbuf renderer.
	* Improve chart SVG export.
	http://bugzilla.gnome.org/show_bug.cgi?id=132063
	* Improve chart printing.
	* Fix minor tick rendering
	http://bugzilla.gnome.org/show_bug.cgi?id=144123
	* Add labels to radar axis
	http://bugzilla.gnome.org/show_bug.cgi?id=139397
	* Don't clip markers to plot area
	http://bugzilla.gnome.org/show_bug.cgi?id=142255

Harald Ashburner:
	* Updates for the option pricers.
	* Pricers for
	    : American/European options to exchange one asset for another
	    : Options on spreads between futures
	    : Payouts on the most favorable state during a period

Jody:
	* Use SAX exporter by default.
	* Enable 'popup-menu' binding support
	* Add tooltip for object resizing
	* Misc ancient array formula parsing and entry problems
	* Jump to lp_solve 5.0
	* Jump to GLPK 4.5
	* Add a View -> Windows menu
	* Work on tightening up XL compat of array functions
	* Improve xls export for obscure xl eval modes
	* Improve XL/OO compat for RANK()
	* XLS import of full page charts
	http://bugzilla.gnome.org/show_bug.cgi?id=150530
	* sax export of comments without authors
	http://bugzilla.gnome.org/show_bug.cgi?id=150792
	* fix breakage in ins/del col/row caused by dsum changes
	http://bugzilla.gnome.org/show_bug.cgi?id=150578
	* Update the resize handles if the current object's size changes
	http://bugzilla.gnome.org/show_bug.cgi?id=151144
	* XL cannot handle plots with no data, filter them
	http://bugzilla.gnome.org/show_bug.cgi?id=151150
	* center ticks for bar/col plots too
	http://bugzilla.gnome.org/show_bug.cgi?id=143724
	* Clip large dbf files to compile time file limits

Jon Kåre:
	* Export images to Excel
	* Read images from native Gnumeric format
	* Read and save images we cannot render without loss to and
	  from Excel and native Gnumeric format
	* Add 'Save As' menu entry for image objects.
	* Add format chooser to 'Save As' dialog for images and graphs.
	* Resurrect the Psion Sheet importer.
	* Fix file drag from nautilus -> gnumeric.
	* Fix "Save changes?" bug.
	http://bugzilla.gnome.org/show_bug.cgi?id=151152

Morten:
	* Add Ctrl-5 for strike-through.
	* Add Ctrl-Shift-D for double underline.
	* Fix error return for GEOMEAN and HARMEAN.
	* Fix IMCONJUGATE and IMABS for reals.  [#148323, backported]
	* New function INVSUMINV.
	* Fix crash with format toolbar in menu mode.
	* Fix crash on exit.  [backported]
	* Fix ssconvert output.
	* Fix potential lexer crash.
	http://bugzilla.gnome.org/show_bug.cgi?id=150821
	* Fix graph guru crash in the absense of graph plugins.

Uwe Steinmann:
	* Paradox DB import.

Yukihiro Nakai:
	* Export links when saving as html.
	* Add actions for www and bug reporting.
	http://bugzilla.gnome.org/show_bug.cgi?id=151273
	* Fix perl plugin

--------------------------------------------------------------------------

Gnumeric 1.3.1

Andreas:
        http://bugzilla.gnome.org/show_bug.cgi?id=142219
        * Handle borders in latex export correctly
	http://bugzilla.gnome.org/show_bug.cgi?id=142836
	* Save current sheet as csv (rather than first sheet)
	http://bugzilla.gnome.org/show_bug.cgi?id=140820
	* Fix default colour handling in manage sheet dialog
	* Add interface to allow the visibility of sheets to be toggled
	http://bugzilla.gnome.org/show_bug.cgi?id=142700
	* Make sure zoom-box shows current zoom factor
	* Improve `Descriptive Statistics' tool
	* Improve `One-Factor ANOVA' tool
	* Improve `Correlations' tool
	* Improve `Covariances' tool
	* Add CLIPBOARD over PRIMARY choice to preference dialog

Christian Neumair:
	* Put delete actions from edit main menu into their own submenu.
	* HIGify some dialogs when it comes to spacing.

Emmanuel Pacaud:
	http://bugzilla.gnome.org/show_bug.cgi?id=142212
	* In a line graph, don't use '0' if Y value is missing.
	* fix a double draw of chart childs.

Jean Brefort:
	* Add error bars in bars, columns, lines and areas plots.

Jody:
	* Edit and display rich text in cells (no persistence yet)
	* Make the last dependency above gtk optional to enable a win32 build
	* Major re-org of xls string import to handle rich text
	* Improve xls import of old < xl95 variants
	* Fix xls chart import for value dimensions
	* Fix autoformat dialog
	* Fix db functions
	* Pango uses _byte_ offsets for attributes.  Fix everything
	* Fix xls import of chart background and outline
	* Support richtext during autofill
  	* A huge performance improvement when scrolling images
	http://bugzilla.gnome.org/show_bug.cgi?id=136363
	* Fix font handling in chart labels and titles
	http://bugzilla.gnome.org/show_bug.cgi?id=140671
	* Fix crash when undoing a cut from a different workbook
	* Fix MS XL crash when there are too many strings
	* MS XL import for chart gradient backgrounds
	* Support series without legend entries, including xls import
	* Started on an OOo exporter
	http://bugzilla.gnome.org/show_bug.cgi?id=103054
	* Tweak XL import and export for named expressions / addins
	http://bugzilla.gnome.org/show_bug.cgi?id=142474
	* Use first rather than last conditional value fmt as catch-all
	* Implicit iteration for operators
	* Make the unary operators XL compatible
	* basic xls export for charts
	* start work on OOo export
	* Skip ticks/labels for discrete axes
	* Drag files from nautilus -> gnumeric
	http://bugzilla.gnome.org/show_bug.cgi?id=143577
	* fix grid printing
	* fix merged cell printing and diagonal borders
	* Allow themed series with gradients
	* Fix application prop dialog
	* Support repeat for several commands
	http://bugzilla.gnome.org/show_bug.cgi?id=147756
	* Ancient autofill leak on constant string fills

Morten:
	* Fix crash related to database functions (#138600).  [backported]
	* Fix [h]:mm precision (#138182).  [backported]
	* Make it possible to hide toolbars.
	* Make it possible to hide the statusbar.
	* A few multihead fixes.
	* Upgrade to R's development version.
	* Add cumulative distribution to HYPGEOMDIST.
	* Fix pgeom for small x.  (Fixes accuracy of GEOMDIST.)
	* Fix pbinom for very large n.  (Fixes accuracy of BINOMDIST.)
	* Replace R's pbeta function.  (Fixes accuracy of BETADIST,
	  BETAINV, FINV.)
	* Replace R's pcauchy function .  (Fixes accuracy of CAUCHY.)
	* Replace R's pf function.  (Fixes accuracy of FDIST, FTEST, F-test
	  tool, regression tool, ANOVA tools..)
	* Replace R's phyper function.  (Fixes accuracy and evaluation speed
	  of HYPGEOMDIST.)
	* Fix accuracy of our versions of various long-double functions
	  that Solaris lacks.  (Fixes, for example, ERF.)
	* Improve accuracy of FISHER.
	* Improve accuracy of EFFECT, NOMINAL, MIRR, IRR, XNPV, NPV, PMT,
	  RATE, PV, FV, IPMT, PPMT for small rates.
	* Fix accuracy of ZTEST.
	* Improve prevision of the bessel functions.
	* Fix validation crash due to excel import.  [backported]
	* Fix custom validation export.  [backported]
	* New functions EXPM1 and LN1P.
	* Fix image-inside-xls problem.  [backported]
	* Ignore more spaces in expression entry.
	* Improve error handling in xbase plugin.  [backported]
	* Fix a weird IF semantics where the argument count including
	  empties matters.
	* Fix parser problem with single empty arg after expression.  [backported]
	* Avoid keeping passwords in memory.  (Will need gtk+ fix to be really
	  effective.)
	* Switch to keeping URIs, not filenames, inside and in history.
	* Implement copy-right (Ctrl-R) and copy-down (Ctrl-D).

	(For those worrying over the pile of accuracy fixes above it should
	be noted that prior versions of Gnumeric were already pretty good,
	certainly far better than Excel.  Most of the fixes above are for
	extreme-case arguments where most other software packages will give
	totally incorrect answers and/or take extremely long time to
	produce any answer at all.  We are slowly feeding some of these
	fixes back to, say, the R Project.)

--------------------------------------------------------------------------

Gnumeric 1.3.0

Andreas:
	* Make new strings translatable.
	* Use new widget for output page of analysis tools.
	* Add display indicating why the okay button is disabled
	  to selected analysis tools.
	http://bugzilla.gnome.org/show_bug.cgi?id=131343
	* Use the paper selected in the print dialog [backported]
	http://bugzilla.gnome.org/show_bug.cgi?id=132347
	* Fix argument names for RATE.
	* Some HIGfication in the print setup dialog
	* Make sure that when printing to a file we don't accidentally
	  overwrite an existing one.
	* Don't close the print dialog if a user wants to look at a preview.
	* Remove last use of gnome-config
	* Fix GtkFileChooser crash (133069)

Emmanuel Pacaud:
	* Work on single point formatting for charts.
	http://bugzilla.gnome.org/show_bug.cgi?id=135621
	* Fix rounding issue for markers in xy plots and for axis ticks.

Jean Brefort:
	* Add error bars in scatter and bubble plots.

Jody:
	* Drop gnome-app-helper in favour of GtkAction
	http://bugzilla.gnome.org/show_bug.cgi?id=128524
	* COUNTRY record position is xls version specific [backported]
	* Generate an SST record even without strings to placate french version
	  of MS Excel [backported]
	* Fix memory error introduced in 1.2.3 when saving to xls [backported]
	* Move to glib/gi18n.h and delete the gnumeric specific equivalent
	http://bugzilla.gnome.org/show_bug.cgi?id=130579
	* We only need selection info in the primary pane
	http://bugzilla.gnome.org/show_bug.cgi?id=130577
	* Export multiple selections to xls for frozen panes
	http://bugzilla.gnome.org/show_bug.cgi?id=130582
	* Rangesel doesn't bind the panes during cursor movements either
	http://bugzilla.gnome.org/show_bug.cgi?id=130424
	* Recalc new expressions even when manual recalc is set
	http://bugzilla.gnome.org/show_bug.cgi?id=130700
	* Better compatibility with MS Excel's handling of minus sign
	http://bugzilla.gnome.org/show_bug.cgi?id=130835
	* ISNUMBER() should return false for blank references
	http://bugzilla.gnome.org/show_bug.cgi?id=130172
	* Do not convert blanks to int(0) for string args
	* Allow optional args to receive empty even for booleans
	* Install the executable as gnumeric-<version>
	http://bugzilla.gnome.org/show_bug.cgi?id=132017
	* Support double underline when importing from applix
	http://bugzilla.gnome.org/show_bug.cgi?id=127138
	* Handle freezing when top or left is non 0
	http://bugzilla.gnome.org/show_bug.cgi?id=132448
	* Silly crash fix
	http://bugzilla.gnome.org/show_bug.cgi?id=131933
	* Handle mismatched locales with decimal pt == thousands sep
	http://bugzilla.gnome.org/show_bug.cgi?id=132060
	* update axis labels when a plot changes a source
	http://bugzilla.gnome.org/show_bug.cgi?id=125886
	* Data points define the axis, not the number of labels
	http://bugzilla.gnome.org/show_bug.cgi?id=132390
	* Fix crash when updating chart style combos
	http://bugzilla.gnome.org/show_bug.cgi?id=132017
	* Support double underline when importing from applix
	* Fix our exported xls with macros with named sheets
	* Use theme colours in plot type selector
	* New about box
	* Reorg the text exporter
	http://bugzilla.gnome.org/show_bug.cgi?id=74205
	* Display the blue range designator even in other panes
	http://bugzilla.gnome.org/show_bug.cgi?id=126563
	* Fix col/row sizes when copying a sheet with default zoom != 1
	http://bugzilla.gnome.org/show_bug.cgi?id=135946
	* Add support for mmmmm formats
	* persist combos and lists (to gnumeric xml)
	* Fix xls import of external 3d references
	http://bugzilla.gnome.org/show_bug.cgi?id=136088
	* Persist vary-style-by-color for pie plots
	* Do not theme colours when using image fills
	* Recalc autosized row heights when a font size changes
	http://bugzilla.gnome.org/show_bug.cgi?id=135977
	* Fix xls import of font and font colours for XL95/XL97 text/labels
	* Fix xls import of label outlines for XL95 textboxes
	* Make the text probe routine a bit more relaxed
	* Fix xls import of cursor position for frozen panes
	* Fix xls export of h/v only frozen panes
	* Fix xls 97 export of named expressions without addins
	http://bugzilla.gnome.org/show_bug.cgi?id=137818
	* For immediate rerender, even for simple font changes.
	* Support editing rich text in cells (incomplete)
	http://bugzilla.gnome.org/show_bug.cgi?id=138533
	* handle insufficient data in moving average tool

J.H.M. Dassen (Ray):
	http://bugzilla.gnome.org/show_bug.cgi?id=135044
	* Incorrect undo label for row autosize

John Gill:
	* Tool tips for the sort dialog.

Michael Devine:
	* Radar plots.

Morten:
	* Clean out work-arounds for old GTK+.
	* Turn on multi-head support.
	* Switch to file chooser.
	* Eliminate use of GnomeEntry.
	* Fit scale-fit problem.
	* Fix FLOOR and CEILING error case.
	* Fix problem with typing in the "decimals" spin button in the
	  cell format dialog.
	http://bugzilla.gnome.org/show_bug.cgi?id=135609
	* Fix pretty-print (and thus saving) problem with ranges like
	  $B$1:$B1.
	http://bugzilla.gnome.org/show_bug.cgi?id=136639
	* Work around theme engine crash.  [backported]
	http://bugzilla.gnome.org/show_bug.cgi?id=135000
	* Set accessibility role for save-before-exit dialog.
	* Improve auto-scrolling when dragging the cursor outside the
	  window.
	* Improve pgeom (and thus GEODIST) accuracy.
	* Make filename history UTF-8 safe.

--------------------------------------------------------------------------

Gnumeric 1.2.3

Adrian Bunk:
	* Portability fixes.

Andreas:
	* http://bugzilla.gnome.org/show_bug.cgi?id=128166
	  Mark workbook as dirty on sheet deletion/addition
	* Bug fixes: 128915, 128611
	* Minor changes to the sort dialog
	* http://bugzilla.gnome.org/show_bug.cgi?id=128936
	  Allow text export to use the rendered strings rather than the
	  stored values
	* http://bugzilla.gnome.org/show_bug.cgi?id=129444
	  Fix printing of non-word-wrapped cells with hard line breaks
	* http://bugzilla.gnome.org/show_bug.cgi?id=129049
	  Make sure dialogs are visible on session manager communications


Jody:
	http://bugzilla.gnome.org/show_bug.cgi?id=128565
	* Overzealous renaming.
	http://bugzilla.gnome.org/show_bug.cgi?id=128169
	* Use the right font when editing.
	http://bugzilla.gnome.org/show_bug.cgi?id=127625
	* kludge around mystery inconsistent autfilters in xls
	* Patch a leak in the pattern selector
	* Fix a potential crash when changing labels on axis
	http://bugzilla.gnome.org/show_bug.cgi?id=127734
	* Modernize the sylk importer
	http://bugzilla.gnome.org/show_bug.cgi?id=129445
	* Fix xls import of plot styles that override defaults
	* Fix xml import of ManualRecalc flag
	http://bugzilla.gnome.org/show_bug.cgi?id=128837
	* Horizontal, and Zoom scroll wheel support
	* User selectable format for axis labels
	* Tune 'General' format width calculation
	* Improve quoting of accounting formats
	* Auto format selection for axis value labels
	http://bugzilla.gnome.org/show_bug.cgi?id=129833
	* Tweak the mime types we claim to handle

John Gill:
	* Add a field menu and keyboard shortcuts to the sort dialog

Jon Kåre:
	* Fix encoding of author field in summary.
	http://bugzilla.gnome.org/show_bug.cgi?id=129702

Jukka:
	* GLPK upgrade to version 4.2

Morten:
	* Handle fractional seconds correctly for UNIX2DATE.
	* Fix display of -0:30 again.
	* PCRE upgrade to 4.5.

--------------------------------------------------------------------------
Gnumeric 1.2.2

Andreas:
	* Updated some docs.
	* Also use fallback-fonts for the page decorations when printing.
	http://bugzilla.gnome.org/show_bug.cgi?id=122034
	* Add default header/footer font selector to preference dialog.
	http://bugzilla.gnome.org/show_bug.cgi?id=125361
	* Fix printing from Page Setup dialog.
	http://bugzilla.gnome.org/show_bug.cgi?id=125422
	* Upon inserting of cells try to guess whether to move cells down
          or to the right.
	* Upon deleting of cells try to guess whether to move cells up
          or to the left.
	* Use the number of copies info read from an XL file
	http://bugzilla.gnome.org/show_bug.cgi?id=127415
	* Fix expr entry interaction with merged cells
	http://bugzilla.gnome.org/show_bug.cgi?id=127932
	* Fix and adjust sort dialog

Emmanuel Pacaud:
	* Add clipping for plot areas.
  	http://bugzilla.gnome.org/show_bug.cgi?id=125419

Jean Brefort:
	* Support text in SVG exporter

Jody:
	* More renaming
	* Don't install schemas when building an rpm
	* Support non-assisted CSV export for ssconvert
	* Simple optimization for 30% faster number matching
	* Center line plot points on index
	* Fix crash when importing truncated xls files
	* Update axis labels when bac/col/line/area labels are set/cleared
	* Complain loudly when people run without installing the schema
	* Improve padding of chart elements
	http://bugzilla.gnome.org/show_bug.cgi?id=124244
	* Fix xls import of collapsed cols/rows at level 0
	http://bugzilla.gnome.org/show_bug.cgi?id=123325
	* Fix in 1.2.1 was spewing pointless warnings
	http://bugzilla.gnome.org/show_bug.cgi?id=124975
	* Handle undoing a paste from a deleted external sheet
	http://bugzilla.gnome.org/show_bug.cgi?id=77303
	* Don't scroll the other panes unless we absolutely have to.
	http://bugzilla.gnome.org/show_bug.cgi?id=125269
	* Try to save a current edit before an action
	http://bugzilla.gnome.org/show_bug.cgi?id=125045
	* Fix tick spacing with manual axis bounds
	* Tune clipboard to avoid ultra deep recalc stacks
	http://bugzilla.gnome.org/show_bug.cgi?id=125230
	* Add epsilon _before_ we scale formats with elapsed hours
	http://bugzilla.gnome.org/show_bug.cgi?id=125421
	* Tune insert col/row above frozen panes
	http://bugzilla.gnome.org/show_bug.cgi?id=124930
	* Be more lenient about invalid xml, but put errors in gui
	http://bugzilla.gnome.org/show_bug.cgi?id=125604
	* Fix OO import in some locales.
	http://bugzilla.gnome.org/show_bug.cgi?id=125611
	* Fix OO import of integer attributes.
	* XLS probe support for misnamed streams
	http://bugzilla.gnome.org/show_bug.cgi?id=125577
	* Don't forget to recalc after deleting col/row
	http://bugzilla.gnome.org/show_bug.cgi?id=125619
	* Init the high/low button for axis prefs
	http://bugzilla.gnome.org/show_bug.cgi?id=125496
	* Update all displayed auto values for axis bounds
	http://bugzilla.gnome.org/show_bug.cgi?id=125886
	* Have an inverse pull to 0 in case the eps pulls too far
	* Actually install the man pages
	http://bugzilla.gnome.org/show_bug.cgi?id=126389
	* Formatting marks a sheet as dirty
	* Support auto-shape/outline/fill for chart markers
	* Add UI to restore auto colors for charts
	* Update UI when a chart style element changes externally
	* Support line plots with no markers by default
	* Support xy plots with no markers, no lines, by default
	http://bugzilla.gnome.org/show_bug.cgi?id=125886
	* x axis label vertical alignment
	http://bugzilla.gnome.org/show_bug.cgi?id=125986
	* Extend 'is_auto' support.
	* Fix round tripping of imported xls macros.
	http://bugzilla.gnome.org/show_bug.cgi?id=125416
	* Enabled the object re-ordering buttons
	http://bugzilla.gnome.org/show_bug.cgi?id=126775
	* Be smarter when all the values are the same
	http://bugzilla.gnome.org/show_bug.cgi?id=126908
	* Set label and text box outline/background to XL defaults
	http://bugzilla.gnome.org/show_bug.cgi?id=68794
	* default to rows when rows == cols
	* Support minor ticks
	* Tune chart axis ticks to avoid anti-aliasing blur
	* Export 'Manual Recalc' flag to xls
	http://bugzilla.gnome.org/show_bug.cgi?id=126907
	* Recalc new expressions even when manually recalculating
	http://bugzilla.gnome.org/show_bug.cgi?id=116090
	* Support DISPLAY-less function dumping
	http://bugzilla.gnome.org/show_bug.cgi?id=127095
	* Problem introduced in 1.2.1 that breaks xml import in other locales
	http://bugzilla.gnome.org/show_bug.cgi?id=127145
	* Update status display even on delayed motion.
	http://bugzilla.gnome.org/show_bug.cgi?id=127205
	* Fix rangeseltion of multiple items in other locales
	http://bugzilla.gnome.org/show_bug.cgi?id=127199
	* Update the format status UI after a successful read
	http://bugzilla.gnome.org/show_bug.cgi?id=127211
	* Errors default to horzontal alignment == center
	http://bugzilla.gnome.org/show_bug.cgi?id=127204
	* Don't add a grid if there wasn't one in the xls
	http://bugzilla.gnome.org/show_bug.cgi?id=127238
	* Fix memory handling for autoformats
	http://bugzilla.gnome.org/show_bug.cgi?id=127262
	* Fix minor cosmetic issue with the boarder between frozen panes
	http://bugzilla.gnome.org/show_bug.cgi?id=64297
	* Cosmetic tweak to keep cursor visible on dark backgrounds
	* Fixed xls export of col/row groups
	* Support workbook local functions
	* Fix xls import of unicode in expressions
	* Fix gutter resize when adding groups

Morten:
	* Fix crash with STF import and gazillions of columns.
	* Drastically reduce memory usage during STF import with lots of
	  small fields.
	* Speed up STF import by not creating field structures for lines
	  not shown in the preview anyway.
	* Fix display of cumulative hours for -1h < time < 0h.
	* Fix crash with loss of precision in linear regression of
	  dimension 2.  http://bugzilla.gnome.org/show_bug.cgi?id=125436
	* Fix wiiiiiiiide stf dialog with glibc and composite locales.
	* Fix stf import of empty files.
	  http://bugzilla.gnome.org/show_bug.cgi?id=125573
	* Fix column selection in stf import.
	  http://bugzilla.gnome.org/show_bug.cgi?id=125417
	* Plug a few leaks.
	* Optionally generate pseudo-random (as opposed to random) numbers.

Rodrigo:
	* Bump requirement to libgda/libgnomedb 1.0.1

J.H.M. Dassen (Ray):
    	* Include several missing images in the documentation. (Debian #218580)

--------------------------------------------------------------------------
Gnumeric 1.2.1

Adrian Custer:
	* More documentation.

J.H.M. Dassen (Ray):
	* Update debian control files.

Jean Brefort:
	* Gradient support for svg chart renderer.
	* Marker support for svg chart renderer.

Jody:
	* Fix infinite loop on empty axis under solaris.
	* Fix leak loading charts.
	* Don't pad zero sized children.
	* Correctly show unqualified sheet local names in array exprs
	* Add 'Albany' to excel plugin's font table
	* Chart printing now respects scaling
	* Fix crash with partial bar/col/line/area/xy series
	* Patch warning when quiting with an keyed dialog
	* Fix xls export of operand classes
	* Minor packaging bug in corba plugin
	* Accept blank lines in text to cols.
	* Provide a cleaner work around for
	    http://bugzilla.gnome.org/show_bug.cgi?id=121543
	* Re-enable the probe functions in plugins
	* Big performance improvement when autosizing row heights.
	* Fix recalc for ISBLANK
	* Fix deleting a graph object with expr entries.
	* Tweak the axis auto range selector to keep things symmetric
	* Enable basic style import for chart elements
	* Drop in a basic implementation of ssconvert
	* Be anal about exporting unicode chars > 0xfeff to xls
	* Fix import typo that broke xls import of local hyperlinks
	* Draw marker and lines for legend elements that support them
	* Memory error when adding a series to a bar/col/line/area plot
	* Tune Planperfect importer.
	* Cleanup header inclusion to make things work even with gtk HEAD
	* Have ssconvert generate export file name from exporter if needed
	http://bugzilla.gnome.org/show_bug.cgi?id=123270
	* update the goto box in a few more places
	http://bugzilla.gnome.org/show_bug.cgi?id=122085
	* Have 'MATCH/LOOKUP/HLOOKUP/VLOOKUP' handle blank criteria XLishly.
	http://bugzilla.gnome.org/show_bug.cgi?id=123325    [countif]
	* COUNTIF counts empties
	* xls import for manual axis bounds and step
	* xls import for chart and axis labels

John Gill:
	* Heuristics to improve finger feel of autofilter range selection

Jukka:
	* Fixed solver's model maximization button.
	* Fixed crash with Cancel/OK buttons in Scenarios->View.
	* Usability fix for solver's constraint change button.
	* Bug fix: don't create a scenario if solver didn't find a solution.
	* Layout improvements for Risk Simulation dialog.
	* Layout improvements for Scenarios->View dialog.

Nick Lamb:
	* Improve import of ancient xls.

Morten:
	* Invalid memory read in marker combo.
	* Speed up number match by caching localized TRUE and FALSE.
	* Speed up number match of batches of partial dates (like "Jun-21").
	* Speed up number match by speeding up regexp matching for regexps
          with lots of ()s.
	* Improve number rendering when showing more decimals than backed
	  by precision.
	* Fix covariance tool.
	* Plug leaks.
	* Fix space trimming for stf import.
	* Clean up FREQUENCY.
	* Clean up DOLLAR.
	* Plug html import leaks.

Thomas Miesbauer:
	* Redo screenshots

--------------------------------------------------------------------------
Gnumeric 1.2.0

Andreas:
	* Fix Advanced Filter dialog
	* Fix Scaled Printing
	* Fix `Fit to' printing
	* Fix histogram dialog (122155)
	* Fix header/footer dialog preview
	* Make &[FILE] Excel compatible
	* Add &[PATH]
	* Fix &[TIME:hh:mm:ss] and &[DATE:yyyy] style subformatting
	* Fix manage-sheet-dialog bug
	* Add console warning message for font substitution
	* Fix format chooser list (Thanks Etsushi Kato)

Christian Neumair:
	* Start adding ATK relations to the dialogs.

Jody:
	* Make chart axis prettier.
	* Fix crash freeing undo info for a deleted sheet with comments
	* Fix File -> SendTo
	* Be more verbose when we cannot find the default fonts
	* Add a grid object for charts
	* Install the plugin schema in the sample spec file
	* Require libgsf-1.8.2 to fix backward compatibility with libole2 and
	  Gnumeric-1.0.x
	* Support index/implicit axis for scatter plots
	* Fix horizontal data sets
	* Auto pad between chart child with compass layouts
	* XLS import for axis marker/line formats, and axis ticks
	* XLS import for ring plots, and fix some pie parameter scales
	* XLS import legend position
	* Honour and edit manual min/max values for axis

Jon Kåre:
        * Ensure that scrollbars always show up in font combo when
 	  needed (http://bugzilla.gnome.org/show_bug.cgi?id=121877).

--------------------------------------------------------------------------
Gnumeric 1.1.90

Andreas:
	* Make graph configuration undoable.
	* Add image preview to insert image dialog.

Ben Liblit:
	* Improve spec file.

Emmanuel Pacaud:
	* Initial support for line markers.
	* Add a combo for marker selection.
	* Make colour combo less ugly for themes.

Jean Brefort:
	* Basic SVG renderer for charting engine.
	* Implement brightness style gradients

Jon Kåre:
	* Add 'Save As' entry for graph objects.  Support png for now.
	* Persist Styles for charting engine.
	* Begin to enable support for is_auto

Jody:
	* Get the lifecycle of copied GogGraphs running smoothly.
	* Fix printing of graphs.
	* Fix expr relocation with cross sheet references.
	* Paper over the most common technique for blowing the stack.
	* Disable clipboard operations during object editing.
	* Enable labels in charts
	* Fix Pie/Ring style editor
	* Begin font support for chart attributes
	* Fix gradient's in pie/ring slices
	* http://bugzilla.gnome.org/show_bug.cgi?id=121045
	* Adjust the semantics of empty cells passed to optional arguments
	* Pretty up the legend a bit
	* Be more expansive about what constitutes General.
	* Tweak the parameters of what XL thinks the size of 'Courier' is.
	* Add basic Scatter plot.
	http://bugzilla.gnome.org/show_bug.cgi?id=121560
	* Fix dynamic depend leak.
	* Improve performance when deleting multiple sheets at once.
	* Only export a charting style field if it is interesting.
	* Hook up the Jean's SVG exporter to Jon Kåre's Chart Save As
	* Bound clipping for xy/bar/col/line/area
	* Finish axis life cycle support

Morten:
	* Support End+Home key sequence.
	* Tidy up gradients for charting engine.
	* Handle -hh:mm.

--------------------------------------------------------------------------
Gnumeric 1.1.20

Adrian Custer:
	* Get the new documentation building.

Andreas:
	* Fix analysis tools dialogs again
	* Fix text export of non-ascii charaters
	* Fix latex export of non-ascii charaters
	* Allow latex export to use utf-8 if required
	* Avoid duplicate regression tool error messages
	* Added new function SSMEDIAN (social science median, or
          median for grouped data)
	* Added a locale selector to text import.
	* Fix 115542 (cs_CZ bug), 115503 (autofill of dates)
          and many others
	* Fix landscape printing
	* Save header/footer defaults
	* Update consolidate dialog
	* Permit to ignore any columns during text import
	* Add column header menu to format page of text import
	* Fix locale specific parsing on paste
	* Add undo to inserting of sheets via the tab context menu
	* Clarify insert/append sheet commands
        * Change layout of preference dialog
	* Make fill->series undoable, redesign its dialog
	* Make Data->Text_to_Columns undoable
	* Add help button to autoformat and plugin manager
	* Make Tools->Solver undoable
	* Make Tools->GoalSeek undoable
	* Make Duplicate Sheet undoable
	* Reduce the occasions when the undo chain is being flushed
	* Make Edit->Sheet->Remove partly undoable
	* Add standard output selector to consolidate tool
	* Make Edit->Fill->Tabulate Dependency undoable
	* Add simple session management

Ben Liblit:
	* Another attempt at configure time path generation.

Emmanuel Pacaud:
	* New format selector for stf.
	* Ring plots
	* Line and Area plots

Gustavo Carneiro:
	* Use gnome-common detection for libtool version

Jean Brefort:
	* Support image files in chart areas (background, bar/col or pie)
	* Initial pass at supporting patterns in chart areas.

Jody:
	* Fix the generated source files.
	* Cleanout the internals of PreviewGrid.
	* Cleanup AutoFormat dialog.
	* Printing support for charting engine.
	* Fix printing of images.
	* Coup de grace to gal, importing the 75 lines of e_xml we used
	* Keynav for autoformat dialog
	* Fix jumping to internal links in a different sheet
	* Add XML persistence for charts
	* Misc Charting improvements & fixes
	* Add YEARFRAC to put us at 100% coverage
	* Fix some format generation bugs
	* Rationalize and document the SheetObject::print interface
	* Cleanup line/arrow/filled sheet object config dialogs
	* An initial implementation of bonobo-less File -> Send To
	* Recalc fix for functions that did not use the collect utils
	* Work on Charting Engine.
	* Function doc patches to go with the new doc framework.
	* Function doc spelling and grammar.
	* Fix glitch in xls hyperlink import.
	* Undocumented flag on cell comments in xls
	* Import cell comments from >= xl97 too.
	* Object text labels from >= xl97.
	* Fix export of strings > 8224 characters in xl97.
	* Fix style export in the presence of validation and hyperlinks.
	* Spinner/Scrollbar import for xl 95 & 97.
	* Fix 118723
	* Work on image persistence in xml
	* Revamp chart styles and patterns
	* Improve behavior of autofilters with ins/del col/row
	* Make mmult smarter about what constitutes a 3d ref
	* Improve import of gnumeric-1.0.x era graphs
	* Fix crash on xls export for autfilters with no conditions.
	* Some basic work on axis

John Gill:
	* More XLish heuristics for autofill range selection.
	* Support End keys, and XL style 'transition' keys

Jon Kåre:
	* Improve color combo.
	* Fix keynav for various kinds of combos.
	* Make splash screen display code clairvoyant.
	* Import OpenOffice.org 1.1 from clipboard.
	* Export XHTML to clipboard.
	* Fix clipboard export of non-Latin 1 content as text.
	* Fall back to string when import from clipboard as
 	  table/spreadsheet fails.
        * Import incomplete html fragments, as produced by
	* e.g. Mozilla, from clipboard.
	* Fix bugs in Python loader.
	* Polish Python console.
	* Add workbook_new() to Python bindings.

Joseph Pingenot:
	* Spin buttons
	* Slider objects

Morten:
	* Hopefully fix NAN issues on Alphas.
	* Plug autoformat leak.
	* Import all gal widgets we use.
	* Fix lots of UTF-8/filename problems.
	* Make pixmap combos multihead safe.
	* Make color combos multihead safe.  Fix latent memory corruption
	  problem.
	* Fix incorrect range highlighting in non-expressions like "10:23".
	* Improve character set handling of pastes from other apps.
	* Improve stf import's handing of strange line terminators.
	* Fix nasty locale-changing problem (localeconv data changing
	  underneath us).
	* Make locale handling UTF-8 safe.
	* Unify our three regexp quoting functions into just one (correct)
	  function.
	* Make pretty-printing clarify trees like "-2^2" into "(-2)^2".
	* Fix cell entry display for strings with initial quote.
	* Fix YIELDDISC, ODDFPRICE, ODDLPRICE, and ODDLYIELD.
	* Implement ODDFYIELD.
	* Reduce flicker in format selector widgets.
	* Fix another O(n^2) problem in stf import.
	* Fix YEARFRAC.
	* Speed up loading.
	* Use pool allocation for cell style tiles.
	* Fix rounding and error problems with GCD and LCM.
	* Make +/- buttons work for changing precision of fractional formats.
	* Fix +/- buttons for cells with value formats.
	* Fix +/- buttons for currency formats.
	* Make the 1000-separator button do something more useful.
	* Improve the support for fractional formats.
	* Improve auto-format for date differences.
	* Clean up style format code.
	* Fix parsing of fractional constants.
	* Improve progress display a bit.
	* Show default image for types we don't recognize.
	* Improve fixed-width stf.
	* Fix reading 1.0 xml files lacking encoding.
	* Handle file save errors that happen after the initial open.
	* Major speed-up for certain dynamic dependencies.

--------------------------------------------------------------------------

Gnumeric 1.1.19

Auto*-wrestling only.

--------------------------------------------------------------------------

Gnumeric 1.1.18

Andreas:
	* Some more UTF-8 cleaning in the stf parsers.
	* Improve the encoding selector by only showing
	  supported encodings
	* Some small improvements to the Text Import dialog

Ben Liblit:
	* Move the various compile time paths into a generated header.

Emmanuel Pacaud:
	* HIG compliant quit dialog.

Jean Brefort:
	* Initial version of gradient editor for chart style page.

Jody:
	* More work on graphs.
	* Set alwaysCalc flag when xls exporting dynamic dependencies.
	* Fix HIG-ification of validation page in fmt dialog
	* Add some mnemonics to the new and improved file open dialog.
	* Finish conversion of default font to Sans 10
	* Fix http://bugs.debian.org/193276
	* Fix rangesel on other sheet in with of sheet local names
	* Fix recalc on undo of cut-paste of interior of range
	* Sheet data -> charts begins working.
	* Some minor tweaking for xls escher import to handle gradients
	* Clean up edit item, and support spanning autocompletion
	* Fixes for sheet object dependencies.
	* Fixes for chart series generation.
	* Basic Pie & Bar/Col plots.
	* Initial xls import for new plots (no formatting).
	* Have HTML exporters handle utf8.
	* Extend layout engine in GogChart.
	* Nice redraw speedup for images and charts.
	* Fix undo bug for moving merged regions (yummy).
	* Support Move with cells flag for sheet object.
	* Text in charts.
	* Fix lots of bugs in the run up to a beta.
	* Fix undo of defining an existing named expression placeholder.
	* Simplify the recently used file stuff in preparation for egg.
	* Fix months old stupidity in my lobotomization of gconf wrapper.
	* Remove deprecation from canvas items.
	* Finished first pass at an xml SAX based exporter, still rough around
	  the edges.

Morten:
	* New function COLUMNNUMBER.
	* Fix ABRs in imported pcre code.
	* Leak fix for gnumeric xml saving.
	* Leak fix for character encoding selection.
	* Fix stf import crash for empty files.
	* Improve generation of binomial and negative-binomial random
	  numbers.
	* Fix stf dialog problem with WM close.
	* Make stf export quoting UTF-8 safe.
	* Make stf export cell separation UTF-8 safe.
	* Improve generation of NaN, -Inf, and +Inf.
	* Fix 112330.
	* Handle character set aliases, more or less.
	* Improve remote-DISPLAY start-up time by getting rid of calls to
	  deprecated gtk_style_get_font function.
	* Start getting rid of use of deprecated features.
	* Multihead support.
	* Fix crash for analysis tools on initial failure.
	* Speed up stf import.
	* Rewrote stf importer to be GtkTreeView/GPtrArray based instead
	  of GnomeCanvas/GList.
	* Fix a ton of stf bugs.

--------------------------------------------------------------------------

Gnumeric 1.1.17

Andreas:
	* Add character encoding menus to the file selector
	* Handle specified encoding for csv/tsv files
	* Handle specified encoding for configurable text import
	* Fix csv parsing (#80806), finally
	* Fix #100529, #78355, #99649

Ben Liblit:
	* Support for automake 1.6.x
	* Modernize the rpm .spec file

Emmanuel Pacaud:
	* Add encoding selector to stf export

Jody:
	* Improve handling of files with content type != extension
	* A few small bugs in XL97 export.
	* Simplify defining new services
	* Work on graphs
	* Fix xbase importer
	* Add motion compression for high speed scrolling
	* Fix elapsed hour format
	* Make the edit item smarter at the right edge
	* Handle saving too many merged cells for 1 xls record
	* Fix internal hashing bug with styles containing auto colors
	* Improve update semantics of ExprEntry in preparation for graphs
	* Make sheet_get_extent span when needed.
	* Fix old bug exposed by alex's fix to mapping in foocanvas.

Jukka:
	* Added shuffling tool.
	* Added `Edit'->`Fill'->`Series...' filling tool like in XL.
	* Added scenario tools.

Martin Hoffmann:
	* Fix autocompletion in the face of multi-byte characters.

Morten:
	* Make RenderedValue use a PangoLayout for storing the contents
	  of a cell.  (Operation Snappiness, Part 3.)
	* Make mstyle cache pango attributes.  (Operation Snappiness,
          Part 4.)
	* Make sure our pango contexts have language set.  (Operation
	  Snappiness, Part 5.)
	* Shave off a few cycles here and there.
	* Improve progress display when loading.
	* Eliminate rendered_text from struct RenderedValue.  (Operation
	  Snappiness, Part 6.)
	* Fix a few stf irritants.
	* Security fix for sample data source plugin.
	* Security fix for oleo plugin.
	* Security fix for sc plugin.
	* Fix gnome print configuration.
	* Fix latex exporter crash.
	* Restore auto-format functionality.  (Automatically supply a format
	  to a new cell based on the formula entered.)
	* Work around extremely slow cases in, e.g., BETAINV.
	* Improve speed of generation of many types of random numbers.
	* Switch regexp routine to pcre.

--------------------------------------------------------------------------
Gnumeric 1.1.16

Jody:
	* Support Mac Office style 1904 date convention.
	* Fix recalc problem with MMULT.
	* Bump libgsf req to 1.7.0
	* Fixed XL export (apologies to all)
	* Improve support for negative elapsed time formats.
	* Minor lotus-123 import issue.
	* Added Skeleton for importing MS Excel XML.
	* Changed default toolbar layout to icon only.

Jon Kåre:
	* Finish UI for managing hyperlinks of various sorts.
	* Skip sheet chooser page in text export when there is only
	  one sheet (Fixes 84791).
	* Paste OpenCalc from clipboard.
	* Paste html tables from clipboard.

Morten:
	* Fix MDETERM.
	* Lower number of matrix LU-decomposition routines from three to
	  one.
	* Add function renaming support for file formats that use function
	  names different from our.
	* Partial buffer overrun audit.
	* Improve fraction format.
	* Move pango attribute calculation into rendered value.  (Operation
	  Snappiness, Part 1 of many.)
	* Eliminate StyleColor member of RenderedValue.  (Operation
	  Snappiness, Part 2.)

Nicolas Peninguy :
	http://bugzilla.gnome.org/show_bug.cgi?id=102236
	* Decrease depenence on glibc regexp extensions.

Murray Cumming :
	* Port to the gnome-print-2.2 api.

Theppitak Karoonboonyanan:
	* Improve XIM support.

Wayne Schuller  <k_wayne@linuxpower.org>
	* Initial implementation of fit-to-pages printing.

--------------------------------------------------------------------------
Gnumeric 1.1.15

Jody:
	* Fix some XL95 object issues.
	* Find a few undocumented corners of XL's format.
	* Fix XL97 export of validation and filters for simple sheets.
	* Misc screwups with autofilters
	* Ins/Del Col/Row now does mostly the right thing with filters.
	* Ins/Del Col/Row now handles frozen panes.
	* Lower right of merge extends sheet bounds.
	* Fix parser's handling of unknown function.
	* Remove unnecessary new/free of dates.

Jon Kåre:
	* Open DB connections read only.
	* Improve password dialog.
	* Show password dialog also for files given on command line.

Morten:
	* Fix crash when no undo information is wanted.
	* Clean up NULL/FALSE confusion all over.
	* Remove GNM_EXPR_PARSE_CREATE_PLACEHOLDER_FOR_UNKNOWN_FUNC.
	* New functions GNUMERIC_UNICHAR, GNUMERIC_UNICODE

Nicolas Peninguy:
	* Move the generation of the standard formats into StyleFormat

--------------------------------------------------------------------------
Gnumeric 1.1.13/1.1.14

Andreas:
	* Fix some stf bugs

Evert Verhellen:
	* New icons for +/- precision
	* Make bonobo/non-bonobo a whole lot more consistent.

Fernando Herrera:
	* Improve desktop file to support bug-buddy.

Jody:
	* Make the behavor of save and save-as more comfortable.
	* Fix parsing 3d references
	* More work on exporting names to xls
	* Support the global outline buttons
	* Optional outline markers at the begining rather than end
	* Make the label object more useful
	* Fix XL import for h/v only freeze with non origin start
	* More attributes for excel95 objects
	* Support pruning 3d references on sheet deletion.
	* Clean up some workbook view life cycle issues
	* Implement Auto-filters
	* Begin support for pivot tables
	* Full support for SUBTOTAL magic
	* Fix sneaky bug between sheetobjects and frozen panes
	* Fix removal of placeholder names
	* XLS export for validation and Input Messages
	* Improve handling of validation in format dialog
	* XL97 export for named expressions
	* XLS export for autofilters
	* Fix print dialog's entry of repeated cols/rows

Jon Kåre:
        * Separate GUI for showing progress and messages before first
	  spreadsheet window is displayed.
	* Fix 98661.
	* Port the remaining plugins to gsf output.
	* Use desktop font for row and column titles, fixing 98666.
	* Fix bugs in the bonobo control version of Gnumeric.
	* Install the bonobo control in libexec.
	* No longer pretend to support the Bonoobo/PersistFile interface.
	* Fix key navigation and scrollbar scrolling in auto-filter combos.
	* Clean up editable-label some more.
	* Improve image loading. With libwmf-0.2.8 and gtk+-2.1.2 or
	  later, Gnumeric can now display Windows Metafile images -
	  common in Excel documents.
	* Fix bug in hyperlink import from Excel.

Morten:
	* Improve qpro importer.
	* Fix 98664 for bonobo.
	* Fix sylk importer to do ISO-8859-1 -> UTF-8 conversion.
	* Fix dif importer to do ISO-8859-1 -> UTF-8 conversion.
	* Attempt a fix for psiconv importer to do ISO-8859-1 -> UTF-8
	  conversion.
	* Make autofill UTF-8 safe and fix a bug with negative numbers.
	* Fix FV problem with rate==0.
	* Fix DAYS360 incompatibility (with XL).
	* Improve parsing infra-structure.
	* Fix unnecessary singularities for IPMT, PPMT, and NPER.
	* Make print-info use GnomePrintUnit instead of our own half-baked
	  stuff.
	* Overhaul error value layers.
	* Fix loading and saving of error values in xml format.
	* Fix parser crash.  (101658.)
	* Fix oleo parser.

--------------------------------------------------------------------------
Gnumeric 1.1.12

Andreas:
	* Hide hidden cells in groff/troff export.
	* Fix 78356.
	* Watch for file extensions not matching filetype when saving.

Evert Verhellen
	* Buff up the function guru icon a touch

J.H.M. Dassen (Ray):
	* Updates to the build system.
	* Some code janitor work.

Jody:
	* POISSON is defined for x == 0
	* Start work on rotated text
	* Enable Excel97 basic export
	* Have the importer designate the exporter directly
	* Switch to foocanvas for performance
	* Just in time rendering for clipboard
	* Add 'require_explicit_enable' for plugins
	* Support writing dual stream xls files
	* http://bugzilla.gnome.org/show_bug.cgi?id=97672
	* Rewrite string export for xls (95 & 97)
	* Fix inline array export for xls (95 &97)
	* Store the xls codepage when importing for use when exporting
	* Merge style extent and most common style calcs for xls export
	* Improve xls export of custom palettes
	* Fix xls export for zoom > 100
	* Implement intersheet and 3d references for xls97 export
	* Fix xls import of 3d external references

Jon Kåre:
        * Merged File/Open and File/Import
	* Remove code which supported the File/Open File/Import
	  distinction.

Morten:
	* Spelling fixes all over.
	* Add the ability to search expression results.
	* Add parameter checks to RAYLEIGH, RAYLEIGHTAIL, EXPPOWDIST,
	  LAPLACE, PARETO, LOGISTIC functions.
	* Plug leaks in function selector dialog.
	* Improve memory usage in search centre slighly.
	* Fix precision of GAMMALN.
	* Fix precision of FACT and extend it to negative non-integers.
	* Add BETA and BETALN functions.
	* Make CHAR function UTF-8 safe.
	* Make CODE function mostly UTF-8 safe.
	* Fix SUBSTITUTE (for non-blank fourth argument) and make it UTF-8
	  safe.
	* Make SEARCH function UTF-8 safe.
	* Fix sc importer to do ISO-8859-1 -> UTF-8 conversion.
	* Fix oleo importer to do ISO-8859-1 -> UTF-8 conversion.
	* Make search UTF-8 safe.

Nick Lamb:
	* Initial support for pre-ole xls files.

Olaf Till:
	* Two new logarithmic regression functions, one of them
	  with nonlinear fitting of a horizontal curve shift.

--------------------------------------------------------------------------
Gnumeric 1.1.11

Adrian:
	* Some LaTeX exporter fixes

Andreas:
	* Fix 97246

Dustin Mudryk:
	* Hide hidden cells in LaTeX export

Jody:
	* Store current sheet in both spots for xls export
	* Fix multiple name invalidation within 1 expr on sheet delete
	* Work around incorrect XL95 export in OpenCalc
	* Enable full simplistic just in time render & span.
	* Fix names.
	* Tidy and brighten up the name dialog.
	* Add more format and alignment support to cell edit.
	* Re-enable feedback for autocomplete.
	* Fix xls names with unicode ids.
	* Fix xls 2000 import for external names.
	* Fix edit line behaviour.

Morten:
	* Clean up SERIESSUM.
	* Fix crash during xml save.
	* Fix elusive dependency leak.
	* Implemented a new and better qgamma function.  (Anything dealing
          with the chisq distribution will also benefit from this.)
	* More utf8 work.
	* Fix ABW in html exporter.

--------------------------------------------------------------------------
Gnumeric 1.1.10

Andreas:
	* Add XHTML exporter
	* Fix minor bug in the sort dialog
	* Fix leak
	* Fix 95333

Chris Benedict:
	* Do not allow all sheets in a workbook to be deleted.
	* Implement a simple configuration dialog for the frame
	  sheet object

dorami@bu.iij4u.or.jp:
	* Add InputMethod support for better international key support

Hal Ashburner:
	* Rework derivative valuation routines

Jody:
	* Decrease GAL dependence.
	* More work on opencalc importer.
	* Start clean up of error handling routines.
	* Some UTF-8 cleanup.
	* Support placeholders for unknown names (incl XL import)
	* Restore core <-> split for analysis and random num tools
	* Undo support for defining and updating named expressions
	* Port Name guru from GtkList -> TreeView
	* Fix applix expr parsing now that we consider spaces
	* Correct sheet order and naming for Applix import.
	* Support named ranges for Applix import.
	* XML string quoting in expressions for opencalc importer.
	* Fix handling of 3d references in context of sheet reorder
	* Some optimization of case insensitive sheet name lookup
	* Make named expression ids case sensitive.
	* Port cell format dialog to TreeView.
	* Handle encryption from 'Tools -> Protection -> Workbook Protected'
	* Remove implicit conversion of unquoted strings that are not names
	* Import named expressions, arrays and merged regions from OpenCalc
	* More cleanup after the big parser rework
	* Esoteric XL number formats #,,##0,,
	* Simplify some dialog code
	* Support Dynamic Depends (eg INDIRECT)
	* Add AREAS so that we can finally finish off the lookup functions
	* Clean up the function registration api
	* Make format parsing utf8 clean
	* Fix mishandling of empty strings in xls data validation importer
	* Support Horizontal and Vertical only frozen panes
	* Some optimizations for filling large regions
	* Start work on 'Text from Columns' and 'External Data -> Text File'
	* Simple manual recalculation, it won't catch everything yet.
	* Some UI for recalc and iteration changes
	* Tweak precedence of new operators and clean up the grammar
	* Fix parse error reporting
	* Fix xls name import for external and builtin names (95 & 2k)
	* Fix undo for object movement
	* Improve XL95 export and prep framework for 2k
	* Add quicky placeholder for importing 'input msg' from xls

Morten:
	* Port search center from gal's e-table to gtk's treeview.
	* Fix parse-utils to handle large number of columns.
	* Reduce the number of source places that need to be changed in
	  order to get more than 256 columns and/or 65536 rows.
	* Fix --geometry, I hope.
	* Start handling invalid (== non-utf8) file names.
	* Fix minor leak in excel loader.
	* Improve precision of GEOMEAN and PRODUCT.
	* Fix MOD for non-integer (or just huge) args.
	* Fix division by zero in MROUND.
	* Fix a bunch of gnum_float issues.
	* Fix leaks in COLUMN and ROW.
	* Sort names in name dialog.
	* SC importer work.
	* Various UTF-8 work.
	* Fix double replacement problem for search-and-replace with a
          regular expression matching an empty string.
	* Fix GAMMAINV.
	* Improve precision for qgamma (and thus GAMMAINV).
	* Fix a few cases of col/row confusion.

Nicolas Peninguy:
	* Use regexps to classify currency and accounting formats

Tim A. Garner:
	* Hide hidden data in html export
	* In the LaTeX exporter optionally export math in italics

Jon Kåre:
	* Remove old Python plugin

--------------------------------------------------------------------------
Gnumeric 1.1.9

Andreas:
	* Fix #92367, #94300

Christian Neumair:
	* Made most dialogs HIG compliant.

Jody:
	* Start enabling the graph guru.
	* Begin to re-enable xls document metadata.
	* Fix translations in the bonobo build.
	* Enable translation of function category names.
	* Parser support for both syntaxes of 3d reference.
	* Parser support for row or col only references (A:C or 1:5)
	* Fix some drawing issues related to the pango conversion.
	* Remove usage of some deprecated functions.
	* Fix handling of files named .xml.gz
	* Improvements for ExprEntry
	* Make autocorrect unicode-safe, and port dialog to treeview.
	* Fix 'address' so that we pass all of the tests.
	* Fix handling of optional scalar arguments.
	* Convert many of the IS* info functions to nodal:scalar.
	* Support implicit iteration for array expressions.
	* Fix sheet object ref counting error that Morten found.
	* Fix crash when destroying unshared view.
	* Start fleshing out support signals to give scripting more power
	* Move the CORBA support code into a plugin and make more functional.
	* Add some UI for managing hyperlinks of various sorts (unfinished)
	* Make the location status box smarter about named ranges
	* Begin support for intersection
	* Start parsing range sets
	* Simple OpenOffice importer (expr and content but no formatting)
	* Support multi-region version of INDEX
	* Handle obscure corner case in xbase importer

Michael Meeks:
	* Spruce up the CORBA code to use some bonobo utils.

Morten:
	* Leak plugging.
	* Leak plugging in support libraries.
	* Speeding up a few string value constructions.
	* Really make autocorrect utf8 safe.
	* Add FIB function.
	* Fix loading of sheets with error constants in expressions, such
	  as #REF!

Lutz Müller:
	* Drag & Drop sheet re-ordering

--------------------------------------------------------------------------
Gnumeric 1.1.8

dorami@bu.iij4u.or.jp:
	* Begin to use Pango in cells.

Jody:
	* Add XL import for polygon colours.
	* More pango work.
	* Fix icon assignment.
	* Support pasting utf8
	* Rewrite plan perfect import, significantly more useful now.
	  Includes some format transfer and uses the wordperfect
	  charset map from kword (thanks to Ariya Hidayat)
	* Cull out a pile of special iconv code in favour of glib
	* Fix documentation installtion to match libgnome's expectations
	* locale -> utf8 conversion for lotus wk1 importer
	* support for BITAND and BITOR in lotus wk1 importer
	* Tweak XL export so that MS Excel does not produce a warning when
	  reading our sheets.
	* Partially fix printing images

Jon Kåre:
	* Port to new libgsf big file api

Jukka:
	* Solver improvements:
	  - Imported the GLPK (GNU linear programming kit) version 3.2.
	    It provides a revised simplex algorithm for solving large
	    scale problems, written by Andrew Makhorin.  It performs
	    much better than lp-solve if the model is large, see
	    a benchmark in ftp://plato.la.asu.edu/pub/lpsimp.txt.
	  - Added the algorithm selection into the dialog.
	  - Other dialog improvements.
	* Speed optimizations for the MPS plugin.

Morten:
	* Add poor man's utf8 regexp routines.

Christian Meyer:
	* Renamed "Print Setup" to "Page Setup" in the file menu and the
	  gnumeric documents.

Zbigniew:
	* Work on the plugins.
	* Plugins can now register menu and toolbar items (bonobo only for now)
	* Another step towards a gtk only build.

--------------------------------------------------------------------------
Gnumeric 1.1.7

Jody:
	* Fix and speed up the XL exporter.
	* Make the behaviour for right button consistent in all contexts.
	* Fix import of frozen panes.
	* Fix XL export of functions with fewer args than XL requires
	* Improve the wk1 importer
	* Implement some of Harlan's CELL routines to help the wk1 importer
	* Make sheet deletion multi-view safe.
	* More fixes for named expressions.
	* Remove old bogosity when importing the err form of #REF!
	* Fix handling of embedded newlines for gtk2
	* Fix Chema's bug.
	* Don't leak clipboard on exit.
	* Have Enter move the edit_pos while in the editline the same way it
	  does in the cell.
	* Support Double click in cell to start editing.
	* Change the cursor when the mouse is in the edit item.
	* Improve (Fix?) colwidth exporting in xls
	* Fix XLS name import in the presence of external links
	* Extend XLS array import
	* Take a step towards supporting external links in XLS.
	* Fix reporting of import errors.
	* Fix ref-count problem importing builtin names in XLS.
	* Enable and patch the plan perfect importer.
	* Fix ref-count problem with cell comments.
	* Ultra basic support for Excel 95 Polygon objects.
	* Fix colour leak with grid colour change, and small warning.

Jukka:
	* New random distribution functions (mostly integrated from the
	  GNU Scientific Library with some minor modifications):
	  RANDDISCRETE(), RANDGAUSSIANTAIL() and RANDLANDAU().
	* New random distributions for the random number generation tool:
	  Gaussian Tail, Landau, and Uniform integer.
	* New financial function, VDB(), integrated from the OpenOffice
	  with some modifications and clean up.
	* New statistical functions (integrated from the R 1.5.1 and
	  GSL 1.1.1):
	  BERNOULLI(), CAUCHY(), EXPPOWDIST(), GEOMDIST(), LANDAU(),
 	  LAPLACE(), LOGISTIC(), PARETO(), RAYLEIGH(), and RAYLEIGHTAIL().
	* Added `Filter->Show All'.
	* Improved the function description layout in the
	  `Insert->Function' dialog.
	* Function documentation improvements.
	* Implemented standard errors output for the exponential
          smoothing tool.
	* Implemented the `Risk Simulation Tool'.  You cannot find it in
	  XL, you have to pay more to get it as an extra add-in.
	* Implemented SIMTABLE() function related to the risk simulation
	  tool.
	* Initial EUROCONVERT() function.

Morten:
	* Fix random number generator to really use /dev/urandom.
	* More utf8 work.
	* Make search utf8 safe (assuming utf8-ready regexp routines).

J.H.M. Dassen (Ray):
	* Update desktop to reflect wider mime support.

Zbigniew:
	* Work on the plugins.

--------------------------------------------------------------------------
Gnumeric 1.1.6

Andreas:
	* Fix and improve html import.
	* Make the analysis tools honour the lock state of cells.
	* Properly handle output range preparation for analysis tools
	  even if the user did not want it cleared.
	* Create ui to set protection of indiviual sheets.
	* Make various edit actions check for locks first.
	* Fix 85383, 84396, 88164.

Jody:
	* Have the stf dialog use the default font.
	* Use GsfInput for importing.
	* Improve the Applix importer.
	* Fix lifecycle for 3d references.
	* Fix goto dialog's handling of invalid addresses.
	* forward port missing patches from 1.0
	* Finally add SheetView
	* Move animated cursor selection to sheetview
	* Handle enabling paste special on an application level
	* Move selection to SheetView
	* Parse and evaluate constructed references, no depends yet.
	* Read edit_pos from xls for multi-selection case.
	* Save selection correctly for xls.
	* Move freeze state to SheetView.
	* Decrease dependence on gal in favour of libgsf.
	* Move libgsf for XL export
	* Remove dependence on libole2 !
	* Add a Quattro Pro importer
	* Fix Lotus import of relative references, and formulas with strings
	* Support url, and in workbook hyper-links, no UI or persistence yet.
	* Import url, and in workbook hyper-links from xls
	* Take steps towards support implicit iteration for function args.
	* Handle cursor changes, and tooltips for hyper-links.

Jukka:
	* More solver enhancements:
	  Reporting improvements.
	  Documentation updated.
	* MPS plugin enhancements.
	* New financial functions (integrated from the OpenOffice with
	  some modifications and clean up):
	  AMORDEGRC(), AMORLINC(), CUMIPMT(), CUMPRINC(), MDURATION(),
	  ODDLPRICE(), ODDLYIELD(), and YIELDMAT().
	* Renamed Gnumeric's DURATION() as G_DURATION() and implemented
	  DURATION() like in XL (using OpenOffice code).
	* Fixed YIELD().
	* Moved all complex number functions from fn-eng plug-in to a
	  separate plug-in for complex numbers.
	* New complex number functions (integrated from the GNU Scientific
	  Library with some minor modifications):
	  IMINV(), IMNEG(), IMARCSIN(), IMARCCOS(), IMARCTAN(), IMARCSEC(),
	  IMARCCSC(), IMARCCOT(), IMSEC(), IMCSC(), IMCOT(), IMSINH(),
	  IMCOSH(), IMTANH(), IMSECH(), IMCSCH(), IMCOTH(), IMARCSINH(),
	  IMARCCOSH(), IMARCTANH(), IMARCSECH(), IMARCCSCH(), and IMARCCOTH().
	* Moved all random number generation functions from fn-math to a
	  separate plug-in (fn-random).
	* New random distribution functions (mostly integrated from the
	  GNU Scientific Library with some minor modifications):
	  RANDBETA(), RANDCAUCHY(), RANDCHISQ(), RANDEXPPOW(), RANDFDIST(),
	  RANDGAMMA(), RANDGAUSSIAN(), RANDGEOM(), RANDGUMBEL(), RANDHYPERG(),
	  RANDLAPLACE(), RANDLEVY(), RANDLOG(), RANDLOGISTIC(), RANDLOGNORM(),
	  RANDPARETO(), RANDRAYLEIGH(), RANDRAYLEIGHTAIL(), RANDTDIST(),
	  RANDUNIFORM(), and RANDWEIBULL().
	* New random distributions for the random number generation tool:
	  Beta, Cauchy, Chi-Squared, Exponential power, F, Gamma, Geometric,
	  Laplace, Levy alpha-Stable, Logarithmic, Logistic, Lognormal,
	  Pareto, Rayleigh, Rayleigh tail, T, Type I Gumbel, Type II Gumbel,
	  and Weibull.

Morten:
	* Improve the Applix importer.
	* Update mathfunc.c to R 1.5.1.
	* Improve precision of HYPGEOMDIST and NEGBINOMDIST.
	* Fix PERMUT crash.
	* Fix RANDPOISSON loop and performance.
	* Start making Search and Search/Replace UTF-8 safe.
	* Resurrect long double support.

Jon Kåre:
	* Use GsfInput in the Python plugin loader
	* Use GsfInput in the Nautilus component
	* Open all probe-able file formats from the Nautilus component
	* Added ISOYEAR().

--------------------------------------------------------------------------
Gnumeric 1.1.4

Almer:
	* Implement validation criteria checking.
          (http://bugzilla.gnome.org/show_bug.cgi?id=72554)
	* Port part of the string functions to utf8.

Andreas:
	* Improve printing dialogs.
	* Make print-setup changes undoable.
	* Add zoom factor preference.
	* Add sheet selector to print-setup dialog.
	* Fix print range selection.
	* Added new stats function CRONBACH.
	* Improve focus handling in search dialog
	  (http://bugzilla.gnome.org/show_bug.cgi?id=81087).
	* Persist printer information
	* Add GUI to plugin manager to add/remove extra plugin
	  directories
	* Add discard all/save all buttons to exit dialog.
	* Add a rescan directories button to the plugin manager
	(Note: this has seen only minimal testing.)
	* Fix bug:
	  http://bugzilla.gnome.org/show_bug.cgi?id=82272
	  http://bugzilla.gnome.org/show_bug.cgi?id=80126
	  http://bugzilla.gnome.org/show_bug.cgi?id=82398

Jody:
	http://bugzilla.gnome.org/show_bug.cgi?id=83392
	* fix name definition.
	http://bugzilla.gnome.org/show_bug.cgi?id=79925
	* Only grab if selection succeeds.
	* Fix drawing glitch when creating unshared views not at A1
	* Copy freeze state and outline info
	* Ignore combos associated with filters.

Jukka:
	* More solver improvements.

Morten:
	* Cleanup fn-database.
	* Disentangle fn-stat and fn-database.
	* Make fn-database a plugin.
	* Make fn-stat a plugin.
	* Improve goal seek for the case without a proper df.
	* Fix XIRR.
	* Plug leaks and improve speed of string functions.
	* Fix DOLLAR.
	* Fix ROW and COLUMN.
	* Prevent gcc 2.96 compilation.
	* Fix leaks for unknown function stubs.

Jon Kåre:
	* Install bonobo control
	* Merge bonobo control commands into container's menus
	* Make bonobo control zoomable
	* Enable bonobo control to display message dialog.

--------------------------------------------------------------------------
Gnumeric 1.1.3

Andreas:
	* Port print-setup dialog.
	* Fix print dialog.
	* Make all Analysis Tools undoable.
	* Add output formatting options to Analysis Tools.
	* Make undo-size configurable.
	* Plug leaks.
	* Add preference dialog.
	* Improve treeview cell renderers.
	* Make Random Generator Tool undoable.
	* Fix and improve row-height dialog.
	* Fix hide/show detail and group/ungroup dialog.
	* Include more info in HTML 4.0 files.
	* Support borders in HTML4.0 exports.
	* Fix Sheet-Object-Scrollbar configuration dialog.
	* Fix Sheet Object leak.
	* Fix Sheet-Object-Checkbox configuration dialog.
	* Fix Sheet-Object Arrow/Line configuration dialog.
	* Fix Sheet-Object Fill configuration dialog.
	* Fix workbook attribute dialog.
	* Add preference setting to include sheet name in undo/redo
	  description
	* Fix missing data handling of SUMPRODUCT and friends
	* Fix CONCATENATE (http://bugzilla.gnome.org/show_bug.cgi?id=78610)
	* Add number of sheets preference
	* Start to UTF8 some of the string functions
	* Preserve autocorrect exception lists
	* Switch plugin manager from gnome-config to gconf
	* Add window size preference page to preference dialog
	* Add file/xml preference page to preference dialog
	* Redesign Error info dialog
	* Improve x-selection handling
	* Fix http://bugzilla.gnome.org/show_bug.cgi?id=76474
	* Add lowering and raising of sheet objects (except widgets).
	* Fix http://bugzilla.gnome.org/show_bug.cgi?id=79809
	* Add lowering and raising of sheet objects (except widgets) to top and bottom.
	* Fix http://bugzilla.gnome.org/show_bug.cgi?id=62127
	* Fix http://bugzilla.gnome.org/show_bug.cgi?id=79744

Jody:
	* Add password dialog to support encrypted input.
	* Make expr parser utf8 clean.
	* Fix printing.
	* Fix object import from XL.
	* Quicky insert image item.
	* Tidy drag and Drop.
	* Fix dateToUnix.
	* Some touchups to bonobo build.
	* cleanup autoconf.
	* apply some pending japanese patches.
	* Improve HIG compliance.
	* Start support for filter importing.
	* Fix sheetobjects in the presence of panes.

Jon Kåre:
	* Enable bonobo
	* fix hpux build
	* Clean up Guile plugin
	* Enable use as a bonobo control

Jukka:
	* More solver improvements.

Morten:
	* More and better chunk allocation.
	* Fixed memory corruption in LINEST and LOGEST.
	* Plug gigantic leak in parser.
	* Improve gnumeric-expr-entry's utf8 support and speed.
	* Plug various little leaks.
	* Add logical XOR function.
	* Make fn-date a plugin.
	* Make fn-eng a plugin.
	* Make fn-financial a plugin.
	* Make fn-info[rmation] a plugin.
	* Make fn-logical a plugin.
	* Make fn-lookup a plugin.
	* Make fn-math a plugin.
	* Make fn-string a plugin.
	* Partially untangle remaining fn-files.

--------------------------------------------------------------------------
Gnumeric 1.1.2

Almer:
	* Make autoformat edges toggleable.

Andreas:
	* Make Single-Factor ANOVA undoable.
	* Port search dialog.
	* Add merge tool.
	* Implement setting and changing of tab colors.
	* Port search/replace dialog.
	* Reimplementation of function selector.
	* Reimplementation of formula guru.
	* Add `recently used' to function selector.
	* Fix csv importer crash.
	* Port summary dialog and make it modeless.
	* Make summary changes undoable.
	* Fixed #68048.

Jody:
	* Fix XL import of external function names.
	* plug item-bar leak.
	* Rewrite editable-label to use gtkentry and to be utf8 clean.
	* Fix scrollbar & checkbox object cloning.
	* Support Applix's #AND# #OR# #NOT#
	* Rework dependent relocation.
	* Improve event handling during sheet-object editing.
	* Add dependency support for 3d references.  needs work on delete.
	* More polish to dependency engine.
	* Big ExprTree -> GnmExpr rename in prep for libgnumeric.
	* Support importing encrypted XLS workbooks (password is temporarilly
	  hard coded)

Jukka:
	* More solver improvements.

Morten:
	* Plug leaks.
	* Add aggressive expression sharing during load.
	* Add chunk allocators for cells, dependents, and some values.
	* Fix conditional formats, more or less.
	* Fix F4 key.
	* Fix PROB function's argument order.

--------------------------------------------------------------------------
Gnumeric 1.1.0 and 1.1.1

Almer:
	* Fixes to the STF exporter. (#72416, #71783)

Andreas:
	* Port gnumeric_notice to gnome2.
	* Fix #63485.
	* Make the autosave dialog non-modal, port to gnome2.
	* Make the analysis tools warnings non-modal.
	* Make the autocorrect dialog non-modal, port to gnome2.
	* Fix gnome2 specific random tool crash.
	* Destroy outadated dialogs.
	* Port solver dialog to gnome2.
	* Make the solver information dialogs non-modal.
	* Make the goal-seek warnings non-modal.
	* Port consolidate dialog to gnome2.
	* Make the consolidate warning dialogs non-modal.
	* Allow cross-sheet consolidation.
	* Turn sheet-rename dialog into guru.
	* Port filter dialog to gnome2 using the expr-entry
	  widget and improve filter mechanism.
	* Port the plugin manager dialog to gnome2.
	* Improve numerical precision in single factor ANOVA.
	* Correct regression analysis tool (intercept == 0 case).
	* Port and redesign sort dialog.
	* Reenable the expr entry widgets in gurus.
	* Fix about dialog.
	* Convert lots of dialogs to use the new expr entry
	  widget correctly.
	* Add help buttons to various dialogs.
	* Make reordering of sheets undoable.
	* Port zoom dialog and convert it into a guru.
	* Improve Sheet-Order dialog.
	* Make add/modify comment undoable.
	* Make comment clearing undoable.
	* Make comment deletion undoable.
	* Add `Add/Modify Comments' item to cell context menu.
	* Fix 73491.
	* Improve comment popup.
	* Make adding sheet undoable/redoable

Jakub Steiner:
	* Some new icons.

Jody:
	* Initial port to gnome2.
	* Enable microhash depend mechanism.
	* Rework the range relocation logic.
	* Rework sheet order dialog and make it a guru.
	* Clean sheet object widget creation.
	* Improve key handling when there are gurus.
 	* Crash importing 3d references to external workbooks.
	* move libole2 req into excel plugin, and make it optional.
	* guruify autoformat dialog, and update autoformat code.
	* move format from cell -> value.
	* add an icon to the expr-entry (thanks Jacub)
	* make images available without bonobo, including printing.
	* fix scrollwheels for gnome2.
	* more fixage for libxml2.
	* improve xl import of images.
	* start moving to utf8 internals.
	* fix pango context leak.
	* improve xl95 export.
	* Implement hooks to support per instance depends
	  (eg data sources or INDIRECT)
	* Fix formula guru.
	* Initial pass at dumping the translated function docs into a manual.
	* Cleanup name import from xls, and handling of fwd sheet decls in xl95.
	* Move the font mapping into the core rather than at XL import.
	* Cleanup the sheet's use of dependents.
	* Improve dependent management.
	* Prep for importing external references from XL.
	* Better support for 3d references.
	* Add a sample external data source.
	* fix paste-special.

Jon Kåre:
	* More correct import of "automatic" colors from Excel.
	* Export "automatic" colors to Excel.
	* Simplify and fix bugs in Excel color import and export.
	* Support cropping in Excel image import.

Joshua R. Odom:
	* Reorganize the custom pixmaps.

Jukka:
	* Major rewrite of the Solver.  Integrated key parts of the LP
	  Solve 3.2 written by Michel Berkelaar and others.

Morten:
	* Fix DATE2UNIX.  (Bug 70814.)
	* Fix compiler warnings.  (Well, fix the bugs they pointed out.)
	* Partially clean up regression code.
	* Fix regression's singularity test.
	* Fix validation's use of abs to be fabs.
	* Improve random number generation using /dev/urandom device.
	* Fix Oleo plugin's isdigit usage.
	* Support for --with-long-double
	* Constify C strings.
	* Switch to newer R sources.
	* Fix "make -j" in plugins.
	* Add extra tests for singularity and near-singularity in
	  regression.
	* Clean up Fourier analysis.
	* Fix validation int check.
	* Fix analysis tools crashes.

Scott Ananian:
	* Update the debian control files.
	* Initial support for WorkbookView::is_protected.

Wayne Schuster:
	* Implement opening of comment dialog by double clicking marker.

--------------------------------------------------------------------------
Gnumeric 1.0.3

Andreas:
	* Redo  COUP_ functions one more time, ignoring XL.
	* Fix expression entry widget
	* Preload selections in analysis tools

Jakub Steiner:
	* Update the icon.

Jody:
	* Enable Add/Delete Series for Graph Guru.
	* Improve usability of Graph Guru data selectors.
	* More work on XL import for 3d references.
	* Import checkbox links from XL.
	* Add scrollbars and import them from XL.
	* Update the xml schema.
	* Small optimization to shrink xml in .gnumeric files.
	* Polish the sheet object editing.

Morten:
	* New tabulation tool.

Neil Booth:
	* Document the Black-Scholes routines.

Wayne Schuller:
	* Audit the dialogs for accelerators.

--------------------------------------------------------------------------
Gnumeric 1.0.2

Andreas:
	* Add `autofit columns' checkbox to all analysis tools.
	* Add radio buttons to rank dialog to let user choose
	  behaviour in case of ties.
	* Enable Standard Errors Checkbox in Moving Averages Dialog.
	* Implement calculated bins in Histogram Tool.
	* Implement Fourier Analysis Tool.
	* Updated documentation.
	* Fixed COUPNCD.
	* Complete implementation of COUPDAYSCD
	* Implement COUPPCD.
	* Implement COUPDAYBS.
	* Implement COUPDAYS.

Jody:
	* Generate spans after importing a lotus 123 file.
	* Add Russian Ruble.
	* Improve Data Validation, and add XL import.
	* Add new builtin format to Applix importer.
	* Fix AREA_3D expressions from Excel.
	* Display and import coloured tabs from Excel XP.
	* Fix displayed cursor when leaving a sheet object.
	* Improve goto box to support names, and inter-sheet jumps.
	* Support inter-sheet references in the goal seek.
	* Handle totally hidden merges at freeze bound.
	* Improve XL import for 3d references.
	* Try REALLY hard to find an expression in xml not
	   marked as being a value.

Jon Kåre:
	* Added WEEKNUM and ISOWEEKNUM

Morten:
	* Make sure Linux ends up using IEEE_754 code in mathfunc.c.
	* Fix search crash.
	* Make functions that take numeric arguments accept also strings
	  that parse as numbers.
	* Partly fix ADDRESS.

Neil Booth:
	* Handle 1900/Feb/28 the same way MS Excel (tm) does.

--------------------------------------------------------------------------
Gnumeric 1.0.1

Andreas:
	* Fix 67878 (help button ref)
	* Fix a few ANOVA error messages
	* Fix 67289 (PERCENTRANK)

Jody:
	* Fix CRASH!! due to last minute translation fix.
	* Some missing '...' in menu names
	* Rename 'Summary' menu -> 'Properties'
	* Support graphs with no data.
	* A bit of warning suppression for s390.
	* Bump the GAL requirement to 0.16

Morten:
	* Added DATE2UNIX and UNIX2DATE.
	* Added GETENV.
	* Fix WEEKDAY.

J.H.M. Dassen (Ray):
	* Lots of bit warning suppression for s390.

--------------------------------------------------------------------------
Gnumeric 1.0.0

Andreas:
	* Improve file format documentation
	* Fix text colour in html and latex exporters (#67550)
	* Fix roff importer (#66457)

Jody:
	* Double check that nearest range is not on another sheet.
	* Fix undo for range fills with overlapping ranges.
	* Do not register commands for pasting a cut onto itself.
	* Fix cloning checkboxes.
	* Make all openers available on the import menu, just in case.
	* Fix sheet objects as inter-sheet dependents.
	* Fix undo from keyboard for sheet object deletion.

--------------------------------------------------------------------------
Gnumeric 0.99.1

Andreas:
	* Improve documentation incl. analysis tools, files & worksheet
	* Implement merges and spans in html exporter
	* Make output from HTML4.0 and HTML3.2 exporters validate
	* Fix copy multiple cells to single merged cell (#67298)
	* Fix expr entry widget: used to fet confised on mouse clicks
          (#65894)

Jody:
	* Add insert Graph menu item & icon
	* Fix Exit icon for bonbo build.
	* Delete the CAPS lock feature from autocorrect.
	* Fix Chema's sneaky cursor grab.
	* Applix import for v4.41, add it to the mime types.
	* Inter-Gnumeric pasting support for merges, and shares.
	* Fix life cycle of validation styles.
	* Undo for pasting a cut was saving too much.
	* Parser was not honouring requests to ensure absoluteness.
	* Transparent makes no sense for lines & arrows.
	* Improve help tokenizer.
	* Don't prompt for sheet delete if it is pristine.
	* Autofill includes autoformats for expressions.
	* Edit position after undoing a merge.
	* Partial fix for del col/row undo with dependent objects.
	* Support some additional forms of #!REF in XL import.
	* Fix importing of graphs with embedded graphs.
	* Improve autofill handling of merges & arrays.
	* Support pasting transposed merges.
	* Ensure that cell sizes never violate absolute minima.
	* Fix format leak (thanks Morten)
	* Fix data validation.
	* Dirty workbook when modifying summary info.
	* Invalidate names refering to deleted expressions.
	* Fix row height resize when undoing changes to JIT rendering.

Morten:
	* Fix DATE.
	* Fix a pile of leaks in financial functions.
	* Fix COUPNCD, YIELD, PRICE.
	* Fix overflow issues.

Wayne Schuller:
	* Search and search-replace history persistence.
	* Improve documentation: intro and printing

Tino Meinen:
	* Make bound errors for INDEX consistent.

--------------------------------------------------------------------------
Gnumeric 0.99.0

Andreas:
	* Fix problem in search & search/replace tool #64989
	* Permit input from other sheets in Random Number Generator
	  (discrete distribution), Rank and Percentile Tools and
	  2-factor ANOVAs
	* Check for valid input in Random Number Generator tool
	* Fix parsing error in analysis tools expecting sheet references
          when none is given
	* Fix sheet reference in database function criteria (# 65353 (1))
	* Implement -geometry cmd line option
	* Fix rank calculation with respect to ties
	* Set cell format for percentiles in rank and percentile tool
	* Fix crash on copy between different invocations of gnumeric
	* Fix search in comments (# 65159)
	* Fix crash in parser (# 65896)
	* Format all numbers preentered in analysis tools dialogs
	  according to locale (# 65404)
	* In histogram tool add percentage column and format all
	  percentages appropriately (# 62164)
	* Implement text wrap in LaTeX exporter (# 20898)
	* Implement math mode in LaTeX exporter (# 63395)
	* Use gnumeric column widths in LaTeX exporter
	* Implement multirow merges in LaTeX exporter
	* Remove default grid in LaTeX exporter
	* Implement cell borders in LaTeX exporter
	* Fix merged cell to merged cell copy (#65760 & #58691)
	* Removed latex209 exporter
	* Implement spans in LaTeX exporter
	* Improved analysis tools documentation
	* Fix bugs (#66433 & #66880 & #66393)
	* Fix cellspan bug (#66658)

Jody:
	* Tricky corner cases for style applications (Part 2).
	* Rework sheetname quoting (Good idea Andreas)
	* Support multiple expressions in the parser and clean up
	  expression lists.
	* Memory error when parsing names.
	* Fix xml storage of parse position for names.
	* sync print code with draw code for merges.
	* Fix ins/del col/row in outline mode.
	* Support number buttons in outline mode.
	* Implement XL export for array formulas.
	* Fix handling of failue in filter dialog.
	* Remove some dead code.
	* Minor etable warning tweak.
	* Improve cursor handling for frozen panes.
	* Fix sorting with hidden cols/rows before region.
	* FIXED now uses the format engine.
	* Simplify cell fmt dialog's idea of merges.
	* Don't compress file when suffix is .xml.
	* Actually put the schema file where we say it is.
	* More work on libxml2 compatibility.
	* Some simple shared steps towards gnome2.
	* Fix autofill crash when shrinking regions.
	* Make graph vector header recognition more like XL.
	* Fix missing bononbo menu icon for exit.

Morten:
	* Fix EXPRESSION crash.
	* Fix 65577.
	* Fix 66848 (the table of function names in the formula guru
	  is not alphabetized).
	* Sort currencies in cell format's drop-down.

Sultanov Albert:
	* http://bugzilla.gnome.org/show_bug.cgi?id=55142
	Do charset conversions on summary fields to/from XL.

Toralf Lund:
	* http://bugzilla.gnome.org/show_bug.cgi?id=60468
	More work on the oleo importer.

Greg Lebalnc:
	* Modernize the doc build architecture.

--------------------------------------------------------------------------
Gnumeric 0.76

Alex Barnes:
	* Autofill backwards.

Andreas:
	* Fix handling of missing observations in F-test, z-test,
	  one-factor ANOVA, histogram, regression, and t-tests analysis
          tools.
	* Permit input from other sheets in F-test, z-test, one-factor
	  ANOVA, histogram, regression, and t-tests analysis tools.
	* Fix small errors in F-test, z-test, one-factor
	  ANOVA, Desc. Stats. and t-tests analysis tools.
	* Improve Exponential Smoothing and Moving Averages tools.
	* Implement pareto and labels in histogram tool.
        * Use confidence level in regression tool.
	* Use format parsing in entry fields of analysis tools.

Jody:
	* More work on the expr entry.
	* Fix outline mode.
	* Add keyboard support to sheet objects.
	* Add warning when xls imports non-ole file.
	* Continue audit and clean out some old code.
	* Validate autoformat template before storing undo.
	* Fix leaks.
	* Fix centering while printing scaled regions.
	* Tricky corner cases for style applications.
	* Break lines at hyphens to.
	* Disable col/row resize while editing.
	* Make some dialogs resizable.
	* Fix comment placement for merged cells.
	* Initial XL import for data validation.

Jukka:
	* Improved function documentation.
	* Implemented Exponential Smoothing tool.
	* Improved COUPDAYSNC().

Morten:
	* Leak plugging.
	* Fix memory overrun in function guru.

--------------------------------------------------------------------------
Gnumeric 0.75

Andreas:
	* Rewrite solver dialog as guru (semi-modal using the
          expr-entry widget).
	* Fix FTEST docs.

Jody:
	* Shink exported XL files.
	* Enable per sheet style management to support
	  validation, conditionals, and simply XL export.
	* re-enable compression for .gnumeric files.
	* Make cell format dialog only pseudo-modal.
	* Fix support for cancel on window manager quit.
	* Fix non-bonobo View menu
	* Fix sheet extent calculation new complex objects.
	* Improve formula guru.
	* Support scrollwheel in a larger area.
	* Fix Edit -> Fill -> Autofill.
	* Fix Autofill with the month of May.
	* Improve dbf importer.
	* Make autocorrect non-modal and cleaner.
	* Make autocompletion a view attribute, with a gui.
	* Improve the ExprEntry widget.
	* Don't clear the clipboard when Klipper requests things.

Jukka:
	* Lots of documentation added.
	* Added `Help' buttons for various tools.
	* Help button of autosave doesn't kill the dialog any more.
	* Added `Filter' submenu into the `Data' menu.
	* More work done to support financial functions.

Morten:
	* Cleanup various functions' improper access to internal strings.
	* Plug leaks.

--------------------------------------------------------------------------
Gnumeric 0.74

Jody:
	* Fix regexp handling of escaped characters.
	* Improve XL import when faced with corrupt workbooks.

Morten:
	* Find and fix leaks.
	* Fix an ugly dependency bug.

--------------------------------------------------------------------------
Gnumeric 0.73

Adrian Custer:
	* Improve latex exporter to support multiple pages and basic support
	  for merges.

Almer:
	* More work on validation.
	* Improve View menu layout.

Andreas:
	* Allow analysis tool output to be directed onto a range
          on another sheet.
	* Allow analysis tool output ranges to be specified using
	  defined names.
	* Change covariance, correlation, descriptive statistics and
	  sampling tools to allow multiple selections (and defined
          names as input.
	* Change covariance and correlation tools to handle missing
          observations.
	* Change sampling tool to permit multiple samples from the
          same or different data.

Jody:
	* Fix autosizing of indented content.
	* Fix jump to bound with end in hidden region.
	* Hide objects in hidden regions for display and printing.
	* LOG() is valid with base > 0 && base != 1
	* Clean out some unused code.
	* Fix redo of unmerge to handle redraw spans.
	* Fix Name Support and Dialog.
	* Improve data allocator for graphs.
	* Begin code audit.
	* Fix autofill of days with months visible.
	* Fix minor leaks.
	* Improve recognition of values vs expressions
	* Reset grid display cursor after editing an object.
	* Resize frozen panes after ins/del col/row.
	* Make python version configurable.

Jukka:
	* Improved MPS plugin.
	* Extended the data analysis tools and function documentation.
	* Improved COUPDAYS().

Morten:
	* Improve goal seek.
	* Fixed parsing of numbers in scientific, monetary, and number
	  contexts.
	* Find and fix leaks.
	* Fix dif plugin's use of alloca.

Wayne Schuller:
	* Much improved header/footer preview canvas.
	* Improve UI for customizing print header/footer.

--------------------------------------------------------------------------
Gnumeric 0.72

Adrian Custer:
	* Improve latex exporter.

Almer:
	* More work on validation.
	* Stf multiple-separators-as-one fix.

Andreas:
	* Rewrite remaining analysis tools
          to use the gnumeric-expr-entry widget.
	* Rewrite goal seek dialog to use the
	  gnumeric-expr-entry widget.

Jody:
	* Offer config var to control compression level
	* Fix color selectors for drawing objects.
	* Re-enable support for row vectors in graphs.
	* Allow string functions to accept numbers as strings.
	* Font selector in cell format dialog
	* Off by 1 error when undoing unhiding cols/rows
	* Improve handling of Cancel during File -> Quit
	* Autoscroll support during object creation
	* Fix MINVERSE
	* CODE assumes unsigned char
	* Improve parser's handling of integers larger than int.
	* Improve cursor & scroll bounds checking.
	* Fix graph leaks.
	* Allow xls exporter to (poorly) handle large format regions.
	* Fix changing data for graphs
	* Format match can match strings, don't assume only numbers.
	* Improve XL chart import.
	* Plug memory leaks.

John Gotts:
	* Make bonobo optional in the sample rpm specfile.

Jukka:
	* Improved COUPDAYS() and COUPDAYBS().

Morten:
	* New Search Control Center.
	* Find/Fix memory leaks.

--------------------------------------------------------------------------
Gnumeric 0.71

Almer:
	* Core support for validation and conditional formats.

Andreas:
	* Rewrite descriptive statistics, correlation, covariance,
          and rank analysis tool dialogs to use the gnumeric-expr-entry widget.

Christopher Keith Fairbairn:
	* Add a 'Fill' menu connection to autofill.

Eric Baudais:
	* Improve function documentation generator.

Jody:
	* Enable XL import for graphs.
	* Import/Export/Edit Hidden/Locked attributes.
	* Parse using the assigned fmt before checking the builtins.
	* Enable basic attributes when importing shapes from XL.
	* Add simple bucketing of range dependencies.
	* Formatting extensions and corrections.
	* Some simple recalc tuning speeds things up by a factor of 2.
	* Basic version of just in time rendering for another factor of 2.
	* Cleanup the DOM based xml import/export utilities.
	* Remove irritating frame around bonobo objects.
	* Make the sheet object control points prettier.
	* Off by 1 pixel/pt error when handling right/center alignment.
	* Improve sheet object menus.
	* Reworked the Text Combo,
	* Remove the eval queue.
	* Improve the Histogram tool slightly.
	* Improve INDIRECT.
	* Sort the function names for the index generator.
	* Fix handling of mixed mode references.
	* Convert lines/arrows/boxes/ovals to StyleColor.
	* Correct sensitivity of menus & toolbars.
	* Some initial guess work on how to import conditional XL formats.
	* bump bonobo req to 1.0.8 to fix the memory problem.
	* bump the gnome-print req to 0.29 in an effort to decrease
	  the number of problems with gnome-print installs.

Jukka:
	* Fixed COUPNUM().
	* MPS importer plugin implemented.  Reads a linear program in MPS
	  format and creates a spreadsheet model of it.  Currently, the
	  bounds and ranges are not implemented yet.

Marc Johnson:
	* The POI project has contributed an xml schema for .gnumeric files.

Morten:
	* Speed up font handling.
	* Speed up dependency handling.
	* Eliminate deep recursion during dependency dirtying.
	* Fix the python and python-loader modules.  (Work around mind-
	  boggling bug in python.  Again.)
	* Various code cleanup.
	* Fix regression.
	* Implemented querying in search-and-replace.
	* Implemented Search.

Toralf Lund:
	* improve the oleo importer.

Wayne Schuller:
	* Support gray scale patterns when printing.
	* Improve Header/Footer page for printer setup.

Yukihiro Nakai:
	* Improve font handling for multi-byte environments.

Zbigniew:
	* Support for translations in plugin.xml files using xml-i18n-tools
	  (modified xml file structure a bit).
	* Sped up Gnumeric compilation by replacing #include <gnome.h> with
	  something smaller in almost all source files.

--------------------------------------------------------------------------
Gnumeric 0.70

Ariel:
	* Make guile a proper plugin.

Jody :
	* Basic support for M-Enter to add embedded newlines.

Lutz:
	* Object printing work.

Morten:
	* Make CEIL more as users expect (based on Jody's idea).

--------------------------------------------------------------------------
Gnumeric 0.69

Almer:
	* Add extra cut/copy/paste shortcut keys.
	* Improve the function selector.
	* Simplify background/pattern preview in cell-format dialog.
	* Make sure entered text never gets lost.
	* Equalize the look of all the dialogs.
	* More work on group/ungroup.

Ariel:
	* Rewrite guile plugin to use guile 1.5 or later.

Andreas:
	* Rewrite descriptive statistics, correlation and covariance
	  analysis improving error checks and labels for data sets.
	* Remove duplicate calculation code in analysis tools.
	* Fix sampling tool.

Jody:
	* XL export for panes.
	* Some autoscroll bugs with panes.
	* Cursor support for panes.
	* Improve INDIRECT.
	* More smarts for autofill by month/year.
	* Add some new icons from the Evolution team.
	* Fix import of files generated by perl::writeExcel.
	* Fix animated cursors and sheet objects.
	* Fix XL import of print scaling.
	* Locales with different LC_NUMERIC & LC_MONETARY.
	* merge in several contributions to improve configure.in
	* merge in updated debian control files.
	* merge in contributed man page.

Morten:
	* Fix MODE.
	* Clean up LARGE, SMALL, QUARTILE, PERCENTILE.
	* Give the range functions a home of their own.

Frodo Looijaard:
	* Add import support for Psion.

Zbigniew:
	* i18n fixes.
	* Add precedence scheme for importers.

--------------------------------------------------------------------------
Gnumeric 0.68

Almer:
	* Fix backspace key.
	* Fix autosave dialog.
	* Improve scrollbars.
	* Fix double-click autofill.
	* Shine-up string functions.
	* Fix STF for CRLF terminated files.
	* Fix bounds handling and leakage in STF.
	* Add csv default importing + probing.
	* Improve font preview in cell format dialog.

Andreas:
	* Fix bugs in analysis-tools' t-test.
	* Finish two-factor anova tool in analysis-tools.
	* Adjust scrollbars when outputting data analysis results.

Jody:
	* Even more missing files.
	* Crash after exiting 1 of many shared views.
	* Bug when printing wrapped text in merged cells.
	* Frozen panes.
	* Some span bugs.
	* Usability tuning (Thanks to auspex, UnNamed, & jwz)
	* Misc bugs.

Morten:
	* Improve bsd support.
	* Fix CONCATENATE.
	* Fix MULTINOMIAL.
	* Fix LCM.
	* Fix dependency tracking problem.

Rodrigo:
	* Update gda support.

Nakai:
	* Over-the-Spot style support for XIM.

Lutz:
	* Introduction of placeholders named "FileOperations" and
	  "PrintOperations" that help components to put their own menus into
	  the right place.

Zbigniew:
	* Use temporary files to handle saving to BonoboStream with every
	  file saver.

--------------------------------------------------------------------------
Gnumeric 0.67

Jody :
	* Restore missing files.

John Gotts :
	* Update spec file.

Zbigniew:
	* Fix libml1 bug exposed by progress monitor.

--------------------------------------------------------------------------
Gnumeric 0.66

Almer:
	* Some work on the SAX importer.
	* Finish Group/Ungroup.
	* Clean-up the STF importer.
	* Add support for multicharacter separators
	  and quoted cells with newlines to the STF
	  importer.
	* Clean-up row naming.
	* Fix the STF exporter (it works again).
	* Add new consolidation feature.
	* Keyboard Shortcuts for moving and formatting.

Elliot:
	* Financial functions.

Jody:
	* Fix ctrl-enter filling.
	* Reorganize the recalc queue to speed things up a bit.
	* Support iteration.
	* Fix FV arguments.
	* Support conditional number formats.
	* Obscure referencing bug.
	* Scaled printing.
	* Some number formatting bugs.

Juan Pablo Mendoza:
	* Handle {caps,number,scroll}lock.
	* Improve sheet name quoting.

Morten:
	* Fix PV.
	* Applied some much-needed TLC to fn-financial.c and fn-eng.c.
	* Speed-up Gnumeric function calls.
	* Killed a zillion problems pointed out by gcc 3.0 warnings.
	* Improve goal seeking slightly.
	* Fix RATE and IRR.

Zbigniew:
	* More work on plugin system.
	* Many i/o system improvements (general cleanup, reporing i/o progress,
	  better probing, nicer import dialog, pluggable default savers,
	  handling single sheet exporters in a special way)

--------------------------------------------------------------------------
Gnumeric 0.65

Almer:
	* Fix a variety of bugs and other issues.
	* Improve parser error messages.
	* Implement undo/redo for Zoom.
	* Make undo/redo descriptors more descriptive.
	* Complete the CELL function.
	* Drastically revise and fix-up the color combo's.
	* Architectural improvements for preview-grid, menu state, etc.

Chema:
	* GNUMERIC_ENABLE_XL_OVERWRITE
	* Implemented clone, write and load for some sheet objects

Jody:
	* Restore horizontal FILL alignment.
	* Fix array intercept checking.
	* Some fine tuning to improve start and exit times.
	* Merge cell & hidden column interactions
	* Some XL import improvement when parsing objects
	* Improve XL95 export and include merged regions & outlines
	* Fix some irritating mouse behaviors
	* More system portability enhancements.
	* Support fraction formatting (not parsing)
	* Fix printing of borders.
	* Improve checking for array/merged region division.
	* Prep for frozen panes.
	* Partial support for outline mode
	* Misc bugs.

Jon Kåre:
	* New architecture for selecting cell ranges into dialogs.
	* Fix dialog placement.

Juan Pablo Mendoza:
	* Improve col and row sizing when cloning a cell.
	* Catch many bugs with merged regions.
	* Bug fix for supporting maximized windows.

Morten:
	* Changed a large number of dirty diapers.
	* Plugged gnumeric leaks too.
	* Make search-and-destroy work better on comments.
	* Fixed parsing of numbers like "-4,885".  (We used to get -3115
	  == -4 * 1000 + 885...)
	* Fixed formulae with leading dash, like "-995/5".
	* Fixed MID, FIND, LEFT, RIGHT, LOWER, UPPER, PROPER, CLEAN, LEN,
	  EXACT, REPT.
	* Improve signed-vs-unsigned situation.
	* Fixed sorting dialog in the by-row case.

Vlad Harchev
	* Improve i18n support for XL import/export

Zbigniew:
	* Added support for plugin dependencies
	* Made Excel a real plugin.
	* Improved plugin system performance & scalability.

--------------------------------------------------------------------------
Gnumeric 0.64

Almer:
	* Improve scrollbars.

Jody:
	* Fix handling of edit pos while extending out of merged regions.
	* Fix format toolbar update.
	* Fix merge undo.
	* Fix interactions between spans and hidden rows/cols.
	* Work around xls files which specify col/row too small.
	* Header redraw of shrinking selections with merged full col/row

Morten:
	* Make search-and-replace dialog non-modal.
	* Released version 2 -- a cute little thing of about 3k.  She
	  leaks, though.

Vlad Harchev:
	* Improved themed behaviour.
	* Improved character set behaviour.

Zbigniew Chyla:
	* More work on plugins.

--------------------------------------------------------------------------
Gnumeric 0.63

Almer:
	* menu state improvements.

Jody:
	* Fix parenthesis for XL export.
	* Enable right/left indent.
	* Sheet prefs IO and MVC support.
	* MVC fixes.

Morten:
	* Column header drawing fix.
	* [Linear] Regression fix.

Jon Kåre:
	* item-edit fix.

Translations:
	* Updated: de (Karl), ja (Yukihiro Nakai), pl (Zbigniew), and maybe
	more.

--------------------------------------------------------------------------
Gnumeric 0.62

Chema:
	* Massive bug hunting spree.

Jody:
	* Finish merged cells.
	* Rework style engine.
	* Rework borders.
	* Improve range selection for expressions.
	* Fix sheet objects.
	* Fix stupid memory corruption problem in the applix importer.
	* Some mis-translations for spanish.
	* Improve pixel matching of XL import.
	* Add option to manage printing ranges with only styles.

Jon Kåre:
	* Improve file save dialog.

Morten:
	* Make rounding functions (ROUND, TRUNC, FLOOR, CEIL, ...) behave
	  more like most users expect.  The number 1.54999...9 will now
	  be rounded to 1.6, not 1.5.  In other words, we are assuming that
	  the number is really meant to be 1.55, but has suffered
	  floating point effects.  (If you ever truly get a number that
	  is within DBL_EPSILON of a rounding threshold, well, then you
	  lose.  With a binary representation, we cannot all win.)
	* Leak plugging as usual.
	* Created and/or stole a number of tools to make life easier for
	  developers.
	* Cleaned up gnumeric-bonobo's GUI.
	* Search and replace.

JPablo:
	* Search and replace.

Zbigniew Chyla:
	* Internationalization support for autoformat.
	* Rework plugin architecture.

Translations:
	* Updated: ca (Pablo), de (Karl), hu (Szabolcs), it (Leandro),
          ru (Valek), sk (Stanislav), sv (Christian), tr (Fatih), and
          maybe more.

--------------------------------------------------------------------------
Gnumeric 0.61

Alan Cox:
	* Fix formatting mistakes in documentation.

Chema:
	* Some work on the name dialog.

Jody:
	* Work on sheet object persistence.
	* Begin honouring the current format when parsing.
	* More work on merged cell support.
	* Improve cursor rubber banding when selecting a range.

Morten:
	* Fix scripts generating documentation.
	* Fixed lotus file format loader.  (Magic detection,
	  avoid unaligned memory accesses, leaks.)

--------------------------------------------------------------------------
Gnumeric 0.60

Jody:
	* Initial work on supporting merged cells.
	* Improve sheet object and cell comment infrastructure.
	* More work on expression relocation.
	* Bugs.

Jon Kåre:
	* Improve XL export of non-builtin functions.

Morten:
	* Semi-smart undo/redo list truncation.
	* Fix serious crash during gnumeric-format save.
	* Plug leaks.

--------------------------------------------------------------------------
Gnumeric 0.59

Almer:
	* Minor improvements to the autoformat dialog.

--------------------------------------------------------------------------
Gnumeric 0.58

Ariel:
	* Cleanup and general bugfixing in guile plugin.
	* Support for values inside the Guile interpreter

Almer:
	* Undo for autoformat.
	* Beautify stf dialog.
	* Stf and other bugfixes.

Chema:
	* Massive bug hunting spree.

Jody:
	* Massive bug fixing spree.
	* Fix popup context menus.
	* 'General' number formats.
	* Some initial work on an MVC split for workbooks.
	* More work on double click fill support.

Jon Kåre:
	* When format toolbar is vertical, replace font and size
	  selectors with a button.

Morten:
	* Fixed analysis tools for ranges not starting at A1.
	* Isolated floating-point-double reading code with endian-issues
	  in one spot rather than in all file io plugins.

Kenneth:
        * Fixed and updated the i18n subsystem, so it how should work
          more smooth - I will consider this very close to finished.

--------------------------------------------------------------------------
Gnumeric 0.57

Almer:
	* Fix stf importer bugs.
	* Add "Autodiscovery" feature to stf fixed width importer.
	* New Autoformat dialog.

Chema:
	* Sheet copy routine

Hardy Falk:
	* Output the cells in row/col sequence, rather than by hash.

Jody:
	* Applix support mostly functional.
	* Improve support for named expressions.
	* Name and Graph gurus support range selection.
	* Improve internation keyboard support.
	* Fix XIRR and friends so that they support blanks.
	* A few more bugs in printing multiline text.
	* Correct handling of number formatting in intl locales.
	* Lots of formatting bugs.
	* Handle strings used as arguments to numeric operators.
	* Support for non-cell dependencies.
	* Improve performance and decrease memory for large row/col resizes.
	* Bug fixes for ins/del row/col & cut&paste
	* Locale safe formatting.

John Gill:
	* Double click fill support.

Jon Kåre:
        * Make print work with new gnome-print
	* Lots of printing/margin bugs.

JPR:
	* Put more effort into reverse engineering MATCH (and friends)
	  than you want to know about.
	* Fixed sort to ignore hidden rows/cols.

Jukka:
	* Implementation of `Anova: Two-Factor With Replication'
	  and `Histogram' data analysis tools mostly
	* Implemented COUPNUM and COUPNCD
	* Implemented TRUE and FALSE logical functions
	* Started the implementation of COUPDAYBS and COUPDAYS.

Kenneth:
	* Created xml2pot script, and integrated it with Gnumeric
	* Update update.pl script to make it more genetic, and work
	  with the xml2pot script. It actually now requires it.
	* Updated the spec file a little.
        * Made 'make update-po' and 'make dist' work with new update.pl

Matthew D. Bissiri:
	* Paste special arithmetic operations, skip blanks, paste link.

Michael Levy:
	* Improve the colour combo box.

Morten:
	* Cleanup analysis tool code.
	* Eliminate many fixed limits in the code.  (Still some to go.)
	* Rewrote SUMPRODUCT.
	* Fixed array and range traversal order, thus fixing all strict
	  range functions.  (SUM, MIN, ...)
	* Fixed many bogusities in xbase plugin.
	* Cleanup limits in numtheory.  Added BITXOR.
	* Fixed RATE, SLD, and SYD.
	* Improved RATE's and IRR's root searching.

Pablo De Napoli:
	* New NT_MU function in numtheory.

Thomas Canty:
	* Updated and improved documentation.

Weston:
	* Implement DateDif.
	* Fix chitest.

Translations:
	* Updated: da (Kenneth and Keld), de (Karl), en_GB (Robert), ko
	  (Sung-Hyun Nam), no (Kjartan), ru (Valek), uk (Yuri), maybe more.
	* Update not new, but not mentioned the last time: pl (Zbigniew).
	* Updated: nl (Almer). Not all done yet.

--------------------------------------------------------------------------
Gnumeric 0.55/0.56

Almer:
	* Stf importer bug fixes and enhancements.

Jody:
	* Speedup workbook exit, copy/paste.
	* Improve cut/copy/paste.
	* Improve col/row resize.
	* Undo for copy/paste, autofill, col/row resize
	* More work on formula guru.
	* Extend auto-fill to support months and years.
	* Some translation bugs.

Jon Kåre:
	* Tooltips for combo boxes.
	* Synchronize list selection with entry field in combo boxes.
	* Make  units in print setup dialog user selectable.
	* More dialog polishing.

JPR:
	* Sorting now moves styles with the elements
	* Sorting now detects headers when sorting

Kenneth
	* Added two perl scripts for translation help/maintainence.
          Also added is a README.tools file, explaining how to use these.

Michael:
	* Fix tricky Excel import problem.
	* Split libole2 out into a standalone package.

Miguel:
	* Added support for autocompletion.

Morten:
	* Changed a bunch of internals to work with StyleFormats instead
	  of throwing strings around.
	* Improved the optimization of styles.
	* Fix ROUND.
	* Make sorts stable.
	* Make sorts faster.

Translations:
	* Updated: da (Kenneth), de (Karl), ja (Oka/Nakai), no
        (Kjartan), pt (Tiago), ru (Valek), maybe more.
	* Update not new, but not mentioned the last time: it (Leandro).

--------------------------------------------------------------------------
Gnumeric 0.54

Jacob:
	* Enable mini icons when available.

Jody:
	* Bug fixes.
	* Initial applix import.
	* Improve row/col insert/del.

JonKare:
	* Lots of dialog polishing.
	* Autoscrolling combo boxes.
	* Make tearoff combo boxes behave more like tearoff menus.

Michael:
	* Get embedded gnumeric working again.

Translations:
        * New: gl (Jesus).
	* Updated: de (Karl), no (Kjartan), sv (Andreas), and more.

--------------------------------------------------------------------------
Gnumeric 0.53

Morten:
	* Fixed QUARTILE.
	* Fixed MATCH for types -1 and +1.

Jody:
	* Overhaul cell structure to cleanup temp formats, improve spans.
	* Improve array formula entry, editing, and xml-io.
	* Share formulas persisted using xml.
	* Add auto-sum
	* Improve versioning.
	* Decrease memory usage.

Michael:
	* Accelerated intersheet dependencies

Marko:
	* Number theory functions.  (In new plugin.)

Almer:
	* Stf-exporter
	* Bug-fix stf importer.

Translations:
	* Updated: da (Keld and Kenneth), de (Karl), en_GB (Robert), es
	  (Pablo), no (Kjartan), ru (Valek), uk (Yuri), and more.

--------------------------------------------------------------------------
Gnumeric 0.52

Jon:
	* Tearoff combo boxes

Jody:
	* Bugs fixes.
	* Correct doc generation.
	* Improve update status area (autoexpr, editor, format tools)
	* Rework canvas editor to behave nicely at boundaries and
	  span correctly.

Morten:
	* Leak fixes.  Bug other people about leaks.
	* IPMT, PPMT argument order corrected.
	* MIRR fixed (or at least changed) to match Excel.
	* RATE, IRR, XIRR use supplied guess.
	* Improve precision of IRR.
	* Made auto-format work for sheet-relative cellrefs, i.e.,
	  "=sum(a1:a10)" now takes a default format from the range.
	* Made generated postscript files (print to file) contain enough
	  information to let ghostview go back and forth in them.
	* Made landscape previews readable.

--------------------------------------------------------------------------
Gnumeric 0.49

Jukka:
	* Added `>=' and `=' constraint support for the Solver tool.
	* The Solver input variables can now have the negative values too.
	* Added `Int' constraints support by implementing the
	  Branch-And-Bound algorithm.
	* The Solver parameters are now saved/loaded when the workbook
	  is saved/loaded.
	* Implemented `Answer Report' generation for Solver.
	* Started implementation of `Sensitivity Report' generation for
	  Solver (currently, not very useful though).
	* Major GUI improvementes for Solver, i.g. Solver constraints
          can now be cell ranges, not just cells.
	* Solver documentation added.
	* Added `Advanced Filter' tool.
	* Added the following distributions for the random number
	  generation tool:
	  - Poisson
	  - Binomial
	  - Negative binomial
	  - Exponential
	* Minor improvements for the AutoSave tool.
	* GUI improvements for the Data Analysis tool.
	* Added RandExp(), RandPoisson(), RandBinom(), RandNegBinom(),
	  and RandBernoulli() functions.

Jody:
	* Redraw improvements (cursor, selection, spanning, speed, underlining)
	* Border improvements (combo, printing, partial double line).
	* More work on undo.
	* Parse interbook references.
	* Mostly correct sizing of MS Excel cols/rows and objects.
	* Printing improvements.
	* Selecting ranges for formulas on other sheets.

Jon:
	* GUI polishing.
	* File history improvements.
	* Python plugin enhancements.
        * Error reporting improvements.
	* Cursor fixes and speedups.
	* CORBA bugfixes.

ERDI Gergo :
	* Add a zoom element to the toolbar.

Michael:
	* Style undo/redo
	* Gnome Basic integration

Miguel:
	* Charting work
	* Wizard for charting
	* Bug fixes.
	* Visual cell references while editing.
	* Implemented Gnumeric-side vectors for graphics support.

Dom Lachowicz :
	* libgladify the plugin manager.
	* Improve color combo.
	* Lots of DIV0 cases in functions caught elegantly.

Mike Kestner:
	* Add file menu file history.
	* Style preserving column/row insertion(configurable, defaults on)

Almer :
	* "Structured" Text Format Importer (STF) (Customizable CSV/Fixed Width importer)
	  - Merged with Gnumeric main source (no longer plug-in) and completely revised.
	  - Pops-up when pasting from external applications.
	  - Preview is drawn faster and is interactive.
	  - More separators to choose from when doing a CSV import.
	* Copying cells between different instantances of gnumeric.

Morten:
	* Fixed display of pre-1900 dates.
	* Fixed display of very large numbers.
	* Went on a warning-killing spree.

Ariel:
	* Guile plugin can now register functions in user given categories.

JP:
	* Add sorting functionality to workbook toolbar
	* Sorting fixes
	* Add basic attribute support for workbooks
--------------------------------------------------------------------------

Gnumeric 0.48

Miguel:
	* Fix annoying flashing cursor bug.

Jody:
	* Improve inter{sheet,book} references.
	* Beginnings of Undo.
	* Row/Col hiding.
	* Keep cursor visible, Add Alt-Pg{Up,down}
	* Clipboard, Selection, & border fixes.

Morten:
	* Revamp the memory handling of the parser.
	* Fixed goal seek's behaviour on cancel and failure.
	* Bogotised PRODUCT and introduced G_PRODUCT.
	* Implemented the auto-format feature.

Jon:
	* Found xml io font size loading bug.
	* Excel export clean.
	* Python plugin update: Allow calling Gnumeric builtins from
	  Python.

Michael:
	* Re-wrote dependency engine; lots more speed.

Ariel:
	* Improvements on VALUE_BOOL management on the guile plugin.
	* Bug fixes.

Jukka:
	* Implemented `AutoSave' tool.
	* Started `AutoCorrect' tool.
	* Some minor improvements to the Solver tool.

JP:
	* Sorting undo/redo
--------------------------------------------------------------------------

Gnumeric 0.47

Michael :
	* Fix nasty recalc bug that would hang the app.
	* Improve bounding box calculation for printing.

Miguel :
	* Improve empty cell loading.
	* Re-enable pasting from X.
	* Adjust semantics of paste to work even when selection is not
	  visible.

Jody :
	* Fix import plugins.

--------------------------------------------------------------------------

Gnumeric 0.46

Michael:
	* Fixed problems closing workbooks
	* Add pristine workbook discard
	* Fixup html export.
	* Fixed print header/footer setup, users should remove
	  ~/.gnome/Gnumeric to speedup load.

Jon:
	* Lots of Excel style export work:
	format, font, colors, borders, alignment, wrap, rotation.
	* Excel export row/col sizing.
	* Excel fixed up DBCELL collating to export lots of rows correctly.

JP:
	* Added sorting of infinite ranges
	* Got rid of blank sheets when printing

Frank:
	* Worked on Excel summary export

Jody:
	* Begin exception handling for corba vs gui.
	* Add some simple version protection for plugins.
	* Improve error reporting for file loading.
	* Explicitly disable passord protected XL spreadsheets.
	* Bug fixing.

Cort:
	* Expanded CORBA API.

Andrew:
	* Many improvement for multi-dimensional linear regression.

Jukka:
	* Implemented Simplex algorithm for Solver
	* Solver can now solve some simple LP problems (more interesting
	  stuff is coming later).

Ariel:
	* Added guile plugin documentation.
	* Removed redeclaration of functions.
	* Removed security hazard on the definition of scm_eval.
	* Improvements on VALUE management.
	* Added Fibonacci formula
	* Split the guile scheme files into gnumeric_startup.scm and
	  functions.scm
	* Bug fixing.

--------------------------------------------------------------------------

Gnumeric 0.45

JP:
	* Improved sort dialog

Nat:
	* Updated bonobo infastructure

Kevin:
	* Plan Perfect plugin
	* DIF export / import

Jody:
	* Improved clipboard ops.
	* import Excel auto-ranges
	* better range instersection
	* Guile plugin fixed
	* Auto fill display fixes.

Jon:
	* Style hashing

Michael:
	* Misc cleans
	* Fix #2110

--------------------------------------------------------------------------

Gnumeric 0.44

Jon:
	* Vastly improved col / row sizing in excel import
	* ditto for Excel object placement.

JP:
	* Expanded sort dialog to allow sorting of rows as well as columns
	* Added advanced button to sort dialog to allow sorting but case
	sensitivty and text (rather value)

--------------------------------------------------------------------------

Gnumeric 0.43

	* Minor build fix.

--------------------------------------------------------------------------

Gnumeric 0.42

Michael:
	* Totaly re-wrote style engine.

Jukka:
	* Implemented IRR and XIRR financial functions
	* Fixed the handling of the database function criterias
	* Fixed the non-numeric return values of DGET
	* One-dimensional GROWTH and TREND should work now
	* Documentation of the db functions improved

Jody:
	* Complete transition of cut/paste to cell movement code.
	* 1st pass at borders & patterns
	* Improve edit popup.
	* Rework cell format dialog.
	* Some support for inter book references (no dependencies yet)

Daniel:
	* Excel Name export.

Federico:
	* Improved dragging and zooming behavior in the print preview.
	* Added "open hand" and "closed hand" cursors for dragging the
	  print preview.

Robert:
	* Primitive oleo import : supports numbers and text.

Frank:
	* Huge chunk of summary-info re-structuring.
	* Import and export lots of new summary fields.

JPR:
	* Improving sort dialog

Jeff:
	* Sylk import filter.
	* CSV export filter.

--------------------------------------------------------------------------

Gnumeric 0.41

	* More recalculation bugs & other minor issues fixed.
	* Base release before Style mangling.

--------------------------------------------------------------------------

Gnumeric 0.40

Miguel:
	* Important recalculation bugs fixed.

--------------------------------------------------------------------------

Gnumeric 0.39

Miguel:

	* Arbitraryly shaped bonobo objects.
	* Formatting engine supports h,m,s correctly and supports [h], [m], and [s]

Jukka:
	* Started implementation of GROWTH function
	* Optional argument fixes for TREND function

Arturo:
	* Split libole2 + test program.
	* Large excel file support > 8Mb.

Michael:
	* Start of sheet/workbook/global name scoping.

Jody:
	* Some Optimization.
	* Enhance row/col insert/delete, cell shift, and cell cut/paste.
	* Some eye candy.

Jon K Hellan:
	* Dialog improvements.

--------------------------------------------------------------------------

Gnumeric 0.36

Jody:
	* Improve selection to correctly handle overlapping ranges.
	* Improve XL import of 'escher' stream for pictures and objects.
	* Enabled import of XL objects by default.
	* Rewrite zoom dialog.

Jukka:
	* Major clean up to the documentation of functions.
	* Added tons of examples to functions.
	* Added ``Delete...'' entry to ``Edit'' menu.
	* Implemented PERCENTILE function.
	* Fixed PERCENTRANK function.

Miguel:
	* New toolbar code.
	* Report font type, support for reporting size
	* New format apply buttons for money, percent.
	* More commands to format/row/col/sheet
	* Bumped row limit to 64k

Michael:
	* Support IO on non-mmap-able excel files.
	* Totaly re-write libole2's API - its usable now.
	* Excel export 'Add-in' functions.

Frank:
	* Excel summary info export.

--------------------------------------------------------------------------

Gnumeric 0.33, 0.34, 0.35

Jukka:
	* Implemented ACCRINT, ACCRINTM, DISC, FVSCHEDULE, INTRATE,
	  ISPMT, RECEIVED, PRICEDISC, PRICEMAT, TBILLEQ, TBILLPRICE,
	  and TBILLYIELD functions

Michael:
	* Re-implemented sheet objects,
	* Implemented drop filename -> Bonobo component conversion,
	* More intelligent workbook sizing.
	* Fixed sheet tab focus / editing.
	* Per sheet page setup / preview.
	* Print setups XML I/O & Excel importing
	* Functions MATCH & INDEX started.
	* Array input parser.

--------------------------------------------------------------------------

Gnumeric 0.33, 0.34, 0.35

Jukka:
	* Implemented ACCRINT, ACCRINTM, DISC, FVSCHEDULE, INTRATE,
	  ISPMT, RECEIVED, PRICEDISC, PRICEMAT, TBILLEQ, TBILLPRICE,
	  and TBILLYIELD functions

Miguel:
	* Implemented Print Preview

Jody:
	* Bug fixes.

--------------------------------------------------------------------------

Gnumeric 0.32

Jukka:
	* More work done on documenting the analysis tools.
	* Implemented MDETERM and MINVERSE matrix functions.
	* Finished the ROMAN function completing the mathematical
          functions.
	* Implemented DB, DDB, FREQUENCY, QUARTILE, and XNPV functions.
	* Started the implementation of LINEST and TREND functions.
	* Fixed DOLLAR, DOLLARDE, DOLLARFR, and PROB functions.

Michael:
	* Added GUI for Summary Info.
	* Enabled function wizard.
	* Initial stab at Lotus 123: 'wk1', 'wks' import.
	* Added GUI for Names.
	* Better Excel string importing.
	* Fix for padded number insertion ( fixes CSV import )
	* Implemented ISREF, INDIRECT improved CELL
	* Fixed several database functions.
	* Non-relative R1C1 style references.

Jody:
	* Enable Array formulas.
	* Add VALUE_BOOLEAN, VALUE_ERROR, and  OPER_PERCENT
	* Added EOMONTH, WORKDAY, NETWORKDAYS.
	* Work on functions : ROW, COLUMN, ISLOGICAL, ISERR, ISBLANK,
          DATEVALUE
	* Support implict intersection 'feature' of XL for functions,
	  NOT operators.
	* Support Ctrl-Arrow movement & selection.  Make moving corner of
	  selection visible.
	* Support F4 switching between absolute and relative addressing
	  modes
	* Reworked internal handling of absolute/relative addressing.
	* Fixed cut/copy/paste to relocate relative references to only
	  when copying not cuting.

Jay:

	* Implemented BESSELI, BESSELK completing the engineering functions.

Miguel:
	* Bonobo support is working again.
	* Added Moniker support for the Workbooks
	* Made the Workbook a GtkObject;
	* Made Workbook a GnomeContainer object
	* EmbeddableGrids now can be returned from get_object to provide linking support.
	* Added a signal for cell_content_changed for the speech support.
	* Removed function wizard.
	* Fixed locale setting and switching for file IO.
	* Updated the CORBA interface for setting cell attributes.
	* Killed some dead code.
	* All IO code now takes an existing workbook to load information into,
	  rather than creating a new workbook and returning it.
	* Scrolling sheet tabs.

--------------------------------------------------------------------------

Gnumeric 0.31

Jukka:
	* Implemented ``Anova: Single Factor'' data analysis tool
	* Implemented ``Anova: Two-Factor Without Replication'' data
	  analysis tool

Jody:
	* Added TEXT, HYPERLINK stub, fixed OFFSET, VALUE.
	* Improve handling of empty cells, and null strings.  Still incomplete.
	* Partial fix formatting/parsing.
	* Bug fixes for Excel import.

Michael:
	* Implemented Summary Information

--------------------------------------------------------------------------

Gnumeric 0.30

Jukka:
	* Bernoulli distribution added to Random Number Generation tool
	* Finished the Rank and Percentile tool
	* Lots of bug fixes and documentation updates to the data
	  analysis tools

Jody:
	* Added TRANSPOSE(), MMULT()
	* Constification.
	* SplitArray exception for array formulas support.
	* Better Excel emulation for insert/delete row/col menus.

Miguel:
	* New font selector widget for the new gnome-print information.

Rasca:
	* New EPS exporter.

--------------------------------------------------------------------------

Gnumeric 0.29

Miguel:
        Added EmbeddableGrid Bonobo support for embedding graphics.
        Added header/footer printing code.
        Extended the CORBA interface for sheets
        Added Grid corba interface
	Fixed Gnumeric compilation
	Include all the plugins again

Rasca Gmelch:
	Troff export
	Improved HTML export
	Improved LaTeX export

Jukka:
        - Implemented Moving Average Tool
        - Started implementation of Rank and Percentile Tool
        - Documented Analysis tools

Jody:
	Display embedded newlines in multi-line-cells

Michael
        * More improved Excel writing code
--------------------------------------------------------------------------

Gnumeric 0.28

Hello guys,

   I have just released version 0.28 of Gnumeric.

   This version main feature is that it adds printing support.
Starting with this release you need to install the gnome-print
package.

* Availability

ftp://ftp.gnome.org/pub/GNOME/sources/gnumeric

* New Features since 0.27

	* Print support (miguel)

	* Improved function wizard (not yet enabled) (Michael)

	*
* New Tools

	* Started the implementation of Data Analysis tools (Jukka)
    	    - Implemented Correlation and Covariance tools
    	    - Implemented Descriptive Statistics Tool
    	    - Implemented Sampling Tool
    	    - Implemented t-Test Tools (paired, assuming equal variance, and
    	      assuming unequal variance)
    	    - Implemented z-Test Tool
    	    - Implemented F-Test Tool
    	    - Implemented Random Number Generation Tool with the following
    	      distributions: Discrete, Normal, and Uniform.

* New Functions

	* Added the following functions (Jukka)
	    - FORECAST() and INTERCEPT().

* Excel support

	* Patterns now match the Excel ones (Jody)

	* Improved writing code (Michael)
	  * Excel can load our formulas now
	  * Text/number work correct (Michael)

	* Completed Excel color handling (Jody)

	* Improved Excel format support for formulas (Jody).

	* Worked on embryonic Excel chart code (Jody).

* File I/O

	* Working CSV code (miguel, alan)

	* Split between importers and loaders (miguel):

	  Importers basically lack a probing routine, so for
	  non-deterministic probing, we use importing instead of loading.

	* HTML importer (Rasca Gmelch)

	* HTML exporter (Rasca)

	* Latex exporter (Rasca)

* Random improvements

	* Prettified sort slightly (Michael).

* Major Bug fixes

	* Pattern selector works again (miguel)

	* Memory leak fixes (Morten)

	* SUMIF() and N() fixed (Jukka).

	* Many translations updated, thanks to our translators.

Best wishes,
Miguel.


Gnumeric 0.27
Hello guys,

   New version of Gnumeric has been released.  Version 0.27

   The next version will most likely merge my code to do printing into
the main branch unless we decide to do a quick bug fix release.  Also,
starting with this release, Gnumeric will be supported by
International GNOME Support (http://www.gnome-support.com).

   Michael Meeks has redone the function definition code, it is much
better and extensible than the code we had before.

* Getting it

	You can get it from:
		ftp://ftp.gnome.org/pub/GNOME/sources/gnumeric

* What is new in this release:

Jukka:
	* Added the following functions:
	 - FTEST(), TTEST(), SUMPRODUCT(), SEARCH(), ADDRESS(),
	   CHITEST(), BETAINV(), PERCENTRANK(), SERIESSUM(), SUMA(),
	   SUBTOTAL(), SLOPE(), AVERAGEA(), MAXA(), MINA(), STDEVA(),
	   STDEVPA(), VARA(), and VARPA().
        * And fixed these functions:
	 - BETADIST(), NORMDIST(), RANK(), and POISSON().
	* Lots of test files added

Morten:
	* Reworked the insert/delete column/row again.
	* Reworked the Goal Seek function to produce more accurate
	  results faster, and fail less often.
	* Improved the recalculation engine.
	* Shined up date calculations.
	* Added WEEKDAY(), DAYS360(), TIMEVALUE().
	* Fixed PROPER(), FLOOR(), SERIESSUM(), ROUND(), ROUNDUP(),
	  ROUNDDOWN(), ATAN2(), MOD(), INT(), COUNT(), COUNTA(),
	  AND(), OR().
	* Improved precision here and there.
	* Fixed font-reusage when writing in Gnumeric's default file
	  format.
	* Fixed cell editing code.
	* Fixed many internationalisation bugs.  Translators, please
	  make sure the default floating-point format, "0.0########",
	  has been translated for your locale.  (German translators,
	  please revisit "Zoom factor should be at least 50%" also, :-)

Miguel
	* Paste-Special/Transpose.
	* Bug fixing.

Sean
	* Implemented 'X-base' importing support (DBase, FoxPro etc.1)

Michael
	* Re-wrote the OLE block layer again...
	* Re-wrote all the function code for more uniformity, lucidity
	and expandibility.
	* Re-wrote the function documentation.
	* Tentative alpha Excel sheet writing
	 - StarOffice is only tested importer
	 - Only Excel 95 likely to 'work'
	 - only basic numbers and text are stored.
	* Fix writing code to preserve sheet order.

Nick Lamb
	* Added excel function mappings.
	* Fixed absolute shared formulae cell references.
	* Supplied a spreadsheet to check date functions.

Jody Goldberg
	* Supplied many new error and error checking functions.
	* Vastly improved Excel color loading.
	* Completed Excel function mappings, as far as possible.

Several translations updated: thanks to our translators

And lots of bugs fixed.

Thanks to all
Miguel.



Gnumeric 0.25
Hello guys,

   Gnumeric 0.25 has been released.  Lots of new things are happening
in this new version, here is a list:

* User visible

	* New functions: BETADIST(), FDIST(), TDIST(), CHIDIST(),
	  CHIINV(), GAMMAINV(), GAMMADIST() from Jukka-Pekka.

	* New functions: SUMSQ(), MULTINOMIAL(), PRODUCT(), SQRTPI().
	  I believe these are from Jukka Pekka, but I do not see a
	  ChangeLog entry.

	* Enhanced Excel importing code even more (Michael Meeks).

	* Goal seek dialog box from Jukka-Pekka works.

	* Round up bug fixed by Morten Welinder.

	* Recomputation bugs for cell ranges fixed (some taxpayers
	  noticed that their loaded sheets were not recalculating at
	  startup, thanks for their input).

* User visible, not ready

	* More Bonobo work.  Start of graphics wizard for use with
	  Guppi, the GNOME plotting engine.


* Foundation work

	* Integration of libglade into Gnumeric.  Now we can design
	  our dialog boxes with Glade and use libglade to load the
	  GUIs.  Thanks to Damon Chaplin for Glade and James
	  Henstridge for libglade and his support with libglade.

	* Made the code use 'const' a lot more (Morten Welinder), this
	  helps making the code more robust.

* Not very visible

	* Assorted batch of bug fixes.

	* A number of memory leaks have been fixed (Morten Welinder).

	* Excel loader can even restore your selection :-) (Michael
	  Meeks).

	* A number of sanity checks from Morten Welinder.

Miguel.


Gnumeric 0.23
Hello guys!

   A new version of Gnumeric has been released, version 0.23.  Trained
eyes will notice that I have skipped version 0.22.  Well, I did not.
I just did not announce it because I had promised not to make a new
release (which I ended up doing) because it included a pile of cool
features.

   So, here is the new stuff since 0.21, major features:

	* Michael Meeks added multiple-clause sort to the sort dialog.

	* GNUMERIC_NORMDIST() function now uses a more efficient
	  method of computation (Morten Wellinder).

	* Should load properly workbooks with references to other
	  sheets.

	* Starts up with a bigger size (Michael).

	* Michael has begun a function wizard, it is disabled in this
	  version by default.

	* RAND() function.

	* Fixes for some cases of circular references (the other cases
	  were fine), by Morten.

	* IF() now can take variable arguments (Michael).

	* Updated documentation

	* Many small fixes.

Getting Gnumeric 0.23:

ftp://ftp.gnome.org/pub/GNOME/sources/gnumeric

Miguel.



Gnumeric 0.21
Hello guys,

   I know, I know.  Too many releases for a day.

   But many good things have been done, and we want all of these
features to be available ASAP to all of you :-).

	1. Morten Welinder implemented a more accurrate algorithm for
	   the variance functions.

	2. Michael Meeks send me lots of updates and changes to Gnumeric:

		a. Column Sorting.
		b. Better dragging of text areas.
		c. Updated documentation on writing functions.
		d. Uses floats on number-entry if the number is
	  	   too large (instead of overflowing like it was doing).
		e. Updated function documentation to mention optional parameters.

   I promise I will be quiet now for a few days.  I really do.

* Availability:

	ftp://ftp.gnome.org/pub/GNOME/sources/gnumeric

Miguel.




Gnumeric 0.19
Hey Dudes!

   New version of Gnumeric has been released.

* New in this version:

   * New infrastructure to simplify writing functions
     with variable arguments (Michael Meeks).

     New token for ranges.

   * Many new functions:

	* Jukka-Pekka Iivonen contributed many finantial functions:
	  DOLLARDE(), DOLLARFR(), NOMINAL(), NPV(), PV(), FV(), PMT(),
	  IPMT(), PPMT(), NPER() and DURATION().

	* Michael Meeks wrote the spreadsheet lookup functions: COLUMN(),
	  COLUMNS(), HLOOKUP(), ROW(), ROWS(), VLOOKLUP()

	* Sean Atkinson improved SUBSTITUTE() and he implemented CONCATENATE(), REPT(), FIND(),
	  FIXED(), PROPER(), REPLACE(), T(), VALUE(), SUBSTITUTE(), DOLLAR()

	* Jukka-Pekka wrote CEILING() and COMBIN().

	* Jukka-Pekka wrote the statistical functions:
	  BINOMDIST(), HARMEAN (), HYPEGEOMDIST(), AVEDEV(), CONFIDENCE(), CRITBINOM(),
	  DEVSQ(), FISHER(), KURT(), NORMDIST(), PERMUT(), SKEW(), STANDARIZE(), WEIBULL(),
	  FISHERINV(), NORMSDIST() and LOGNORMDIST(), CORREL(),
	  COVAR(), MODE(), NEGBINOMDIST(), RANK(), TRIMMEAN().

	* Michael Meekrs wrote POISSON(), DELTA(), GESTEP().


    * Many bug fixes

	* Daniel Veillard fixed the bug with saving cells that had the "&" inside.

	* Cleanups from Michael to use the new variable arguments code.

        * Various typo fixes.

* Availability:

	ftp://ftp.gnome.org/pub/GNOME/sources/gnumeric/gnumeric-0.19.tar.gz


Miguel.



Gnumeric 0.18
Hello guys,

   New gnumeric is out.

   This is mainly a bug fix release

* Features:

	- More functions from Michael Meeks

	- Bug fix: Applying a cell number format should work again inmediately
	  (it was not queuing the re-rendering operation).

	- Bug fix: Precedence fixes: when decoding the tree to render a text
	  representation, I was not properly considering the case for
	  same-priority but different meaning operations.

	  Should work now. (ie, it will correctly decode 1/(c4*d4)
	  again.

	- New code: integer overflow/underflow detection code.  Now
	  addition and substraction will be promoted to floating point
	  values if there is a overflow in the computation.

* Availability:

	ftp://ftp.gnome.org/pub/GNOME/sources/gnumeric/gnumeric-0.18.tar.gz



Gnumeric 0.17
Hello guys,

   New version of Gnumeric is out:

* Availability:

	ftp://ftp.gnome.org/pub/GNOME/sources/gnumeric

* Changes and new features:

	* Financial functions (effect, sln, syd) from Vladimir Vuksan.

	* Engineering functions (power, gammaln, poisson, expondist,
	  sign, trunc) from Michael Meeks.

	* Statistical functions (stdev, stdevp, var, varp, gcd,
	  geomean,) from Michael Meeks.

	* Fixes to the clipboard code (should paste formulas to other
	  applications correctly and fix the inter-worbook pastes).

	* External function loading works for Excel files.

	* Cleaned up the Excel code (Michael)

	* Should compile in AIX again.

* Documentation

	* As usual, all of the Gnumeric functions are documented.




Gnumeric 0.16
Hello guys,

   New version of Gnumeric is out:

* Availability:

	ftp://ftp.gnome.org/pub/GNOME/sources/gnumeric

* Changes and new features:

	* Cell ranges will work properly if they are not in their
	  natural order (fixes the bug reported about SUM (C1:A1) not
	  working and a whole range of similar problems).

	* CLEAN() function fixed.

	* New text exporting plugin from Takashi Matsuda.

	* We use gdk_fontset_load now to load fonts instead of
	  gdk_font_load, this should make the code work for various
	  international users (Takashi).

	* Entering data with XIM on the sheet should work now as well
	  (Takashi).

	* Paste-by-value has been fixed by Takashi as well.

	* cell_set_format_from_style has been speeded up by Michael
	  Meeks.

	* Excel importer no longer has static buffers (removes various
	  problems reported by people) (Michael Meeks).

	* Excel importing code should be significantly faster and less
	  verbose now (Michael Meeks).

Miguel.



Gnumeric 0.14
Hey guys!

   This is the release of Gnumeric "Simplified Bonobo" 0.14.

   The only difference between Gnumeric 0.13 and 0.14 is that 0.14
ships in a way that makes the install process use the documentation as
it was generated in my machine (that means, you do not need the
Docbook tools installed in your system to get the documentation).

Best wishes,
miguel.



Gnumeric 0.13
Hello guys,

   I have just released Gnumeric "Superstitious Bonobo" 0.13.  This
version is as usual available in:

 	ftp://ftp.gnome.org/pub/GNOME/sources/gnumeric

These are the new features in this version:

	1. Excel loading is much faster now (Michael Meeks)

	2. More excel sheets load now (Michael)

	3. Various compilation fixes from Tim Mooney for some
	   strict C compilers (Digital C compiler in this case).

	4. Now it recalcs cells when you have cleared values or
	   removed cells (just a missing call to workbook_recalc was missing).

	5. Install/compile fixes from Raja Harinath.

	6. Implemented new functions: "ISERROR" and "NOT".

	7. Copy/paste fixes in the presence of errors in the spreadsheet.

	8. Small display glitch fix.

	9. Add type checking to functions that take a constant number of arguments.

	10. Upper case format letters are now accepted.

Enjoy!

Miguel.


Gnumeric 0.12
Hello,

   New Gnumeric version, this is the miguel-will-be-out-until monday
release of Gnumeric, I will be visiting Boston, so if you are in the
area we could probably meet.

   New features:

	- New function TRUNC

	- Excel loading: Michael Meeks and Sean did lots of work again
	  on improving our Excel importer.

	- Internal fix that the Excel code was hitting.

	- Fixes the menu for the quick operations (on the workbook)

	- Fix to the rename-sheet function (it was displaying garbage
	  sometimes)

	- Brunno finished the support for coloring the background of
	  cells, so now we can have nicely colored sheets with nice
	  backgrounds :-)

	- He also finished the foreground setting color code.  Thanks!

	- Now it warns if you drop a range of cells in a region that
	  already has values.

	- Should include the missing files for the Perl plugin.

	- CSV code disabled until it is fixed.

	- Stricter control for removing active sheets in the code.

	- Michael provided an icon for Excel files.

	- Contributed Spanish documntation from Pablo.

You can get this at:

	ftp://ftp.gnome.org/pub/GNOME/sources/gnumeric

Best wishes,
Miguel.



Gnumeric 0.11
Hello,

   I have released a new version of Gnumeric, pretty much a bug fix
over the Numerically Skillfully Cow release of Gnumeric.

   Thanks to all of you who send me good bug reports, here is a list
of the bugs fixed and improvements:

	- Excel loading code improved again by Michael Meeks.  He also
	  spotted a number of bugs in the code which were fixed.

	- Paste was not properly recomputing formulas pasted.

	- Gnumeric no longer crashes on save.

	- Dependecy computation code got fixed.  Horribly typo was
	  doing all sorts of nonsense ;-)

Fetch it from:

   ftp://ftp.gnome.org/pub/GNOME/sources/gnumeric/gnumeric-0.11.tar.gz

Miguel.


Gnumeric 0.10

Hello number lovers,

    I have released the Numerically Skillfully Cow release of the
Gnumeric Spreadsheet.

New in this version:

	* Many updates on the Excel side, optimizaitons, bug fixes,
	  more features supported (Michael Meeks, Sean Atkinson).

	* Support for adding/removing sheets on the notebook tabs

	* A small draw fix (g's, j's and y's are no longer cropped).

	* Mime types for Excel files are shipped (but no gnome icon
	  for XL files yet).

	* Fixes to the CVS loader (Vincent Renardias).

	* Perl plugin is shipped again.

You can get this from:

	ftp://ftp.gnome.org/pub/GNOME/sources/gnumeric

Happy sums,
Miguel.



Gnumeric 0.8
Hello guys,

   Gnumeric "International Manatee" 0.8 has been released.

   This version is available in:

	ftp://ftp.gnome.org/pub/GNOME/sources/gnumeric-0.8.tar.gz

   The most important change in International Manatee is the fact that
the documentation that Adrian Likins wrote is now integrated into the
build system.  It gets installed and we feature a reference guide for
the internal Gnumeric functions.

   These are the features of International Manatee:

	- Bruno enabled the coloring page for setting the foreground
	  color.

	- The sheet label name works properly now (it no longer
	  "slides").

	- Correct behaviour of clicking in the presence of editing the
	  sheet label name.

	- Guile support now needs to be explicitly configure
	  (--with-guile).

	- Fix crashing problems repoted when autofilling.

	- Documentation is included in the tarball (You need DocBook
	  if you plan on extending the documentation or fixing my
	  ugly, ugly, ugly stuff :-).  You can find Docbook here:

		ftp://ftp.cygnus.com/pub/home/rosalia/docware.

	  A docbook tutorial is available in:

		http://nis-www.lanl.gov/~rosalia/mydocs/docbook-intro.html

	  The full docbook documentation can be downloaded for free
	  from the Davenport site (I lost the url to this, but I am
	  confident all of you documentation-savvy people are good
	  at altavistaing things).

Enjoy,
Miguel.


Gnumeric 0.7
Hello guys,

   Gnumeric "Speedy Manatee" 0.7 has been released.

   This version is available in:

	ftp://ftp.gnome.org/pub/GNOME/sources/gnumeric-0.7.tar.gz

   The highlights of this version are:

   New features dept:

	- References to other sheets works, you can use this like this:
	  =Sheet!A1+1
	  ='Regional sales'!C5*3

	- New border code.  Getting ready to print the borders on the
	  cells.

	- Menu hints are now available for every menu entry.

	- Standarized the menus (Nat Friendman).

	- Use the statusbar in the code now.

	- You can now rename your sheets by double clicking on the
	  tabs and typing the new name.  How excelish!

   Enhancements dept:

	- Excel importing code has been enhanced by Michael Meeks and
	  Nick Lamb.

	- When inserting/moving columns or rows, the cells moved now
	  do not change their formulas (to keep the sheet working).

   Bug fixes dept:

	- Better default decimal formats

	- Page flipping works correctly if you press on the tab names.

	- Child dialog boxes no longer ignore keystrokes (in
	  save/load).

	- Fixed the memory leaks on the Excel plugin (Michael).

	- Provide better error checking for dates (Havoc Pennington)

Enjoy,
Miguel.


Gnumeric 0.5
Hello guys,

   I have just released a new version of Gnumeric (gnumeric-0.5), this
version is available in:

	ftp://ftp.gnome.org/pub/GNOME/sources/gnumeric-0.5.tar.gz

   The highlights of this version are:

	- A pluggable framework for file formats.  No need to hack the
	  code to add your file loader anymore, routines are provided
	  to register file loading and saving formats.

	- (bug fix) Fixed the broken storage setup I introduced in the
	  previous version.  This means that files are now correctly
	  loaded and that if an expression renders an error you will
	  still be able to access the information you stored.

Enjoy this new version,
Miguel


Gnumeric 0.4
From miguel Wed Dec 16 23:16:34 -0600 1998
From: Miguel de Icaza <miguel@nuclecu.unam.mx>
To: gnumeric-list@gnome.org
Subject: New version of Gnumeric has been released.
X-Lost: In case of doubt, make it sound convincing


Hello guys,

   A new version of Gnumeric has been released as part of the GNOME
libraries code freeze.

   I have not been very active the last two months in Gnumeric due to
the freezing of GNOME (I worked a lot on the file manager issues), but
I will soon be back working in the spreadsheet.

   Michael Meeks and Bruno Unna did an awesome job while I was doing
this: They added Excel file importing.  That is all I can say.  Some
stuff is missing, yes, it will get added, yes.

   During the last few weeks Morten Welinder has been reviewing the
Gnumeric code and making very good suggestions to the coding style as
well as making sure we keep Gnumeric in a nice way.  I am very
thankful for his input.

   Jakub Jelinek made the scrolling code be smarter than my previous
attempt at scrolling, it is now definetly usable.

   Code for attaching notes to cell is completely on the code.  The
only problem is that right now comment is hardcoded in the source
code.  We need a nice dialog box for this.

   Mark Probst added some Guile support (this as well as the other
plugins is completely optional), some neat things can be done with it,
make sure you check the distribution directory.

